------------------------------------------------------------------------
r13684 | babal | 2005-12-11 22:27:01 +0100 (Sun, 11 Dec 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/AUTHORS
   M /branches/0.8.4a/modules/audio_filter/channel_mixer/headphone.c

- backport of revision 13682

------------------------------------------------------------------------
r13676 | courmisch | 2005-12-11 12:58:57 +0100 (Sun, 11 Dec 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/po/POTFILES.in

Fix make update-po - refs #460

------------------------------------------------------------------------
r13672 | hartman | 2005-12-11 00:20:43 +0100 (Sun, 11 Dec 2005) | 2 lines
Changed paths:
   D /branches/0.8.4a/modules/audio_output/coreaudio.c

* missed one changeset in the macosx audio backport merge

------------------------------------------------------------------------
r13671 | hartman | 2005-12-10 20:26:03 +0100 (Sat, 10 Dec 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/Makefile.am
   M /branches/0.8.4a/configure.ac
   M /branches/0.8.4a/include/audio_output.h
   M /branches/0.8.4a/modules/audio_filter/converter/a52tospdif.c
   M /branches/0.8.4a/modules/audio_filter/converter/dtstospdif.c
   M /branches/0.8.4a/modules/audio_filter/resampler/Modules.am
   D /branches/0.8.4a/modules/audio_filter/resampler/coreaudio.c
   M /branches/0.8.4a/modules/audio_output/Modules.am
   M /branches/0.8.4a/modules/audio_output/auhal.c
   M /branches/0.8.4a/modules/audio_output/coreaudio.c
   M /branches/0.8.4a/src/audio_output/common.c

* Backport of the Mac OS X audio fixes to 0.8.4a (fixes #456)

------------------------------------------------------------------------
r13661 | gbazin | 2005-12-10 16:41:01 +0100 (Sat, 10 Dec 2005) | 1 line
Changed paths:
   M /branches/0.8.4a/modules/codec/ffmpeg/ffmpeg.c
   M /branches/0.8.4a/modules/codec/realaudio.c
   M /branches/0.8.4a/modules/demux/real.c

* ALL: backport of the ffmpeg real audio support (13650, 13651, 13655, 13658).
------------------------------------------------------------------------
r13660 | gbazin | 2005-12-10 16:36:07 +0100 (Sat, 10 Dec 2005) | 1 line
Changed paths:
   M /branches/0.8.4a/modules/access/rtsp/access.c
   M /branches/0.8.4a/modules/access/rtsp/real_asmrp.c
   M /branches/0.8.4a/modules/access/rtsp/real_sdpplin.c
   M /branches/0.8.4a/modules/access/rtsp/rtsp.c
   M /branches/0.8.4a/modules/audio_output/alsa.c
   M /branches/0.8.4a/modules/codec/ffmpeg/ffmpeg.c
   M /branches/0.8.4a/modules/codec/realaudio.c
   M /branches/0.8.4a/modules/demux/mkv.cpp
   M /branches/0.8.4a/modules/demux/real.c
   M /branches/0.8.4a/modules/packetizer/h264.c
   M /branches/0.8.4a/share/http/admin/browse.html

* ALL: backport of 13468 13539 13545 13547 13548 13550 13578 13601 13602.
------------------------------------------------------------------------
r13657 | fkuehne | 2005-12-10 11:54:52 +0100 (Sat, 10 Dec 2005) | 1 line
Changed paths:
   M /branches/0.8.4a/modules/codec/ffmpeg/ffmpeg.c

* backport [13656]
------------------------------------------------------------------------
r13653 | courmisch | 2005-12-09 23:33:25 +0100 (Fri, 09 Dec 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/THANKS
   M /branches/0.8.4a/modules/services_discovery/upnp.cpp

Backport [13652]

------------------------------------------------------------------------
r13637 | md | 2005-12-09 10:17:54 +0100 (Fri, 09 Dec 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/modules/services_discovery/sap.c

backport [13632]

------------------------------------------------------------------------
r13635 | fkuehne | 2005-12-08 20:26:36 +0100 (Thu, 08 Dec 2005) | 1 line
Changed paths:
   M /branches/0.8.4a/modules/codec/ffmpeg/ffmpeg.c

* backport [13634]
------------------------------------------------------------------------
r13619 | courmisch | 2005-12-07 16:38:46 +0100 (Wed, 07 Dec 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/configure.ac

Fix UPnP headers check

------------------------------------------------------------------------
r13616 | courmisch | 2005-12-07 14:51:26 +0100 (Wed, 07 Dec 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/Makefile.am
   M /branches/0.8.4a/po/POTFILES.in
   M /branches/0.8.4a/toolbox

Backport a bunch of build system fixes

------------------------------------------------------------------------
r13615 | courmisch | 2005-12-07 14:29:31 +0100 (Wed, 07 Dec 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/modules/services_discovery/sap.c

Backport 13614

------------------------------------------------------------------------
r13576 | courmisch | 2005-12-05 21:57:52 +0100 (Mon, 05 Dec 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/src/stream_output/acl.c

Backport 13574

------------------------------------------------------------------------
r13575 | courmisch | 2005-12-05 21:57:37 +0100 (Mon, 05 Dec 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/modules/services_discovery/sap.c

Disable timeshift by default given the current controversy

------------------------------------------------------------------------
r13528 | courmisch | 2005-12-04 14:06:12 +0100 (Sun, 04 Dec 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/activex/Makefile.am

backport 13527

------------------------------------------------------------------------
r13526 | jpsaman | 2005-12-04 13:57:04 +0100 (Sun, 04 Dec 2005) | 1 line
Changed paths:
   M /branches/0.8.4a/modules/misc/rtsp.c

Backport of revision: 13525
------------------------------------------------------------------------
r13523 | courmisch | 2005-12-04 13:29:16 +0100 (Sun, 04 Dec 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/configure.ac

This is version 0.8.4a

------------------------------------------------------------------------
r13522 | courmisch | 2005-12-04 13:02:00 +0100 (Sun, 04 Dec 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/modules/services_discovery/sap.c

Backport 13518

------------------------------------------------------------------------
r13521 | zorglub | 2005-12-04 12:55:35 +0100 (Sun, 04 Dec 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/configure.ac
   M /branches/0.8.4a/modules/access_output/bonjour.c
   M /branches/0.8.4a/modules/services_discovery/bonjour.c

Backport of [13520] 

------------------------------------------------------------------------
r13519 | courmisch | 2005-12-04 12:51:04 +0100 (Sun, 04 Dec 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/po/POTFILES.in

remove non-existant src/misc/version.c from translated files list

------------------------------------------------------------------------
r13479 | fkuehne | 2005-12-01 16:05:06 +0100 (Thu, 01 Dec 2005) | 1 line
Changed paths:
   M /branches/0.8.4a/Makefile.am
   D /branches/0.8.4a/extras/MacOSX/Delete Preferences.app
   A /branches/0.8.4a/extras/MacOSX/Delete_Preferences.app (from /branches/0.8.4a/extras/MacOSX/Delete Preferences.app:13450)

* backport [13478]
------------------------------------------------------------------------
r13473 | dionoea | 2005-11-30 20:34:35 +0100 (Wed, 30 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/modules/demux/mp4/mp4.c

backport AAC fix [13472]

------------------------------------------------------------------------
r13470 | damienf | 2005-11-30 16:15:25 +0100 (Wed, 30 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/modules/access/dshow/dshow.cpp

dshow.cpp: backport of r13462

------------------------------------------------------------------------
r13464 | ipkiss | 2005-11-29 20:28:00 +0100 (Tue, 29 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/po/fr.po

 * backport of [13463]

------------------------------------------------------------------------
r13458 | dionoea | 2005-11-29 16:30:46 +0100 (Tue, 29 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/activex/inplace.bmp
   M /branches/0.8.4a/activex/vlc16x16.bmp

backport [13457]

------------------------------------------------------------------------
r13456 | dionoea | 2005-11-29 16:17:00 +0100 (Tue, 29 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/vlc.win32.nsi

backport [13455]

------------------------------------------------------------------------
r13454 | dionoea | 2005-11-29 15:51:01 +0100 (Tue, 29 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/modules/access_output/file.c

backport [13452]

------------------------------------------------------------------------
r13451 | fkuehne | 2005-11-29 15:08:47 +0100 (Tue, 29 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4a/modules/gui/macosx/wizard.m
   M /branches/0.8.4a/modules/gui/wxwidgets/streamdata.cpp

* backport [13450]
------------------------------------------------------------------------
r13447 | zorglub | 2005-11-29 09:58:17 +0100 (Tue, 29 Nov 2005) | 3 lines
Changed paths:
   M /branches/0.8.4a/configure.ac

Don't detect avahi versions we can't support - Patch by Diego "Flameeyes" Petten?\195?\178
Thanks

------------------------------------------------------------------------
r13435 | bigben | 2005-11-28 00:31:21 +0100 (Mon, 28 Nov 2005) | 3 lines
Changed paths:
   M /branches/0.8.4a/modules/audio_output/alsa.c

Backport rev. 13434


------------------------------------------------------------------------
r13433 | zorglub | 2005-11-27 21:52:40 +0100 (Sun, 27 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4a/configure.ac
   M /branches/0.8.4a/modules/services_discovery/hal.c
   M /branches/0.8.4a/src/libvlc.c

Support for new HAL API 

------------------------------------------------------------------------
r13431 | zorglub | 2005-11-27 19:52:19 +0100 (Sun, 27 Nov 2005) | 5 lines
Changed paths:
   A /branches/0.8.4a (from /tags/0.8.4:13430)

Branch 0.8.4a 
Todo:
  - Merge HAL 0.5 support 
  - Don't detect avahi if we don't support the API

------------------------------------------------------------------------
r13399 | gbazin | 2005-11-26 17:37:49 +0100 (Sat, 26 Nov 2005) | 1 line
Changed paths:
   M /tags/0.8.4/modules/audio_output/waveout.c

* modules/audio_output/waveout.c: backport of 13398.
------------------------------------------------------------------------
r13396 | dionoea | 2005-11-26 15:39:23 +0100 (Sat, 26 Nov 2005) | 2 lines
Changed paths:
   M /tags/0.8.4/ChangeLog
   M /tags/0.8.4/configure.ac
   M /tags/0.8.4/extras/MacOSX/Resources/English.lproj/InfoPlist.strings
   M /tags/0.8.4/extras/MacOSX/vlc.pbproj/project.pbxproj

0.8.4

------------------------------------------------------------------------
r13392 | zorglub | 2005-11-26 12:00:05 +0100 (Sat, 26 Nov 2005) | 3 lines
Changed paths:
   M /tags/0.8.4/po/sv.po

Update Swedish translation. Contributed by Daniel Nylander. 
Thanks !

------------------------------------------------------------------------
r13388 | dionoea | 2005-11-26 01:07:02 +0100 (Sat, 26 Nov 2005) | 2 lines
Changed paths:
   M /tags/0.8.4/THANKS
   M /tags/0.8.4/modules/codec/x264.c

backport [13275]

------------------------------------------------------------------------
r13384 | gbazin | 2005-11-25 20:22:40 +0100 (Fri, 25 Nov 2005) | 1 line
Changed paths:
   M /tags/0.8.4/modules/video_output/directx/events.c

* modules/video_output/directx: backport of 13382.
------------------------------------------------------------------------
r13383 | gbazin | 2005-11-25 20:21:47 +0100 (Fri, 25 Nov 2005) | 1 line
Changed paths:
   M /tags/0.8.4/modules/audio_output/waveout.c

* modules/audio_output/waveout.c: backport of 13381.
------------------------------------------------------------------------
r13380 | xtophe | 2005-11-25 18:56:49 +0100 (Fri, 25 Nov 2005) | 2 lines
Changed paths:
   M /tags/0.8.4/modules/video_output/directx/events.c
   M /tags/0.8.4/modules/video_output/wingdi.c

Backport of [13378]

------------------------------------------------------------------------
r13377 | gbazin | 2005-11-25 09:46:11 +0100 (Fri, 25 Nov 2005) | 1 line
Changed paths:
   M /tags/0.8.4/modules/audio_output/waveout.c

modules/audio_output/waveout.c: backport of 13376.
------------------------------------------------------------------------
r13375 | gbazin | 2005-11-25 08:55:31 +0100 (Fri, 25 Nov 2005) | 1 line
Changed paths:
   M /tags/0.8.4/modules/audio_output/directx.c

* modules/audio_output/directx.c: backport of directx audio changes (13374). Needs heavy testing.
------------------------------------------------------------------------
r13372 | jpsaman | 2005-11-24 21:27:09 +0100 (Thu, 24 Nov 2005) | 1 line
Changed paths:
   M /tags/0.8.4/modules/video_filter/osdmenu.c

The default refresh rate of osdmenu is 200 ms with a 15s timeout. The update is needed for remote viewing of osdmenu over udp.
------------------------------------------------------------------------
r13369 | hartman | 2005-11-24 16:02:11 +0100 (Thu, 24 Nov 2005) | 2 lines
Changed paths:
   M /tags/0.8.4/Makefile.am
   M /tags/0.8.4/THANKS
   M /tags/0.8.4/extras/MacOSX/Resources/a52.icns
   M /tags/0.8.4/extras/MacOSX/Resources/aac.icns
   M /tags/0.8.4/extras/MacOSX/Resources/about_bg.png
   M /tags/0.8.4/extras/MacOSX/Resources/asf.icns
   M /tags/0.8.4/extras/MacOSX/Resources/asx.icns
   M /tags/0.8.4/extras/MacOSX/Resources/avi.icns
   M /tags/0.8.4/extras/MacOSX/Resources/bin.icns
   M /tags/0.8.4/extras/MacOSX/Resources/cue.icns
   M /tags/0.8.4/extras/MacOSX/Resources/dat.icns
   M /tags/0.8.4/extras/MacOSX/Resources/display.png
   M /tags/0.8.4/extras/MacOSX/Resources/display_slider.png
   M /tags/0.8.4/extras/MacOSX/Resources/display_track.png
   M /tags/0.8.4/extras/MacOSX/Resources/divx.icns
   M /tags/0.8.4/extras/MacOSX/Resources/dv.icns
   M /tags/0.8.4/extras/MacOSX/Resources/equalizerdrawer_active.png
   M /tags/0.8.4/extras/MacOSX/Resources/equalizerdrawer_blue.png
   M /tags/0.8.4/extras/MacOSX/Resources/fullscreen_active.png
   M /tags/0.8.4/extras/MacOSX/Resources/fullscreen_blue.png
   M /tags/0.8.4/extras/MacOSX/Resources/generic.icns
   M /tags/0.8.4/extras/MacOSX/Resources/m3u.icns
   M /tags/0.8.4/extras/MacOSX/Resources/mov.icns
   M /tags/0.8.4/extras/MacOSX/Resources/mp3.icns
   M /tags/0.8.4/extras/MacOSX/Resources/mp4.icns
   M /tags/0.8.4/extras/MacOSX/Resources/mpeg.icns
   M /tags/0.8.4/extras/MacOSX/Resources/mpeg1.icns
   M /tags/0.8.4/extras/MacOSX/Resources/mpeg2.icns
   M /tags/0.8.4/extras/MacOSX/Resources/mpeg4.icns
   M /tags/0.8.4/extras/MacOSX/Resources/mpg.icns
   M /tags/0.8.4/extras/MacOSX/Resources/next_active.png
   M /tags/0.8.4/extras/MacOSX/Resources/next_blue.png
   M /tags/0.8.4/extras/MacOSX/Resources/ogg.icns
   M /tags/0.8.4/extras/MacOSX/Resources/ogm.icns
   M /tags/0.8.4/extras/MacOSX/Resources/pause.png
   M /tags/0.8.4/extras/MacOSX/Resources/pause_blue.png
   M /tags/0.8.4/extras/MacOSX/Resources/play.png
   M /tags/0.8.4/extras/MacOSX/Resources/play_blue.png
   M /tags/0.8.4/extras/MacOSX/Resources/playlistdrawer_active.png
   M /tags/0.8.4/extras/MacOSX/Resources/playlistdrawer_blue.png
   M /tags/0.8.4/extras/MacOSX/Resources/pls.icns
   M /tags/0.8.4/extras/MacOSX/Resources/previous_active.png
   M /tags/0.8.4/extras/MacOSX/Resources/previous_blue.png
   M /tags/0.8.4/extras/MacOSX/Resources/skip_forward_active.png
   M /tags/0.8.4/extras/MacOSX/Resources/skip_forward_blue.png
   M /tags/0.8.4/extras/MacOSX/Resources/skip_previous_active.png
   M /tags/0.8.4/extras/MacOSX/Resources/skip_previous_blue.png
   M /tags/0.8.4/extras/MacOSX/Resources/srt.icns
   M /tags/0.8.4/extras/MacOSX/Resources/stop.png
   M /tags/0.8.4/extras/MacOSX/Resources/stop_blue.png
   M /tags/0.8.4/extras/MacOSX/Resources/sub.icns
   R /tags/0.8.4/extras/MacOSX/Resources/vlc.icns (from /trunk/extras/MacOSX/Resources/vlc.icns:13341)
   M /tags/0.8.4/extras/MacOSX/Resources/vob.icns
   M /tags/0.8.4/extras/MacOSX/Resources/volume_high.png
   M /tags/0.8.4/extras/MacOSX/Resources/volume_low.png
   M /tags/0.8.4/extras/MacOSX/Resources/volumeslider_blue.png
   M /tags/0.8.4/extras/MacOSX/Resources/volumeslider_normal.png
   M /tags/0.8.4/extras/MacOSX/Resources/volumetrack.png
   M /tags/0.8.4/extras/MacOSX/Resources/wma.icns
   M /tags/0.8.4/extras/MacOSX/Resources/wmv.icns
   M /tags/0.8.4/share/Makefile.am
   M /tags/0.8.4/share/http/favicon.ico
   M /tags/0.8.4/share/pda-forwardb16x16.xpm
   M /tags/0.8.4/share/pda-openb16x16.xpm
   M /tags/0.8.4/share/pda-pauseb16x16.xpm
   M /tags/0.8.4/share/pda-playb16x16.xpm
   M /tags/0.8.4/share/pda-playlistb16x16.xpm
   M /tags/0.8.4/share/pda-preferencesb16x16.xpm
   M /tags/0.8.4/share/pda-rewindb16x16.xpm
   M /tags/0.8.4/share/pda-stopb16x16.xpm
   D /tags/0.8.4/share/vlc-icons.xcf
   D /tags/0.8.4/share/vlc.icns
   A /tags/0.8.4/share/vlc128x128.png (from /trunk/share/vlc128x128.png:13341)
   M /tags/0.8.4/share/vlc16x16.png
   M /tags/0.8.4/share/vlc16x16.xpm
   M /tags/0.8.4/share/vlc32x32.png
   M /tags/0.8.4/share/vlc32x32.xpm
   M /tags/0.8.4/share/vlc48x48.ico
   M /tags/0.8.4/share/vlc48x48.png
   D /tags/0.8.4/share/vlc48x48new.ico
   M /tags/0.8.4/share/vlc_win32_rc.rc
   M /tags/0.8.4/vlc.win32.nsi

* Backport the new VLC icon by Eurodata Computer Club

------------------------------------------------------------------------
r13366 | dionoea | 2005-11-24 15:14:51 +0100 (Thu, 24 Nov 2005) | 2 lines
Changed paths:
   M /tags/0.8.4/po/ja.po

Japanese translation update by Tadashi Jokagi

------------------------------------------------------------------------
r13364 | md | 2005-11-24 09:10:13 +0100 (Thu, 24 Nov 2005) | 2 lines
Changed paths:
   M /tags/0.8.4/modules/video_filter/deinterlace.c

make deinterlace and zoom work together

------------------------------------------------------------------------
r13354 | hartman | 2005-11-23 21:49:18 +0100 (Wed, 23 Nov 2005) | 2 lines
Changed paths:
   M /tags/0.8.4/Makefile.am

* Fix the Mac OS X Resources MAKE_DIST (untested)

------------------------------------------------------------------------
r13349 | fkuehne | 2005-11-23 20:38:15 +0100 (Wed, 23 Nov 2005) | 1 line
Changed paths:
   M /tags/0.8.4/modules/gui/macosx/output.m

* 10.2 compilation fix
------------------------------------------------------------------------
r13335 | hartman | 2005-11-23 14:10:53 +0100 (Wed, 23 Nov 2005) | 2 lines
Changed paths:
   M /tags/0.8.4/share/Makefile.am
   D /tags/0.8.4/share/gnome-vlc16x16.png
   D /tags/0.8.4/share/gnome-vlc32x32.png
   D /tags/0.8.4/share/gnome-vlc32x32.xpm
   D /tags/0.8.4/share/gnome-vlc48x48.png
   D /tags/0.8.4/share/gvlc16x16.png
   D /tags/0.8.4/share/gvlc32x32.png
   D /tags/0.8.4/share/gvlc32x32.xpm
   D /tags/0.8.4/share/gvlc48x48.ico
   D /tags/0.8.4/share/gvlc48x48.png
   D /tags/0.8.4/share/kvlc16x16.png
   D /tags/0.8.4/share/kvlc32x32.png
   D /tags/0.8.4/share/kvlc32x32.xpm
   D /tags/0.8.4/share/kvlc48x48.png
   D /tags/0.8.4/share/qvlc16x16.png
   D /tags/0.8.4/share/qvlc32x32.png
   D /tags/0.8.4/share/qvlc32x32.xpm
   D /tags/0.8.4/share/qvlc48x48.png

* Lets at the very least remove icons we don't use anymore. Should save some space.

------------------------------------------------------------------------
r13334 | fkuehne | 2005-11-23 12:48:09 +0100 (Wed, 23 Nov 2005) | 1 line
Changed paths:
   M /tags/0.8.4/po/de.po

* don't try to use & in a string and fix it correctly. sorry for the previous commit
------------------------------------------------------------------------
r13331 | fkuehne | 2005-11-22 23:34:08 +0100 (Tue, 22 Nov 2005) | 3 lines
Changed paths:
   M /tags/0.8.4/po/de.po

* hopefully fixed the incorrect display of my translation of "Full bass and treble" for Dandruff finally

(the po-files don't need to be updated once again because of this edit)
------------------------------------------------------------------------
r13329 | fkuehne | 2005-11-22 22:38:25 +0100 (Tue, 22 Nov 2005) | 1 line
Changed paths:
   M /tags/0.8.4/NEWS

* minor grammar fix
------------------------------------------------------------------------
r13327 | zorglub | 2005-11-22 22:23:21 +0100 (Tue, 22 Nov 2005) | 2 lines
Changed paths:
   M /tags/0.8.4/ChangeLog
   M /tags/0.8.4/NEWS

NEWS and Changelog update for test3

------------------------------------------------------------------------
r13326 | gbazin | 2005-11-22 22:22:20 +0100 (Tue, 22 Nov 2005) | 1 line
Changed paths:
   M /tags/0.8.4/modules/audio_output/directx.c

* modules/audio_output/directx.c: use s16l mode by default since it looks like directx has better latency reporting in this mode.
------------------------------------------------------------------------
r13324 | gbazin | 2005-11-22 22:13:42 +0100 (Tue, 22 Nov 2005) | 1 line
Changed paths:
   M /tags/0.8.4/modules/audio_output/directx.c
   M /tags/0.8.4/modules/video_filter/marq.c

* modules/audio_output/directx.c: backported directx audio output fix from trunk (#13322).
------------------------------------------------------------------------
r13323 | zorglub | 2005-11-22 22:10:48 +0100 (Tue, 22 Nov 2005) | 2 lines
Changed paths:
   M /tags/0.8.4/configure.ac
   M /tags/0.8.4/extras/MacOSX/Resources/English.lproj/InfoPlist.strings
   M /tags/0.8.4/extras/MacOSX/vlc.pbproj/project.pbxproj

Test3 for directx audio fix

------------------------------------------------------------------------
r13321 | zorglub | 2005-11-22 11:57:56 +0100 (Tue, 22 Nov 2005) | 2 lines
Changed paths:
   D /branches/0.8.4
   A /tags/0.8.4 (from /branches/0.8.4:13320)

Tag 0.8.4 release

------------------------------------------------------------------------
r13319 | dionoea | 2005-11-22 11:27:45 +0100 (Tue, 22 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/NEWS

same NEWS change

------------------------------------------------------------------------
r13317 | xtophe | 2005-11-22 11:22:18 +0100 (Tue, 22 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/po/POTFILES.in
   M /branches/0.8.4/po/ca.po
   M /branches/0.8.4/po/da.po
   M /branches/0.8.4/po/de.po
   M /branches/0.8.4/po/en_GB.po
   M /branches/0.8.4/po/es.po
   M /branches/0.8.4/po/fr.po
   M /branches/0.8.4/po/gl.po
   M /branches/0.8.4/po/it.po
   M /branches/0.8.4/po/ja.po
   M /branches/0.8.4/po/ko.po
   M /branches/0.8.4/po/nl.po
   M /branches/0.8.4/po/pt_BR.po
   M /branches/0.8.4/po/ro.po
   M /branches/0.8.4/po/ru.po
   M /branches/0.8.4/po/sv.po
   M /branches/0.8.4/po/tr.po
   M /branches/0.8.4/po/vlc.pot
   M /branches/0.8.4/po/zh_CN.po
   M /branches/0.8.4/po/zh_TW.po

Fix pofiles for updatevlc.cpp removal

------------------------------------------------------------------------
r13316 | dionoea | 2005-11-22 11:15:14 +0100 (Tue, 22 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/modules/audio_output/directx.c
   M /branches/0.8.4/modules/audio_output/waveout.c

revert s16l -> fl32 commit

------------------------------------------------------------------------
r13314 | xtophe | 2005-11-22 11:02:33 +0100 (Tue, 22 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/INSTALL.win32

Install.win32: reword the choice of contrib package

------------------------------------------------------------------------
r13313 | zorglub | 2005-11-22 10:56:31 +0100 (Tue, 22 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/ChangeLog
   M /branches/0.8.4/INSTALL.win32
   M /branches/0.8.4/configure.ac
   M /branches/0.8.4/extras/MacOSX/Resources/English.lproj/InfoPlist.strings
   M /branches/0.8.4/extras/MacOSX/vlc.pbproj/project.pbxproj

Prepare for 0.8.4

------------------------------------------------------------------------
r13312 | md | 2005-11-22 08:51:20 +0100 (Tue, 22 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/modules/access/udp.c

backport [13283] [13272]

------------------------------------------------------------------------
r13308 | zorglub | 2005-11-21 15:05:12 +0100 (Mon, 21 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/modules/audio_filter/equalizer.c

Backport [13307]

------------------------------------------------------------------------
r13306 | zorglub | 2005-11-21 11:23:12 +0100 (Mon, 21 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/modules/gui/wxwidgets/wizard.cpp

Backport [13305]

------------------------------------------------------------------------
r13304 | fkuehne | 2005-11-21 06:39:59 +0100 (Mon, 21 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/po/gl.po

* updated Galician translation by Ivan
------------------------------------------------------------------------
r13302 | damienf | 2005-11-20 23:56:57 +0100 (Sun, 20 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/activex/plugin.cpp

plugin.cpp: eclipse "one-instance" option in saved preferences, which prevents activex plugin from working properly if a player or another activex plugin is already running. 

------------------------------------------------------------------------
r13301 | xtophe | 2005-11-20 23:35:15 +0100 (Sun, 20 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/modules/control/http/util.c

backport of [13300]

------------------------------------------------------------------------
r13298 | zorglub | 2005-11-20 22:52:59 +0100 (Sun, 20 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/modules/gui/wxwidgets/playlist.cpp

Correctly select items in WX search

------------------------------------------------------------------------
r13297 | zorglub | 2005-11-20 22:21:48 +0100 (Sun, 20 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/po/fr.po

A few adds to fr translation

------------------------------------------------------------------------
r13296 | fkuehne | 2005-11-20 21:53:38 +0100 (Sun, 20 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/po/ca.po
   M /branches/0.8.4/po/da.po
   M /branches/0.8.4/po/de.po
   M /branches/0.8.4/po/en_GB.po
   M /branches/0.8.4/po/es.po
   M /branches/0.8.4/po/fr.po
   M /branches/0.8.4/po/gl.po
   M /branches/0.8.4/po/it.po
   M /branches/0.8.4/po/ja.po
   M /branches/0.8.4/po/ko.po
   M /branches/0.8.4/po/nl.po
   M /branches/0.8.4/po/pt_BR.po
   M /branches/0.8.4/po/ro.po
   M /branches/0.8.4/po/ru.po
   M /branches/0.8.4/po/sv.po
   M /branches/0.8.4/po/tr.po
   M /branches/0.8.4/po/vlc.pot
   M /branches/0.8.4/po/zh_CN.po
   M /branches/0.8.4/po/zh_TW.po

* updated the po-files, since all expected translations arrived. Added some last-minute fixes to the German translation.
------------------------------------------------------------------------
r13294 | fkuehne | 2005-11-20 21:25:17 +0100 (Sun, 20 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/po/da.po

* updated Danish translation by Jonas Larsen
------------------------------------------------------------------------
r13288 | bigben | 2005-11-20 17:07:54 +0100 (Sun, 20 Nov 2005) | 3 lines
Changed paths:
   M /branches/0.8.4/modules/gui/macosx/playlist.m

Backport of 13287


------------------------------------------------------------------------
r13278 | jpsaman | 2005-11-19 18:57:23 +0100 (Sat, 19 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/configure.ac

Backport of revision 13277
------------------------------------------------------------------------
r13274 | dionoea | 2005-11-19 18:06:54 +0100 (Sat, 19 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/modules/audio_output/directx.c
   M /branches/0.8.4/modules/audio_output/waveout.c

don't use float32 by default (should fix sound issues under windows)

------------------------------------------------------------------------
r13254 | damienf | 2005-11-15 15:52:19 +0100 (Tue, 15 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/activex/plugin.cpp
   M /branches/0.8.4/src/libvlc.c

backported changes in revision 13253

------------------------------------------------------------------------
r13250 | jpsaman | 2005-11-14 22:17:45 +0100 (Mon, 14 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/src/audio_output/intf.c

Really fix volume-change reporting through callbacks to rc-interface.
------------------------------------------------------------------------
r13249 | damienf | 2005-11-14 22:10:25 +0100 (Mon, 14 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/src/libvlc.c

libvlc.c: backported changes r13248

------------------------------------------------------------------------
r13247 | jpsaman | 2005-11-14 21:28:22 +0100 (Mon, 14 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/modules/video_output/x11/xcommon.c

Removed unused variable f_arg
------------------------------------------------------------------------
r13246 | dionoea | 2005-11-14 21:02:53 +0100 (Mon, 14 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/modules/video_output/x11/xcommon.c

backport [13245]

------------------------------------------------------------------------
r13243 | zorglub | 2005-11-14 19:31:22 +0100 (Mon, 14 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/NEWS
   M /branches/0.8.4/THANKS
   M /branches/0.8.4/configure.ac
   M /branches/0.8.4/po/fr.po
   M /branches/0.8.4/po/sv.po

Merge fr and sv to 0.8.4

------------------------------------------------------------------------
r13240 | fkuehne | 2005-11-14 18:45:51 +0100 (Mon, 14 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/NEWS
   M /branches/0.8.4/THANKS
   M /branches/0.8.4/configure.ac
   A /branches/0.8.4/po/gl.po
   M /branches/0.8.4/src/libvlc.h
   M /branches/0.8.4/src/misc/darwin_specific.m

* initial Galician translation by Ivan. There are more translated strings to come as times passes by ;)
------------------------------------------------------------------------
r13239 | damienf | 2005-11-14 16:42:57 +0100 (Mon, 14 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/activex/utils.cpp

backport of r13238

------------------------------------------------------------------------
r13236 | adn | 2005-11-14 01:52:36 +0100 (Mon, 14 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/mozilla/vlcshell.cpp

backport revision 13225

------------------------------------------------------------------------
r13235 | dionoea | 2005-11-14 01:08:06 +0100 (Mon, 14 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/NEWS
   M /branches/0.8.4/modules/gui/wxwidgets/Modules.am
   M /branches/0.8.4/modules/gui/wxwidgets/dialogs.cpp
   M /branches/0.8.4/modules/gui/wxwidgets/interface.cpp
   D /branches/0.8.4/modules/gui/wxwidgets/updatevlc.cpp
   M /branches/0.8.4/modules/gui/wxwidgets/wxwidgets.h

remove VLC update checker stuff from 0.8.4

------------------------------------------------------------------------
r13227 | dionoea | 2005-11-13 19:32:16 +0100 (Sun, 13 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/modules/demux/mpeg/mpga.c
   M /branches/0.8.4/src/input/clock.c
   M /branches/0.8.4/src/input/input_internal.h

backport [13191] and [13192] once again

------------------------------------------------------------------------
r13226 | dionoea | 2005-11-13 19:31:39 +0100 (Sun, 13 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/modules/demux/mpeg/mpga.c
   M /branches/0.8.4/src/input/clock.c
   M /branches/0.8.4/src/input/input_internal.h

revert 13221 (feature/"big change" freeze)

------------------------------------------------------------------------
r13221 | md | 2005-11-13 12:57:13 +0100 (Sun, 13 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/modules/demux/mpeg/mpga.c
   M /branches/0.8.4/src/input/clock.c
   M /branches/0.8.4/src/input/input_internal.h

backport of [13220] [13191] [13192]

------------------------------------------------------------------------
r13219 | fkuehne | 2005-11-13 12:16:00 +0100 (Sun, 13 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/po/tr.po

sorry for this quick fix again, I'll need some coffee (fixed svn:keywords and the copyright)
------------------------------------------------------------------------
r13218 | fkuehne | 2005-11-13 12:12:34 +0100 (Sun, 13 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/po/tr.po

* updated Turkish translation by Adem Gunes
------------------------------------------------------------------------
r13203 | fkuehne | 2005-11-12 14:35:15 +0100 (Sat, 12 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/po/zh_CN.po

* fixed svn keyword
------------------------------------------------------------------------
r13202 | fkuehne | 2005-11-12 14:31:39 +0100 (Sat, 12 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/THANKS
   M /branches/0.8.4/po/zh_CN.po

* final version of the Simplified Chinese translation by Wei Mingzhi and King Norman for 0.8.4 (1651 translated msgs, 1448 untra. msgs)
------------------------------------------------------------------------
r13195 | md | 2005-11-11 20:24:01 +0100 (Fri, 11 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/modules/access/udp.c

fixed RTP (pre)buffering to correctly work with VBR streams

------------------------------------------------------------------------
r13194 | damienf | 2005-11-11 17:57:24 +0100 (Fri, 11 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/activex/oleobject.cpp
   M /branches/0.8.4/activex/plugin.cpp

all: backport of r13193

------------------------------------------------------------------------
r13186 | gbazin | 2005-11-10 20:23:12 +0100 (Thu, 10 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/modules/demux/ps.c

* modules/demux/ps.c: backport of 13156.
------------------------------------------------------------------------
r13185 | gbazin | 2005-11-10 20:14:22 +0100 (Thu, 10 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/src/input/clock.c
   M /branches/0.8.4/src/input/input_internal.h

* src/input/clock.c, input_internal.h: backport of 13165.
------------------------------------------------------------------------
r13184 | gbazin | 2005-11-10 19:51:31 +0100 (Thu, 10 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/modules/demux/mp4/mp4.c

* modules/demux/mp4/mp4.c: fix some signed/unsigned compiler warnings. Patch by Daniel Stranger (vlc at schmaller dot de).
------------------------------------------------------------------------
r13182 | gbazin | 2005-11-10 19:49:37 +0100 (Thu, 10 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/src/libvlc.c

* src/libvlc.c: failing of bindtextdomain() does not mean that there exists no DOMAIN in the locale path. It means that a memory error has occured. The error message was generalized. Patch by Daniel Stranger (vlc at schmaller dot de).
------------------------------------------------------------------------
r13180 | gbazin | 2005-11-10 19:43:42 +0100 (Thu, 10 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/modules/gui/wxwidgets/extrapanel.cpp
   M /branches/0.8.4/modules/gui/wxwidgets/interface.cpp
   M /branches/0.8.4/modules/gui/wxwidgets/open.cpp

* modules/gui/wxwidgets: wx backward compatibility fixes by Daniel Stranger (vlc at schmaller dot de).
------------------------------------------------------------------------
r13173 | fkuehne | 2005-11-09 21:45:39 +0100 (Wed, 09 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/po/de.po

* finished the German translation for 0.8.4 (refs #407)
------------------------------------------------------------------------
r13168 | courmisch | 2005-11-09 13:05:09 +0100 (Wed, 09 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/HACKING
   M /branches/0.8.4/vlc-api.pl

Backport [13167]

------------------------------------------------------------------------
r13166 | fkuehne | 2005-11-09 12:00:17 +0100 (Wed, 09 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/po/es.po

* first update of the Spanish translation by Antonio Javier Varela Calvo (refs #407). 31 strings are untranslated and 146 fuzzy atm. He is going to finish his work until sunday.
------------------------------------------------------------------------
r13164 | bigben | 2005-11-09 00:36:22 +0100 (Wed, 09 Nov 2005) | 3 lines
Changed paths:
   M /branches/0.8.4/modules/audio_output/alsa.c

Backport of r13160


------------------------------------------------------------------------
r13155 | fkuehne | 2005-11-08 19:29:14 +0100 (Tue, 08 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/extras/MacOSX/vlc.pbproj/project.pbxproj

* backport [13154]
------------------------------------------------------------------------
r13146 | fkuehne | 2005-11-06 20:37:22 +0100 (Sun, 06 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/modules/gui/macosx/intf.m

* make sure that the wizard is shown with localised strings...
------------------------------------------------------------------------
r13140 | dionoea | 2005-11-06 16:48:40 +0100 (Sun, 06 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/configure.ac
   M /branches/0.8.4/extras/MacOSX/Resources/English.lproj/InfoPlist.strings
   M /branches/0.8.4/extras/MacOSX/vlc.pbproj/project.pbxproj

bump version to 0.8.4-test3

------------------------------------------------------------------------
r13133 | courmisch | 2005-11-04 22:10:24 +0100 (Fri, 04 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/src/misc/vlm.c

Backport 13132

------------------------------------------------------------------------
r13130 | md | 2005-11-04 09:10:59 +0100 (Fri, 04 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/NEWS

added some news

------------------------------------------------------------------------
r13127 | jpsaman | 2005-11-03 21:39:41 +0100 (Thu, 03 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/modules/control/rc.c
   M /branches/0.8.4/src/audio_output/intf.c
   M /branches/0.8.4/src/libvlc.c

Added dynamic variable volume-change to notify upon a volume change. The rc-interface listens to it and prints some feedback on its output.
------------------------------------------------------------------------
r13118 | gbazin | 2005-11-03 00:32:56 +0100 (Thu, 03 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/modules/codec/libmpeg2.c

* modules/codec/libmpeg2.c: backport of 13117 from trunk.
------------------------------------------------------------------------
r13114 | bigben | 2005-11-02 22:44:03 +0100 (Wed, 02 Nov 2005) | 3 lines
Changed paths:
   M /branches/0.8.4/modules/audio_output/alsa.c

Revert 13023 here too


------------------------------------------------------------------------
r13111 | fkuehne | 2005-11-02 21:22:04 +0100 (Wed, 02 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/NEWS

* added a small note that UPnP is linux-only atm
------------------------------------------------------------------------
r13101 | gbazin | 2005-11-02 19:16:58 +0100 (Wed, 02 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/modules/codec/ffmpeg/demux.c
   M /branches/0.8.4/modules/codec/x264.c
   M /branches/0.8.4/modules/gui/wxwidgets/playlist.cpp
   M /branches/0.8.4/modules/gui/wxwidgets/wxwidgets.h
   M /branches/0.8.4/modules/stream_out/transcode.c

ALL: backport of 13058,13059,13070,13088,13090,13091,13099 from trunk.
------------------------------------------------------------------------
r13096 | md | 2005-11-02 15:07:26 +0100 (Wed, 02 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/bootstrap
   M /branches/0.8.4/vlc-config.in.in

backport [13095]

------------------------------------------------------------------------
r13093 | fkuehne | 2005-11-02 12:51:07 +0100 (Wed, 02 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/extras/contrib/Makefile

* backport [13092]
------------------------------------------------------------------------
r13083 | dionoea | 2005-11-01 21:51:34 +0100 (Tue, 01 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/README
   M /branches/0.8.4/vlc.win32.nsi

backport 13082 (Misc changes)

------------------------------------------------------------------------
r13071 | bigben | 2005-11-01 08:59:50 +0100 (Tue, 01 Nov 2005) | 3 lines
Changed paths:
   M /branches/0.8.4/modules/audio_filter/resampler/linear.c

Backport latest fix on the linear resampler.


------------------------------------------------------------------------
r13069 | hartman | 2005-11-01 00:17:06 +0100 (Tue, 01 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/ChangeLog

* update Changelog for 2 final fixes :D

------------------------------------------------------------------------
r13068 | jpsaman | 2005-11-01 00:13:22 +0100 (Tue, 01 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/src/audio_output/intf.c

Fixed p_aout was used after the object was released.
------------------------------------------------------------------------
r13067 | gbazin | 2005-11-01 00:12:10 +0100 (Tue, 01 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/modules/codec/ffmpeg/encoder.c

* modules/codec/ffmpeg/encoder.c: backport of 13065 from trunk.
------------------------------------------------------------------------
r13066 | hartman | 2005-11-01 00:10:46 +0100 (Tue, 01 Nov 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/ChangeLog
   M /branches/0.8.4/configure.ac
   M /branches/0.8.4/extras/MacOSX/Resources/English.lproj/InfoPlist.strings
   M /branches/0.8.4/extras/MacOSX/vlc.pbproj/project.pbxproj

* 0.8.4-test2 !!!! weeeeeee. happy. smile smile finally.

------------------------------------------------------------------------
r13064 | gbazin | 2005-11-01 00:04:16 +0100 (Tue, 01 Nov 2005) | 1 line
Changed paths:
   M /branches/0.8.4/modules/codec/libmpeg2.c

* modules/codec/libmpeg2.c: backport of 13063 from trunk.
------------------------------------------------------------------------
r13062 | gbazin | 2005-10-31 22:14:27 +0100 (Mon, 31 Oct 2005) | 1 line
Changed paths:
   M /branches/0.8.4/modules/video_output/directx/directx.c
   M /branches/0.8.4/modules/video_output/directx/glwin32.c

* modules/video_output/directx/directx.c,glwin32.c: revert backport of 13050 for now.
------------------------------------------------------------------------
r13055 | md | 2005-10-31 14:14:23 +0100 (Mon, 31 Oct 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/src/input/decoder.c

backport [13054]

------------------------------------------------------------------------
r13053 | md | 2005-10-31 13:44:48 +0100 (Mon, 31 Oct 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/src/input/decoder.c

backport [13052]

------------------------------------------------------------------------
r13051 | md | 2005-10-31 08:35:39 +0100 (Mon, 31 Oct 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/include/video_output.h
   M /branches/0.8.4/modules/gui/skins2/src/vlcproc.cpp
   M /branches/0.8.4/modules/gui/wxwidgets/video.cpp
   M /branches/0.8.4/modules/video_output/directx/directx.c
   M /branches/0.8.4/modules/video_output/directx/events.c
   M /branches/0.8.4/modules/video_output/directx/glwin32.c
   M /branches/0.8.4/modules/video_output/wingdi.c
   M /branches/0.8.4/modules/video_output/x11/xcommon.c
   M /branches/0.8.4/src/video_output/vout_intf.c

backport [13049] and [13059]

------------------------------------------------------------------------
r13047 | hartman | 2005-10-30 22:22:26 +0100 (Sun, 30 Oct 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/src/audio_output/input.c

* backport of [13046] , refs #416

------------------------------------------------------------------------
r13045 | bigben | 2005-10-30 21:29:41 +0100 (Sun, 30 Oct 2005) | 3 lines
Changed paths:
   M /branches/0.8.4/modules/audio_output/alsa.c

Backport of the latest alsa fix


------------------------------------------------------------------------
r13044 | gbazin | 2005-10-30 21:10:05 +0100 (Sun, 30 Oct 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/modules/access/rtsp/real_rmff.c
   M /branches/0.8.4/modules/codec/ffmpeg/demux.c
   M /branches/0.8.4/modules/codec/ffmpeg/ffmpeg.c
   M /branches/0.8.4/modules/codec/vorbis.c
   M /branches/0.8.4/modules/demux/mp4/mp4.c
   M /branches/0.8.4/modules/demux/real.c

ALL: backport of 13027,13033,13034,13039,13040,13041 from trunk

------------------------------------------------------------------------
r13043 | fkuehne | 2005-10-30 20:56:45 +0100 (Sun, 30 Oct 2005) | 1 line
Changed paths:
   M /branches/0.8.4/extras/contrib/src/Makefile
   A /branches/0.8.4/extras/contrib/src/Patches/libcddb.patch

* backport [13042]
------------------------------------------------------------------------
r13037 | fkuehne | 2005-10-30 20:33:25 +0100 (Sun, 30 Oct 2005) | 1 line
Changed paths:
   M /branches/0.8.4/modules/gui/macosx/wizard.m

* localise the 'Local playback' info-btn and the ckbox properly (no breakage of the string freeze, since existing strings are used, just forgot to implement this somehow)
------------------------------------------------------------------------
r13035 | fkuehne | 2005-10-30 20:05:21 +0100 (Sun, 30 Oct 2005) | 1 line
Changed paths:
   M /branches/0.8.4/po/de.po

* first update of the German translation
------------------------------------------------------------------------
r13030 | fkuehne | 2005-10-30 18:13:04 +0100 (Sun, 30 Oct 2005) | 1 line
Changed paths:
   M /branches/0.8.4/po/POTFILES.in

* removed libvc1.c, which isn't part of our svn
------------------------------------------------------------------------
r13028 | fkuehne | 2005-10-30 17:32:52 +0100 (Sun, 30 Oct 2005) | 1 line
Changed paths:
   M /branches/0.8.4/po/zh_CN.po

* first update of the Simplified Chinese translation by Wei Mingzhi (refs #407), more translated strings are going to follow soon
------------------------------------------------------------------------
r13026 | gbazin | 2005-10-30 16:32:11 +0100 (Sun, 30 Oct 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/include/video_output.h
   M /branches/0.8.4/modules/codec/libmpeg2.c
   M /branches/0.8.4/modules/misc/freetype.c
   M /branches/0.8.4/modules/video_output/directx/events.c
   M /branches/0.8.4/modules/video_output/wingdi.c
   M /branches/0.8.4/modules/video_output/x11/xcommon.c
   M /branches/0.8.4/src/input/decoder.c
   M /branches/0.8.4/src/video_output/video_output.c
   M /branches/0.8.4/src/video_output/vout_intf.c
   M /branches/0.8.4/src/video_output/vout_pictures.c

ALL: backport of 13001,13004,13005,13011,13012,13019,13020,13025 from trunk.

------------------------------------------------------------------------
r13022 | md | 2005-10-29 20:11:46 +0200 (Sat, 29 Oct 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/include/vlc_block.h
   M /branches/0.8.4/modules/access/udp.c
   M /branches/0.8.4/src/misc/block.c

backport of [13021]

------------------------------------------------------------------------
r13017 | dionoea | 2005-10-29 16:18:38 +0200 (Sat, 29 Oct 2005) | 2 lines
Changed paths:
   M /branches/0.8.4/modules/codec/x264.c

backport r13014 r13015 and r13016

------------------------------------------------------------------------
r13013 | fkuehne | 2005-10-29 15:33:02 +0200 (Sat, 29 Oct 2005) | 1 line
Changed paths:
   M /branches/0.8.4/po/da.po

* first update of the Danish translation by Jonas A. Larsen
------------------------------------------------------------------------
r13010 | fkuehne | 2005-10-29 14:01:03 +0200 (Sat, 29 Oct 2005) | 1 line
Changed paths:
   M /branches/0.8.4/extras/contrib/src/Makefile
   M /branches/0.8.4/extras/contrib/src/packages.mak

* reverted my update of libcddb from 0.9.6 to 1.2.1 since it breaks cddax on OSX (refs #357). The previously applied patch for 0.9.6 doesn't seem to be necessary, since it compiles fine without it (at least using GCC 4.0)
------------------------------------------------------------------------
r13008 | hartman | 2005-10-28 22:25:29 +0200 (Fri, 28 Oct 2005) | 1 line
Changed paths:
   M /branches/0.8.4/extras/contrib/src/Patches/live.patch

backport of [13007] (refs #398)
------------------------------------------------------------------------
r13006 | fkuehne | 2005-10-28 21:42:50 +0200 (Fri, 28 Oct 2005) | 1 line
Changed paths:
   M /branches/0.8.4/modules/gui/wxwidgets/streamdata.cpp
   M /branches/0.8.4/modules/gui/wxwidgets/wizard.cpp

* reverted [12957]. UDP-support is a must. don't remove it from the interface by overriding it with RTP
------------------------------------------------------------------------
r13000 | hartman | 2005-10-28 16:56:35 +0200 (Fri, 28 Oct 2005) | 1 line
Changed paths:
   A /branches/0.8.4 (from /trunk:12999)

VLC media player 0.8.4 branch. New things should be committed in trunk. Bugfixes for the 0.8.4 release in the 0.8.4 branch
------------------------------------------------------------------------
r12999 | robUx4 | 2005-10-28 16:31:32 +0200 (Fri, 28 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: support the new A_AAC codec ID and SBR for older IDs (more tests needed)
------------------------------------------------------------------------
r12998 | md | 2005-10-28 15:21:11 +0200 (Fri, 28 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_output.c

call vlc_ureduce to simplify sar

------------------------------------------------------------------------
r12997 | jpsaman | 2005-10-28 14:36:08 +0200 (Fri, 28 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/control/rc.c

rc control interface fix for correct reporting of playlist state when toggling pause.
------------------------------------------------------------------------
r12996 | gbazin | 2005-10-28 11:30:47 +0200 (Fri, 28 Oct 2005) | 1 line
Changed paths:
   M /trunk/src/libvlc.h
   M /trunk/src/video_output/vout_intf.c

* src/libvlc.h, src/video_output/vout_intf.c: added crop config option + changed --monitor-aspect-ratio into --monitor-par (pixel aspect ratio). It makes a lot more sense since lots of widescreens still have square pixels.
------------------------------------------------------------------------
r12995 | md | 2005-10-28 11:15:51 +0200 (Fri, 28 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_intf.c

fix for HDTV-1080 format: window size now correct (1920x1080)

------------------------------------------------------------------------
r12994 | gbazin | 2005-10-28 10:21:18 +0200 (Fri, 28 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/video_output/directx/directx.c
   M /trunk/modules/video_output/directx/glwin32.c
   M /trunk/modules/video_output/opengl.c

* modules/video_output/directx/directx.c, modules/video_output/directx/glwin32.c, modules/video_output/opengl.c: support on-the-fly aspect-ratio changes.
------------------------------------------------------------------------
r12993 | hartman | 2005-10-28 10:05:51 +0200 (Fri, 28 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/libvlc.h

* ' ' -> '_' in !DARWIN define

------------------------------------------------------------------------
r12992 | gbazin | 2005-10-28 09:04:40 +0200 (Fri, 28 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/video_output/x11/xcommon.c

* modules/video_output/x11/xcommon.c: support changing aspect-ratio on-the-fly.
------------------------------------------------------------------------
r12991 | gbazin | 2005-10-28 09:03:17 +0200 (Fri, 28 Oct 2005) | 1 line
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_intf.c

* src/video_output/*, include/video_output.h: support changing aspect-ratio on-the-fly.
------------------------------------------------------------------------
r12990 | hartman | 2005-10-28 02:13:28 +0200 (Fri, 28 Oct 2005) | 2 lines
Changed paths:
   M /trunk/include/vlc_keys.h
   M /trunk/modules/control/hotkeys.c
   M /trunk/src/libvlc.h

* hotkey: Go to DVD menu (ctrl-M)

------------------------------------------------------------------------
r12989 | damienf | 2005-10-28 00:46:47 +0200 (Fri, 28 Oct 2005) | 2 lines
Changed paths:
   M /trunk/activex/plugin.cpp

plugin.cpp: on activation, set width and height in VLC configuration variables with plugin actual geometry, this prevents video rescaling when starting video

------------------------------------------------------------------------
r12988 | robUx4 | 2005-10-27 21:23:47 +0200 (Thu, 27 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: get ready to support pixel cropping (top/bottom/left/right) when it will work from the demuxer in VLC
------------------------------------------------------------------------
r12987 | fkuehne | 2005-10-27 20:19:05 +0200 (Thu, 27 Oct 2005) | 1 line
Changed paths:
   M /trunk/po/POTFILES.in
   M /trunk/po/ca.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ko.po
   M /trunk/po/nl.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

* updated the po-files once again in preparation of the string freeze
------------------------------------------------------------------------
r12986 | fkuehne | 2005-10-27 20:15:35 +0200 (Thu, 27 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/bookmarks.m
   M /trunk/modules/gui/macosx/wizard.m

* minor string fixes
------------------------------------------------------------------------
r12985 | md | 2005-10-27 15:39:50 +0200 (Thu, 27 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/rtp.c

fix relation between MTU and RTP max packet size - closes #408

------------------------------------------------------------------------
r12984 | md | 2005-10-27 14:57:14 +0200 (Thu, 27 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/access/udp.c

skip 4 bytes also for RTP payload=32 (MPV) - RFC2250

------------------------------------------------------------------------
r12983 | gbazin | 2005-10-27 11:52:30 +0200 (Thu, 27 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/video_output/directx/glwin32.c

* modules/video_output/directx/glwin32.c: support on-the-fly crop changes.
------------------------------------------------------------------------
r12982 | md | 2005-10-27 11:29:36 +0200 (Thu, 27 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/crop.c

use visible width/height in crop filter

------------------------------------------------------------------------
r12981 | md | 2005-10-27 09:31:15 +0200 (Thu, 27 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/access_output/udp.c

fixed huge memory leak affecting #rtp stream output

------------------------------------------------------------------------
r12980 | gbazin | 2005-10-27 00:52:05 +0200 (Thu, 27 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/video_filter/deinterlace.c
   M /trunk/modules/video_output/opengl.c
   M /trunk/modules/video_output/x11/xcommon.c

* modules/video_output/x11/xcommon.c, modules/video_output/opengl.c, modules/video_filter/deinterlace.c: added on-the-fly cropping support to opengl and deinterlace.
------------------------------------------------------------------------
r12979 | hartman | 2005-10-26 20:34:34 +0200 (Wed, 26 Oct 2005) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in
   M /trunk/po/ca.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ko.po
   M /trunk/po/nl.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_CN.po
   M /trunk/po/zh_TW.po

* updated po files because of make dist fixing 

------------------------------------------------------------------------
r12978 | hartman | 2005-10-26 17:41:51 +0200 (Wed, 26 Oct 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am

* Don't include the Update.nib in make dist

------------------------------------------------------------------------
r12977 | sam | 2005-10-26 16:37:49 +0200 (Wed, 26 Oct 2005) | 2 lines
Changed paths:
   M /trunk/bootstrap

  * bootstrap: fixed bashism (#411).

------------------------------------------------------------------------
r12976 | sam | 2005-10-26 16:31:03 +0200 (Wed, 26 Oct 2005) | 2 lines
Changed paths:
   M /trunk/bootstrap
   M /trunk/configure.ac

  * bootstrap configure.ac: removed Cisms from shell tests (#411).

------------------------------------------------------------------------
r12975 | md | 2005-10-26 11:14:14 +0200 (Wed, 26 Oct 2005) | 3 lines
Changed paths:
   M /trunk/modules/stream_out/standard.c

fixed SAP c= line TTL issue in #standard,
--sout-udp-ttl takes precedence over -ttl

------------------------------------------------------------------------
r12974 | gbazin | 2005-10-26 09:52:01 +0200 (Wed, 26 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/video_output/directx/directx.c

* modules/video_output/directx/directx.c: support on-the-fly cropping.
------------------------------------------------------------------------
r12973 | gbazin | 2005-10-26 09:51:19 +0200 (Wed, 26 Oct 2005) | 1 line
Changed paths:
   M /trunk/src/video_output/vout_intf.c

* src/video_output/vout_intf.c: small fix for cropping.
------------------------------------------------------------------------
r12972 | md | 2005-10-26 09:05:06 +0200 (Wed, 26 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/deinterlace.c

fixed aspect ratio calculation when deinterlace->discard is used

------------------------------------------------------------------------
r12971 | gbazin | 2005-10-26 01:33:43 +0200 (Wed, 26 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/video_output/x11/xcommon.c

* modules/video_output/x11/xcommon.c: added support for on-the-fly cropping to xvideo.
------------------------------------------------------------------------
r12970 | gbazin | 2005-10-26 01:32:28 +0200 (Wed, 26 Oct 2005) | 1 line
Changed paths:
   M /trunk/src/video_output/vout_intf.c

* src/video_output/vout_intf.c: added support for on-the-fly cropping in the core (needs some vout support).
------------------------------------------------------------------------
r12969 | hartman | 2005-10-26 01:19:51 +0200 (Wed, 26 Oct 2005) | 3 lines
Changed paths:
   M /trunk/modules/video_output/image.c

* Fix a memleak in the image video output.
  It's still not leak free. I suspect an error in src/misc/image.c

------------------------------------------------------------------------
r12968 | gbazin | 2005-10-25 21:24:21 +0200 (Tue, 25 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/video_filter/clone.c
   M /trunk/modules/video_filter/distort.c
   M /trunk/modules/video_filter/invert.c
   M /trunk/modules/video_filter/logo.c
   M /trunk/modules/video_filter/motionblur.c
   M /trunk/modules/video_filter/motiondetect.c
   M /trunk/modules/video_filter/transform.c

* modules/video_filter/*: use p_vout->fmt_in/out.
------------------------------------------------------------------------
r12967 | gbazin | 2005-10-25 21:10:30 +0200 (Tue, 25 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/video_filter/deinterlace.c

* modules/video_filter/deinterlace.c: fixed aspect-ratio + pass on cropping info (could be optimized to only deinterlace cropped part).
------------------------------------------------------------------------
r12966 | md | 2005-10-25 18:27:06 +0200 (Tue, 25 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/libvlc.h

once again...

------------------------------------------------------------------------
r12965 | md | 2005-10-25 18:21:55 +0200 (Tue, 25 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/libvlc.h

string modification before freeze

------------------------------------------------------------------------
r12964 | md | 2005-10-25 15:01:39 +0200 (Tue, 25 Oct 2005) | 3 lines
Changed paths:
   M /trunk/modules/stream_out/rtp.c

fix for SAP announcements:
 * if --sout-rtp-ttl=0  use --ttl for c= line

------------------------------------------------------------------------
r12963 | md | 2005-10-25 12:55:47 +0200 (Tue, 25 Oct 2005) | 4 lines
Changed paths:
   M /trunk/modules/access_output/udp.c

put --sout-udp-ttl back, needed if streaming several stream with
different ttl each.
Need to re-think relations with --ttl and SAP within #404

------------------------------------------------------------------------
r12962 | dionoea | 2005-10-25 12:32:49 +0200 (Tue, 25 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/wxwidgets.cpp

one more fix :) -- courmisch approved ...

------------------------------------------------------------------------
r12961 | courmisch | 2005-10-25 12:21:29 +0200 (Tue, 25 Oct 2005) | 12 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/wxwidgets.cpp

Work-around wxWidgets overriding the LC_NUMERIC setting (closes #406)

In any case, that's ugly and thread-safe. The proper solution would
be to reimplement an atof() version that is locale-independant and
use in the many places that expect C/American float numbers. Even
then, there might be some buggy underlying libraries breakage
(e.g. Live555 ?).

Tested on Linux (both UTF-8 and Latin-x locales).
Needs testing on Win32.


------------------------------------------------------------------------
r12960 | courmisch | 2005-10-25 11:45:36 +0200 (Tue, 25 Oct 2005) | 4 lines
Changed paths:
   M /trunk/src/libvlc.c

Revert heavily flawed commit 12959.

I'm not explaining this again.

------------------------------------------------------------------------
r12959 | dionoea | 2005-10-25 11:08:28 +0200 (Tue, 25 Oct 2005) | 3 lines
Changed paths:
   M /trunk/src/libvlc.c

re fix the stupid float ","/"." error. Please don't break it once again
(fixes #406)

------------------------------------------------------------------------
r12958 | md | 2005-10-25 10:55:07 +0200 (Tue, 25 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/access_output/udp.c

get rid of confusing --sout-udp-ttl and unneded warning message

------------------------------------------------------------------------
r12957 | md | 2005-10-25 09:46:22 +0200 (Tue, 25 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/streamdata.cpp
   M /trunk/modules/gui/wxwidgets/wizard.cpp

Use RTP for wizard, since it's capable of packet reordering.

------------------------------------------------------------------------
r12956 | md | 2005-10-25 09:02:52 +0200 (Tue, 25 Oct 2005) | 6 lines
Changed paths:
   M /trunk/modules/access/ftp.c

FTP URLs are relative to user's default directory (RFC1738)
For absolute path use ftp://foo.bar//usr/local/etc/filename
-This line, and those below, will be ignored--

M    modules/access/ftp.c

------------------------------------------------------------------------
r12955 | asmax | 2005-10-24 21:59:51 +0200 (Mon, 24 Oct 2005) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/commands/cmd_resize.cpp
   M /trunk/modules/gui/skins2/commands/cmd_resize.hpp
   M /trunk/modules/gui/skins2/src/vlcproc.cpp

* all: Post a CmdResizeVout command when the vout size changes
(this command does nothing at the moment ;)

------------------------------------------------------------------------
r12954 | md | 2005-10-24 19:08:54 +0200 (Mon, 24 Oct 2005) | 5 lines
Changed paths:
   M /trunk/include/vlc_access.h
   M /trunk/include/vlc_block.h
   M /trunk/modules/access/udp.c
   M /trunk/src/input/access.c
   M /trunk/src/input/stream.c
   M /trunk/src/misc/block.c

modifications for RTP reordering:
 * for RTP, prebuffering is done within RTP access
 * reordering now working within this buffer
 * solves synchro problems since packet rate is preserved 

------------------------------------------------------------------------
r12953 | bigben | 2005-10-24 17:17:03 +0200 (Mon, 24 Oct 2005) | 3 lines
Changed paths:
   M /trunk/modules/control/rc.c

Add a "clear" command to empty the playlist (someone asked for it)


------------------------------------------------------------------------
r12952 | gbazin | 2005-10-24 10:26:23 +0200 (Mon, 24 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/video_output/directx/directx.c

* modules/video_output/directx/directx.c: removed debug message.
------------------------------------------------------------------------
r12951 | md | 2005-10-24 09:33:08 +0200 (Mon, 24 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/rtp.c

fixed SAP announcement deletion for muxed streams

------------------------------------------------------------------------
r12950 | asmax | 2005-10-23 19:59:52 +0200 (Sun, 23 Oct 2005) | 4 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_tree.cpp
   M /trunk/modules/gui/skins2/vars/playtree.cpp

* ctrl_tree.cpp: (un)folding of a playlist item is no triggered
by a simple click (was a double click before) which is more
natural

------------------------------------------------------------------------
r12949 | asmax | 2005-10-23 19:42:16 +0200 (Sun, 23 Oct 2005) | 5 lines
Changed paths:
   M /trunk/modules/gui/skins2/commands/cmd_vars.cpp
   M /trunk/modules/gui/skins2/commands/cmd_vars.hpp
   M /trunk/modules/gui/skins2/src/vlcproc.cpp
   M /trunk/modules/gui/skins2/utils/var_tree.cpp
   M /trunk/modules/gui/skins2/utils/var_tree.hpp
   M /trunk/modules/gui/skins2/vars/playtree.cpp
   M /trunk/modules/gui/skins2/vars/playtree.hpp

* all: don't rebuild the whole playtree when an item is updated
 (at the moment the tree control is still entirely rebuilt,
 but now it will be easier to fix that)
 + coding style fixes

------------------------------------------------------------------------
r12948 | zorglub | 2005-10-23 18:55:11 +0200 (Sun, 23 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/codec/dmo/dmo.c

Add support for wmap

------------------------------------------------------------------------
r12947 | gbazin | 2005-10-23 18:43:48 +0200 (Sun, 23 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/misc/network/ipv4.c

* modules/misc/network/ipv4.c: fixed wince breakage.
------------------------------------------------------------------------
r12946 | gbazin | 2005-10-23 18:24:30 +0200 (Sun, 23 Oct 2005) | 1 line
Changed paths:
   M /trunk/src/misc/net.c

* src/misc/net.c: WinCE fix.
------------------------------------------------------------------------
r12945 | gbazin | 2005-10-23 18:08:22 +0200 (Sun, 23 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/codec/realaudio.c

* modules/codec/realaudio.c: on win32, use codecs installed by realplayer if available.
------------------------------------------------------------------------
r12944 | zorglub | 2005-10-23 17:34:37 +0200 (Sun, 23 Oct 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/livedotcom-osx.patch

Backport OS X specific USE_LOCALE patch to trunk/

------------------------------------------------------------------------
r12942 | gbazin | 2005-10-23 16:53:50 +0200 (Sun, 23 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/video_output/directx/directx.c

* modules/video_output/directx/directx.c: small fix for last commit.
------------------------------------------------------------------------
r12941 | titer | 2005-10-23 16:43:07 +0200 (Sun, 23 Oct 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/ffmpeg.patch.cvs

 ffmpeg.patch.cvs: oops, fix build

------------------------------------------------------------------------
r12940 | asmax | 2005-10-23 16:39:57 +0200 (Sun, 23 Oct 2005) | 4 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_tree.cpp
   M /trunk/modules/gui/skins2/src/png_bitmap.cpp

* png_bitmap.cpp: fixed handling of PNG bitmaps with an alpha channel
 (was broken for quite a long time...)
* ctrl_tree.cpp: removed debug messages

------------------------------------------------------------------------
r12939 | gbazin | 2005-10-23 16:36:33 +0200 (Sun, 23 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/video_output/directx/directx.c
   M /trunk/modules/video_output/directx/events.c

* modules/video_output/directx/*: support for cropping.
------------------------------------------------------------------------
r12938 | titer | 2005-10-23 16:12:57 +0200 (Sun, 23 Oct 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/ffmpeg.patch.cvs

 Patches/ffmpeg.patch.cvs: fix for current CVS (hunk was failing)

------------------------------------------------------------------------
r12937 | gbazin | 2005-10-23 15:04:54 +0200 (Sun, 23 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/video_output/opengl.c

* modules/video_output/opengl.c: hopefully got it right this time.
------------------------------------------------------------------------
r12936 | md | 2005-10-23 14:21:39 +0200 (Sun, 23 Oct 2005) | 3 lines
Changed paths:
   M /trunk/modules/stream_out/rtp.c

SAP announcer needs destination address in URI
Hosts should never send packets with TTL=0

------------------------------------------------------------------------
r12935 | gbazin | 2005-10-23 14:05:23 +0200 (Sun, 23 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/video_output/opengl.c

* modules/video_output/opengl.c: implemented cropping.
------------------------------------------------------------------------
r12933 | gbazin | 2005-10-23 13:07:38 +0200 (Sun, 23 Oct 2005) | 1 line
Changed paths:
   M /trunk/src/video_output/vout_pictures.c

* src/video_output/vout_pictures.c: avoid overflow in vout_PlacePicture().
------------------------------------------------------------------------
r12932 | zorglub | 2005-10-23 12:58:24 +0200 (Sun, 23 Oct 2005) | 2 lines
Changed paths:
   M /trunk/include/stream_output.h
   M /trunk/include/vlc_symbols.h
   M /trunk/modules/stream_out/rtp.c
   M /trunk/src/stream_output/announce.c

Export URI from RTP module . Closes:#403

------------------------------------------------------------------------
r12931 | gbazin | 2005-10-23 12:44:59 +0200 (Sun, 23 Oct 2005) | 1 line
Changed paths:
   M /trunk/src/libvlc.c

* src/libvlc.c: fixed --width/height.
------------------------------------------------------------------------
r12930 | gbazin | 2005-10-23 12:19:03 +0200 (Sun, 23 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/video_output/x11/xcommon.c

* modules/video_output/x11/xcommon.c: use p_vout->fmt_out.i_x/y_offset during cropping.
------------------------------------------------------------------------
r12929 | courmisch | 2005-10-23 12:06:49 +0200 (Sun, 23 Oct 2005) | 4 lines
Changed paths:
   M /trunk/src/stream_output/sap.c

Revert commit [12925] - reopens #403
psz_uri is NEEDED - it determines the destination for SAP announces
Go read the code before you commit

------------------------------------------------------------------------
r12928 | gbazin | 2005-10-23 12:01:49 +0200 (Sun, 23 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/video_output/x11/xcommon.c

* modules/video_output/x11/xcommon.c: support cropping to i_visible_width/height in xvideo (not implemented in x11 yet).
------------------------------------------------------------------------
r12927 | gbazin | 2005-10-23 12:00:58 +0200 (Sun, 23 Oct 2005) | 1 line
Changed paths:
   M /trunk/src/video_output/video_output.c

* src/video_output/video_output.c: get rid of hack for for grey line with hdtv streams (proper way is to have video outputs support cropping to i_visible_width/height).
------------------------------------------------------------------------
r12926 | gbazin | 2005-10-23 11:52:32 +0200 (Sun, 23 Oct 2005) | 1 line
Changed paths:
   M /trunk/src/video_output/vout_pictures.c

* src/video_output/vout_pictures.c: use fmt_in.i_visible_width/height and i_sar_num/den in vout_PlacePicture().
------------------------------------------------------------------------
r12925 | zorglub | 2005-10-23 11:43:43 +0200 (Sun, 23 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/stream_output/sap.c

psz_uri can be null in sap announcer if we have a SDP (Closes:#403)

------------------------------------------------------------------------
r12924 | courmisch | 2005-10-23 11:33:13 +0200 (Sun, 23 Oct 2005) | 2 lines
Changed paths:
   M /trunk/activex/axvlc.tlb
   M /trunk/modules/access_filter/Modules.am
   M /trunk/modules/access_filter/timeshift.c
   M /trunk/po/zh_CN.po

Another bunch of attributes fixes

------------------------------------------------------------------------
r12923 | courmisch | 2005-10-23 11:25:27 +0200 (Sun, 23 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/demux/nsc.c

Add usual SVN properties

------------------------------------------------------------------------
r12922 | courmisch | 2005-10-23 11:24:07 +0200 (Sun, 23 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/demux/nsc.c

C source code is not executable

------------------------------------------------------------------------
r12921 | md | 2005-10-23 11:18:05 +0200 (Sun, 23 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/streamout.cpp

use correct address filed for MMSH

------------------------------------------------------------------------
r12920 | md | 2005-10-23 11:14:19 +0200 (Sun, 23 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/standard.c

if no mux, add TS also for RTP

------------------------------------------------------------------------
r12919 | zorglub | 2005-10-23 11:00:08 +0200 (Sun, 23 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/wizard.cpp

Put the full path in wizard output option (Closes:#392)

------------------------------------------------------------------------
r12918 | zcot | 2005-10-22 20:20:45 +0200 (Sat, 22 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/libvlc.c

msw ShowConsole() - enable previously provided msg on console for --help file output.

------------------------------------------------------------------------
r12917 | babal | 2005-10-22 19:58:12 +0200 (Sat, 22 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/channel_mixer/dolby.c
   M /trunk/modules/audio_filter/channel_mixer/headphone.c

- accurate testing of i_original_channels

------------------------------------------------------------------------
r12916 | md | 2005-10-22 18:23:01 +0200 (Sat, 22 Oct 2005) | 3 lines
Changed paths:
   M /trunk/src/misc/httpd.c

allocate HUGE buffer only for Windows sockets - see last paragraph in:
http://www.itamarst.org/writings/win32sockets.html

------------------------------------------------------------------------
r12915 | robUx4 | 2005-10-22 17:04:45 +0200 (Sat, 22 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: add some debugging messages for the users and tests for unsupported tracks
------------------------------------------------------------------------
r12914 | robUx4 | 2005-10-22 15:12:25 +0200 (Sat, 22 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: add support for the basic A_AAC codec ID
------------------------------------------------------------------------
r12913 | robUx4 | 2005-10-22 14:46:29 +0200 (Sat, 22 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: support for the new header stripping compression
------------------------------------------------------------------------
r12912 | asmax | 2005-10-22 13:57:29 +0200 (Sat, 22 Oct 2005) | 4 lines
Changed paths:
   M /trunk/modules/gui/skins2/parser/builder.cpp
   M /trunk/modules/gui/skins2/src/theme.cpp
   M /trunk/modules/gui/skins2/src/theme_loader.cpp
   M /trunk/modules/gui/skins2/src/top_window.cpp
   M /trunk/modules/gui/skins2/src/top_window.hpp
   M /trunk/modules/gui/skins2/src/window_manager.cpp
   M /trunk/modules/gui/skins2/src/window_manager.hpp

* all: the "visible" attribute for windows (in the XML) now
  does what it should (if set to "false", the window is hidden
  when the theme is loaded for the first time)

------------------------------------------------------------------------
r12911 | md | 2005-10-22 13:56:42 +0200 (Sat, 22 Oct 2005) | 4 lines
Changed paths:
   M /trunk/src/misc/httpd.c

increase output buffer for HTTP streaming to 1 MByte
- now Windows machines are able to stream even 20 Mbps HDTV over TCP
- resolves  http://forum.videolan.org/viewtopic.php?t=8374

------------------------------------------------------------------------
r12910 | gbazin | 2005-10-22 13:16:33 +0200 (Sat, 22 Oct 2005) | 1 line
Changed paths:
   M /trunk/src/video_output/video_output.c

* src/video_output/video_output.c: revert #12904 which is useless since it is already done in vout_IntfInit().
------------------------------------------------------------------------
r12909 | gbazin | 2005-10-22 13:06:15 +0200 (Sat, 22 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/audio_output/alsa.c

* modules/audio_output/alsa.c: rework of the previous patch.
------------------------------------------------------------------------
r12908 | asmax | 2005-10-22 12:18:20 +0200 (Sat, 22 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/control/hotkeys.c

* hotkeys.c: don't crash when there is no input

------------------------------------------------------------------------
r12907 | robUx4 | 2005-10-21 21:08:09 +0200 (Fri, 21 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: implement working support for the new SimpleBlock (only when libmatroska 0.8.0 is used)
------------------------------------------------------------------------
r12906 | fkuehne | 2005-10-21 16:17:48 +0200 (Fri, 21 Oct 2005) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* use the latest ffmpeg-cvs again. Included dionoea's build fix (rev. [12607]). Thanks to xtophe for pointing this out.
------------------------------------------------------------------------
r12905 | zcot | 2005-10-21 00:37:14 +0200 (Fri, 21 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/visualization/visual/effects.c
   M /trunk/modules/visualization/visual/visual.c

updates spectrometer visualization. some optimization tweaks and additional features.

------------------------------------------------------------------------
r12904 | hartman | 2005-10-21 00:21:20 +0200 (Fri, 21 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_output.c

* I think this should fix the width & height params of vout. If anyone sees anything wrong with it, please say so. Report thx to Greg Farell. fixes #399

------------------------------------------------------------------------
r12903 | jpsaman | 2005-10-20 21:56:22 +0200 (Thu, 20 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/control/rc.c

fix one potential refcount problem
------------------------------------------------------------------------
r12902 | jpsaman | 2005-10-20 21:42:24 +0200 (Thu, 20 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/control/rc.c

Put vlc_object_release() at the proper place. This fixes a refcounting problem.
------------------------------------------------------------------------
r12901 | xtophe | 2005-10-20 19:49:04 +0200 (Thu, 20 Oct 2005) | 3 lines
Changed paths:
   M /trunk/configure.ac

* Put the with-ffmpeg-* outside the test
* beware of AC_ARG_WITH

------------------------------------------------------------------------
r12900 | xtophe | 2005-10-20 17:46:00 +0200 (Thu, 20 Oct 2005) | 3 lines
Changed paths:
   M /trunk/configure.ac

* Fix pkg-config detection
* fix ffmpeg extra flags

------------------------------------------------------------------------
r12899 | md | 2005-10-20 16:26:09 +0200 (Thu, 20 Oct 2005) | 4 lines
Changed paths:
   M /trunk/include/stream_output.h
   M /trunk/modules/stream_out/standard.c
   M /trunk/src/stream_output/sap.c

send proper info in m= line of SAP announcements:
  m=video 1234 udp 33      for raw UDP
  m=video 1234 RTP/AVP 33  for RTP

------------------------------------------------------------------------
r12898 | md | 2005-10-20 14:52:05 +0200 (Thu, 20 Oct 2005) | 3 lines
Changed paths:
   M /trunk/include/network.h

our address needs to be fetched via getsockname()
- now SAP announces have proper source address in o= line

------------------------------------------------------------------------
r12897 | md | 2005-10-20 13:09:02 +0200 (Thu, 20 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwidgets/streamout.cpp
   M /trunk/modules/gui/wxwidgets/wxwidgets.h

added RTP method to streamout dialog
------------------------------------------------------------------------
r12896 | md | 2005-10-20 12:05:13 +0200 (Thu, 20 Oct 2005) | 3 lines
Changed paths:
   M /trunk/modules/stream_out/rtp.c

fixed some issues with port numbers
(VLC expects muxed streams on port 1234)

------------------------------------------------------------------------
r12895 | bigben | 2005-10-20 09:27:07 +0200 (Thu, 20 Oct 2005) | 3 lines
Changed paths:
   M /trunk/modules/audio_output/alsa.c

Forgot to remove some debug...


------------------------------------------------------------------------
r12894 | md | 2005-10-20 09:17:09 +0200 (Thu, 20 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/stream_out/rtp.c

fixed rtp with mux=ts

------------------------------------------------------------------------
r12893 | robUx4 | 2005-10-19 22:00:52 +0200 (Wed, 19 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: read the new KaxSimpleBlock element (when libmatroska 0.8.0 is used)
------------------------------------------------------------------------
r12892 | bigben | 2005-10-19 21:53:05 +0200 (Wed, 19 Oct 2005) | 5 lines
Changed paths:
   M /trunk/modules/audio_output/alsa.c

* This should fix switching from a stereo device to surround40 or surround51 with the alsa audio output (close #85).
* Now we probe the device for supported formats on each device change
* Please test this, at least on stereo inputs. We don't want a broken alsa audio output in 0.8.4...


------------------------------------------------------------------------
r12891 | fkuehne | 2005-10-19 19:26:07 +0200 (Wed, 19 Oct 2005) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* fix aclocal-cleaning
------------------------------------------------------------------------
r12890 | hartman | 2005-10-19 13:27:09 +0200 (Wed, 19 Oct 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

* fix liveMedia URL

------------------------------------------------------------------------
r12889 | md | 2005-10-19 11:38:50 +0200 (Wed, 19 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/codec/libmpeg2.c

use display width/height for libmpeg2 debug message

------------------------------------------------------------------------
r12888 | gbazin | 2005-10-19 11:12:12 +0200 (Wed, 19 Oct 2005) | 1 line
Changed paths:
   M /trunk/src/input/input.c

* src/input/input.c: fixed segfault with sub autodetection.
------------------------------------------------------------------------
r12887 | md | 2005-10-19 09:09:09 +0200 (Wed, 19 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/input/decoder.c
   M /trunk/src/libvlc.h

1088->1080 fix for broken HDTV encoders; could be disabled via --no-hdtv-fix

------------------------------------------------------------------------
r12886 | hartman | 2005-10-19 02:09:54 +0200 (Wed, 19 Oct 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* Fix clean target of liveMedia

------------------------------------------------------------------------
r12885 | dionoea | 2005-10-19 01:58:23 +0200 (Wed, 19 Oct 2005) | 5 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

increment version check ... (QDM2 won't work before ffmpeg people bump
their version number up, but at least it doesn't break builds with older
versions of ffmpeg)


------------------------------------------------------------------------
r12884 | hartman | 2005-10-19 01:49:35 +0200 (Wed, 19 Oct 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac

* Re apply the revert from [12159]. ffmpeg pkg-config has been fixed. closes #306

------------------------------------------------------------------------
r12883 | dionoea | 2005-10-19 01:36:35 +0200 (Wed, 19 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

check for LIBAVCODEC_BUILD >= ((50<<16)+(0<<8)+0) in order to use QDM2

------------------------------------------------------------------------
r12882 | dionoea | 2005-10-19 01:05:09 +0200 (Wed, 19 Oct 2005) | 2 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

 * add qdm2 support. Thanks to the ffmpeg people for this new feature.

------------------------------------------------------------------------
r12881 | hartman | 2005-10-18 23:53:42 +0200 (Tue, 18 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/input/subtitles.c

* Don't crash if we cannot retrieve a directory in which to search.

------------------------------------------------------------------------
r12880 | jpsaman | 2005-10-18 23:03:34 +0200 (Tue, 18 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/access/udp.c

RTP reordering fixes.
------------------------------------------------------------------------
r12879 | fkuehne | 2005-10-18 23:02:04 +0200 (Tue, 18 Oct 2005) | 1 line
Changed paths:
   M /trunk/extras/contrib/Makefile

* let's run 'make clean-src' when typing 'make clean', since make clean-bin won't be used anyway. The user is informed of this through a message.
------------------------------------------------------------------------
r12878 | robUx4 | 2005-10-18 20:59:26 +0200 (Tue, 18 Oct 2005) | 1 line
Changed paths:
   M /trunk/configure.ac

configure.ac: require libebml that fixes a major bug
------------------------------------------------------------------------
r12877 | robUx4 | 2005-10-18 20:58:58 +0200 (Tue, 18 Oct 2005) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

contrib: update the libebml/libmatroska versions (libebml fixes a major bug for Haali's files)
------------------------------------------------------------------------
r12876 | md | 2005-10-18 09:16:14 +0200 (Tue, 18 Oct 2005) | 1 line
Changed paths:
   M /trunk/src/video_output/video_output.c

use display dimensions when creating vouts - solves HDTV greyline bug
------------------------------------------------------------------------
r12875 | md | 2005-10-18 09:12:27 +0200 (Tue, 18 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/video_output/sdl.c
   M /trunk/modules/video_output/x11/xcommon.c

prepare video outputs for display size not equal to encoded size
------------------------------------------------------------------------
r12874 | md | 2005-10-18 09:04:46 +0200 (Tue, 18 Oct 2005) | 1 line
Changed paths:
   M /trunk/src/input/decoder.c

calculate SAR from visible width/height
------------------------------------------------------------------------
r12873 | jpsaman | 2005-10-17 23:41:01 +0200 (Mon, 17 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/access/udp.c

reverted most of revision 12872, it didn't work after all
------------------------------------------------------------------------
r12872 | jpsaman | 2005-10-17 22:43:33 +0200 (Mon, 17 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/access/udp.c

Several RTP reordering fixes (Thanks to Marian Durkovic for finding them)
------------------------------------------------------------------------
r12871 | hartman | 2005-10-17 22:15:10 +0200 (Mon, 17 Oct 2005) | 3 lines
Changed paths:
   M /trunk/include/configuration.h
   M /trunk/include/vlc_config_cat.h
   M /trunk/modules/misc/network/ipv4.c
   M /trunk/modules/video_filter/time.c
   M /trunk/src/libvlc.h

* Renamed "Advanced" subcat of "Input / Codecs" into "General" and made all the advanced options within it hidden.


------------------------------------------------------------------------
r12870 | damienf | 2005-10-17 16:37:20 +0200 (Mon, 17 Oct 2005) | 3 lines
Changed paths:
   M /trunk/activex/plugin.cpp
   M /trunk/activex/vlccontrol.cpp

plugin.cpp: formatting cleanup
vlccontrol.cpp: fixed a bug when processing target options stored in a safe array, last element in array was never processed

------------------------------------------------------------------------
r12869 | hartman | 2005-10-17 03:14:04 +0200 (Mon, 17 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/access/directory.c

* cough, cough... undef a config option decleration

------------------------------------------------------------------------
r12868 | hartman | 2005-10-17 01:21:25 +0200 (Mon, 17 Oct 2005) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.m

* Fix crash on Quit issue in Mac OS X
  This is really dirty btw. the OS X GUI module has some serious memory management issues.

------------------------------------------------------------------------
r12867 | hartman | 2005-10-17 00:02:33 +0200 (Mon, 17 Oct 2005) | 2 lines
Changed paths:
   M /trunk/include/network.h

* Fix BeOS breakage due to [12863]

------------------------------------------------------------------------
r12866 | dionoea | 2005-10-17 00:01:51 +0200 (Mon, 17 Oct 2005) | 2 lines
Changed paths:
   M /trunk/vlc.win32.nsi

correct DVD autoplay (thanks to E-bola)

------------------------------------------------------------------------
r12865 | hartman | 2005-10-16 23:54:04 +0200 (Sun, 16 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/input/subtitles.c

* Fix the sub autodetect directory string

------------------------------------------------------------------------
r12864 | jpsaman | 2005-10-16 23:20:05 +0200 (Sun, 16 Oct 2005) | 1 line
Changed paths:
   M /trunk/src/input/subtitles.c

Fix several segmentation faults
------------------------------------------------------------------------
r12863 | courmisch | 2005-10-16 23:15:02 +0200 (Sun, 16 Oct 2005) | 3 lines
Changed paths:
   M /trunk/include/network.h

Rewrite base64 encoder
(it was not padding properly the end of encoded stream)

------------------------------------------------------------------------
r12862 | jpsaman | 2005-10-16 22:08:22 +0200 (Sun, 16 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/access/dvdread.c

Rolled back part of revision 10144 and 11422. The solutions is the same as revision 8360
------------------------------------------------------------------------
r12861 | jpsaman | 2005-10-16 22:07:15 +0200 (Sun, 16 Oct 2005) | 1 line
Changed paths:
   M /trunk/src/input/input.c

Remove useless whitespace
------------------------------------------------------------------------
r12860 | jpsaman | 2005-10-16 22:00:36 +0200 (Sun, 16 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/control/hotkeys.c

Make sure to get the right unit
------------------------------------------------------------------------
r12859 | fkuehne | 2005-10-16 21:44:44 +0200 (Sun, 16 Oct 2005) | 2 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/extras/MacOSX/Resources/English.lproj/Wizard.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Wizard.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Wizard.nib/keyedobjects.nib
   M /trunk/modules/gui/macosx/wizard.h
   M /trunk/modules/gui/macosx/wizard.m

* wizard.*: added the display-option to the advanced-transcoding and the advanced-streaming options (-> it's displayed only once, since only one of these pages is displayed at a one run)
* THANKS: added zcot's patch ;)
------------------------------------------------------------------------
r12858 | hartman | 2005-10-16 21:21:08 +0200 (Sun, 16 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c

* forgot about the strings rules for menu-items.

------------------------------------------------------------------------
r12857 | hartman | 2005-10-16 21:19:48 +0200 (Sun, 16 Oct 2005) | 3 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c
   M /trunk/src/stream_output/sap.c

* announces -> announcements (announce is a verb)
  "Session Announcement Protocol"

------------------------------------------------------------------------
r12856 | hartman | 2005-10-16 20:36:20 +0200 (Sun, 16 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/input/subtitles.c

* include limits.h to be sure of PATH_MAX availability

------------------------------------------------------------------------
r12855 | robUx4 | 2005-10-16 20:19:32 +0200 (Sun, 16 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: file path comparison is case insensitive on Windows
------------------------------------------------------------------------
r12854 | hartman | 2005-10-16 20:01:09 +0200 (Sun, 16 Oct 2005) | 3 lines
Changed paths:
   M /trunk/src/libvlc.h
   M /trunk/src/misc/threads.c

* Thanks to Meuuh for the feedback. threads prioritization should work now, without annoying error messages.
* If an rt-offset is specified, then this offset is not applied to the main thread, because it's value cannot yet be retrieved at that time (same as before, but now without annoying error).

------------------------------------------------------------------------
r12853 | hartman | 2005-10-16 17:44:56 +0200 (Sun, 16 Oct 2005) | 3 lines
Changed paths:
   M /trunk/src/libvlc.h
   M /trunk/src/misc/threads.c

* Always set priorities on Mac OS X.
* Simplify something of [12852]

------------------------------------------------------------------------
r12852 | hartman | 2005-10-16 17:27:34 +0200 (Sun, 16 Oct 2005) | 3 lines
Changed paths:
   M /trunk/src/misc/threads.c

* This patch does what the revert'ed patch from before should have done. Changing priorities of vlc threads with --rt-priotity and --rt-offset. (Note that 'rt' isn't 'realtime'. We should use Mach threading for that on Darwin)
* It also fixes the errors on the non-existent  rt-priority and rt-offset on start, which was caused because no config was loaded yet.

------------------------------------------------------------------------
r12851 | hartman | 2005-10-16 16:50:17 +0200 (Sun, 16 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/misc/threads.c

* What was i smoking when i did this change?

------------------------------------------------------------------------
r12850 | courmisch | 2005-10-16 16:42:15 +0200 (Sun, 16 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/misc/getaddrinfo.c

Better thread-safety in previous commit

------------------------------------------------------------------------
r12849 | courmisch | 2005-10-16 16:32:37 +0200 (Sun, 16 Oct 2005) | 3 lines
Changed paths:
   M /trunk/include/network.h
   M /trunk/src/misc/getaddrinfo.c

- Support for glibc IDN
- Run-time check for IDN

------------------------------------------------------------------------
r12846 | hartman | 2005-10-16 03:20:54 +0200 (Sun, 16 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/access/directory.c

* Fix the directory 'ignore' mode which skips .jpg's, nfo's etc when opening directories.

------------------------------------------------------------------------
r12845 | hartman | 2005-10-16 02:30:30 +0200 (Sun, 16 Oct 2005) | 5 lines
Changed paths:
   M /trunk/src/input/subtitles.c

* UTF-8 ified the subtitle autodetect core. (fixes #373)
* converted it to a scandir system

Please test this heavily on all your files and directories, because these routines are triggered on each opening of a file. If someone would like to review it for leaks and memory messups, I would be eternal grateful.

------------------------------------------------------------------------
r12844 | jpsaman | 2005-10-16 00:07:55 +0200 (Sun, 16 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/access/udp.c
   M /trunk/src/input/stream.c

RTP reordering in module/access/udp.c done by me with help from Marian Durkovic (md _AT_ bts _dot_ sk). Allow src/input/stream.c to handle a linked list of blocks from demuxers.

------------------------------------------------------------------------
r12843 | hartman | 2005-10-15 20:19:03 +0200 (Sat, 15 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/open.m

* Fix an OSX only issue with accents and other weird chars in subtitle filenames when using the "forced" method.

------------------------------------------------------------------------
r12842 | asmax | 2005-10-15 19:55:46 +0200 (Sat, 15 Oct 2005) | 3 lines
Changed paths:
   M /trunk/src/playlist/playlist.c

* playlist.c: hopefully fixed the playlist screwed up for a so
 long time... (now "Next" is working in non-view mode)

------------------------------------------------------------------------
r12841 | robUx4 | 2005-10-15 18:41:50 +0200 (Sat, 15 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: more user-friendly error messages
------------------------------------------------------------------------
r12840 | robUx4 | 2005-10-15 18:32:48 +0200 (Sat, 15 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: use error messages instead of debug messages
------------------------------------------------------------------------
r12839 | robUx4 | 2005-10-15 18:25:18 +0200 (Sat, 15 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: verify that the matroska version needed for playback matches (support only matroska v1 for now)
------------------------------------------------------------------------
r12838 | robUx4 | 2005-10-15 18:00:24 +0200 (Sat, 15 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: better test when files with no Segment UID are in the same dir
------------------------------------------------------------------------
r12837 | robUx4 | 2005-10-15 17:07:17 +0200 (Sat, 15 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: fix a potential problem when the same dir contains files with no Segment UID
------------------------------------------------------------------------
r12836 | sigmunau | 2005-10-15 15:23:08 +0200 (Sat, 15 Oct 2005) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/extras/zsh.cpp
   M /trunk/include/vlc_keys.h
   M /trunk/include/vlc_osd.h
   M /trunk/modules/audio_filter/resampler/linear.c
   M /trunk/modules/codec/flac.c
   M /trunk/modules/control/gestures.c
   M /trunk/modules/control/hotkeys.c
   M /trunk/modules/control/lirc.c
   M /trunk/modules/demux/m3u.c
   M /trunk/modules/demux/playlist/b4s.c
   M /trunk/modules/demux/playlist/m3u.c
   M /trunk/modules/demux/playlist/playlist.h
   M /trunk/modules/demux/playlist/pls.c
   M /trunk/modules/demux/util/id3genres.h
   M /trunk/modules/demux/util/id3tag.c
   M /trunk/modules/gui/wxwidgets/fileinfo.cpp
   M /trunk/modules/gui/wxwidgets/preferences_widgets.cpp
   M /trunk/modules/gui/wxwidgets/preferences_widgets.h
   M /trunk/modules/misc/dummy/renderer.c
   M /trunk/modules/misc/freetype.c
   M /trunk/modules/mux/mpjpeg.c
   M /trunk/modules/services_discovery/shout.c
   M /trunk/modules/video_filter/motionblur.c
   M /trunk/modules/video_filter/time.c
   M /trunk/modules/video_output/aa.c
   M /trunk/src/input/mem_stream.c
   M /trunk/src/osd/osd_text.c
   M /trunk/src/video_output/video_text.c

all: updated my name and e-mail address
AUTHORS: updated my entry

------------------------------------------------------------------------
r12835 | jpsaman | 2005-10-15 14:15:06 +0200 (Sat, 15 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/access/dvdnav.c

Fix indentation
------------------------------------------------------------------------
r12834 | jpsaman | 2005-10-15 14:12:46 +0200 (Sat, 15 Oct 2005) | 1 line
Changed paths:
   M /trunk/src/input/var.c

whitespace cleanup
------------------------------------------------------------------------
r12833 | jpsaman | 2005-10-15 12:01:46 +0200 (Sat, 15 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

Fullscreen patch for rc-interface that allows to force fullscreen on or off state. Original patch is from Greg Farell (Greg _AT#_ gregFarrell _DoT_ org) and modified by me.

------------------------------------------------------------------------
r12832 | hartman | 2005-10-14 13:22:46 +0200 (Fri, 14 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/demux.c

* Revert previous commit.

------------------------------------------------------------------------
r12831 | hartman | 2005-10-14 12:57:51 +0200 (Fri, 14 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/demux.c

* If codec_type != video | audio, then don't use the ffmpeg demux. (it was crashing on .gif pictures).

------------------------------------------------------------------------
r12830 | hartman | 2005-10-14 12:53:55 +0200 (Fri, 14 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/demux.c

* libavformat shouldn't handle .xa files. We have modlib already

------------------------------------------------------------------------
r12829 | babal | 2005-10-13 23:41:58 +0200 (Thu, 13 Oct 2005) | 3 lines
Changed paths:
   M /trunk/modules/audio_filter/channel_mixer/headphone.c
   M /trunk/src/libvlc.h

- revert "spdif", "force-dolby-surround" and "headphone-dim" to
  basic options

------------------------------------------------------------------------
r12828 | asmax | 2005-10-12 22:44:13 +0200 (Wed, 12 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/vlcproc.cpp

* vlcproc.cpp: fixed "playlist.*" variables (were broken by the playtree)

------------------------------------------------------------------------
r12827 | asmax | 2005-10-12 22:06:29 +0200 (Wed, 12 Oct 2005) | 2 lines
Changed paths:
   M /trunk/build-vlc
   M /trunk/config.in

* all: added "wx-config" option in menuconfig

------------------------------------------------------------------------
r12826 | ipkiss | 2005-10-12 21:18:50 +0200 (Wed, 12 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/messages.cpp

 * modules/gui/wxwidgets/messages.cpp: set the insertion point only before inserting text (patch by zcot)

------------------------------------------------------------------------
r12825 | fkuehne | 2005-10-12 18:06:50 +0200 (Wed, 12 Oct 2005) | 1 line
Changed paths:
   M /trunk/po/zh_CN.po

* set keywords correctly
------------------------------------------------------------------------
r12824 | fkuehne | 2005-10-12 18:04:18 +0200 (Wed, 12 Oct 2005) | 1 line
Changed paths:
   M /trunk/NEWS
   M /trunk/THANKS
   M /trunk/configure.ac
   A /trunk/po/zh_CN.po
   M /trunk/src/libvlc.h
   M /trunk/src/misc/darwin_specific.m

* partial translation to Simplified Chinese by Wei Mingzhi <whistler_wmz@users.sourceforge.net>
------------------------------------------------------------------------
r12823 | damienf | 2005-10-11 23:37:42 +0200 (Tue, 11 Oct 2005) | 1 line
Changed paths:
   M /trunk/activex/plugin.cpp

added clearer comments, couple of fixes
------------------------------------------------------------------------
r12822 | fenrir | 2005-10-11 19:32:01 +0200 (Tue, 11 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/access_output/udp.c

 * udp: avoid sending uninitialized memory at the end (close #168)

------------------------------------------------------------------------
r12821 | zorglub | 2005-10-11 19:16:13 +0200 (Tue, 11 Oct 2005) | 6 lines
Changed paths:
   M /trunk/include/vlc_config_cat.h
   M /trunk/modules/access/dshow/dshow.cpp
   M /trunk/modules/access/http.c
   M /trunk/modules/access/mms/mms.c
   M /trunk/modules/access/rtsp/access.c
   M /trunk/modules/audio_filter/channel_mixer/headphone.c
   M /trunk/modules/codec/twolame.c
   M /trunk/modules/codec/x264.c
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/demux/livedotcom.cpp
   M /trunk/modules/demux/playlist/playlist.c
   M /trunk/modules/video_filter/blend.c
   M /trunk/modules/video_filter/clone.c
   M /trunk/modules/video_filter/deinterlace.c
   M /trunk/modules/video_filter/logo.c
   M /trunk/modules/video_filter/marq.c
   M /trunk/modules/video_filter/osdmenu.c
   M /trunk/modules/video_filter/rss.c
   M /trunk/modules/video_filter/rv32.c
   M /trunk/modules/video_filter/time.c
   M /trunk/modules/video_filter/wall.c
   M /trunk/src/libvlc.h

Fix a bunch of preferences errors
 - Missing value lists
 - advanced / non-advanced problems
 - description problems
 - tyops

------------------------------------------------------------------------
r12820 | damienf | 2005-10-11 18:44:53 +0200 (Tue, 11 Oct 2005) | 2 lines
Changed paths:
   M /trunk/activex/vlccontrol.cpp

vlccontrol.cpp: fixed a bug in setVariable where arguments for VariantChangeType were inverted

------------------------------------------------------------------------
r12819 | damienf | 2005-10-11 17:25:47 +0200 (Tue, 11 Oct 2005) | 2 lines
Changed paths:
   M /trunk/activex/plugin.cpp

I keep on forgeting to reset my own debug :)

------------------------------------------------------------------------
r12818 | damienf | 2005-10-11 17:14:08 +0200 (Tue, 11 Oct 2005) | 5 lines
Changed paths:
   M /trunk/activex/connectioncontainer.cpp
   M /trunk/activex/plugin.cpp
   M /trunk/activex/plugin.h
   M /trunk/activex/utils.cpp
   M /trunk/activex/utils.h
   M /trunk/activex/vlccontrol.cpp

plugin.cpp: auto-detect debbuger and change threading mechanism to avoid VLC intialization lock when launching a debug session
plugin.h: validate container code page before using it
utils.cpp,utils.h: type clean-up
connectioncontainer.cpp: fixed stack corruption (???)  when poping and dispatch an event

------------------------------------------------------------------------
r12817 | jpsaman | 2005-10-11 15:25:41 +0200 (Tue, 11 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/control/rc.c

Fix broken status command on rc interface
------------------------------------------------------------------------
r12816 | damienf | 2005-10-11 11:01:00 +0200 (Tue, 11 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/misc/win32_specific.c

undoing zcot's screensaver patch, better luck next time :)

------------------------------------------------------------------------
r12812 | fkuehne | 2005-10-10 17:53:57 +0200 (Mon, 10 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/wizard.m

* revert [12779] (this broke the output of MPEG PS files) and fix it correctly
------------------------------------------------------------------------
r12811 | fkuehne | 2005-10-10 17:41:52 +0200 (Mon, 10 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/bookmarks.h
   M /trunk/modules/gui/macosx/bookmarks.m

* set keywords properly and removed an outdated FIXME
------------------------------------------------------------------------
r12810 | fkuehne | 2005-10-10 15:13:28 +0200 (Mon, 10 Oct 2005) | 1 line
Changed paths:
   M /trunk/src/misc/win32_specific.c

* applied zcot's screensaver patch. Thanks for the fix. -- needs testing
------------------------------------------------------------------------
r12809 | jpsaman | 2005-10-10 09:56:33 +0200 (Mon, 10 Oct 2005) | 1 line
Changed paths:
   M /trunk/include/charset.h

Guard against multiple inclusions
------------------------------------------------------------------------
r12807 | hartman | 2005-10-09 23:34:51 +0200 (Sun, 09 Oct 2005) | 3 lines
Changed paths:
   M /trunk/src/input/input.c
   M /trunk/src/misc/threads.c

* clearer error messages on invalid seek
* reenable the threads prio option. Not broken, but creates annoying error messages. will look into that later.

------------------------------------------------------------------------
r12806 | hartman | 2005-10-09 23:30:08 +0200 (Sun, 09 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/demux/avi/avi.c

* spelling 

------------------------------------------------------------------------
r12805 | babal | 2005-10-09 21:19:06 +0200 (Sun, 09 Oct 2005) | 10 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/modules/audio_filter/channel_mixer/headphone.c
   M /trunk/modules/audio_filter/converter/a52tofloat32.c
   M /trunk/src/input/decoder.c
   M /trunk/src/libvlc.h

+ src/input/decoder.c src/libvlc.h:
  - more precise message for the "force-dolby-surround" option
  - don't use -1 as a value in an integer list option (dangerous casts
    in the wxWidgets interface)
+ modules/audio_filter/converter/a52tofloat32.c:
  - option to disable the internal upmixing algorithm
+ modules/audio_filter/channel_mixer/headphone.c:
  - option to partially compensate the delay introduced by the algorithm
  - option to accept raw Dolby Surround encoded streams

------------------------------------------------------------------------
r12802 | ipkiss | 2005-10-09 19:57:58 +0200 (Sun, 09 Oct 2005) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/dialogs.cpp

 * skins2/src/dialogs.cpp: When no dialogs provider is found, the error message
   now indicates the most likely causes of the problem.

------------------------------------------------------------------------
r12801 | fenrir | 2005-10-09 19:56:25 +0200 (Sun, 09 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/demux/ogg.c

 * ogg: fix potential invalid read with broken files (close #272)

------------------------------------------------------------------------
r12800 | fenrir | 2005-10-09 19:07:38 +0200 (Sun, 09 Oct 2005) | 4 lines
Changed paths:
   M /trunk/modules/stream_out/standard.c

 * standard: allow to use 'dst' instead of 'url' (consistant with other
 stream_out modules, warn that url is deprecated (but it is still supported),
 add wav mux autodetection.

------------------------------------------------------------------------
r12799 | fenrir | 2005-10-09 19:02:59 +0200 (Sun, 09 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/access/http.c

 http: removed useless debug.

------------------------------------------------------------------------
r12798 | fenrir | 2005-10-09 19:01:08 +0200 (Sun, 09 Oct 2005) | 5 lines
Changed paths:
   M /trunk/modules/mux/mpeg/bits.h
   M /trunk/modules/mux/mpeg/pes.c
   M /trunk/modules/mux/mpeg/ts.c

 * ts: fix segfault with old dvbpsi, fix uninitialized variables
 * pes: memset header before using bits_* in DEBUG mode (to please valgrind)
 * bits: cosmetics.
 

------------------------------------------------------------------------
r12797 | gbazin | 2005-10-09 18:37:26 +0200 (Sun, 09 Oct 2005) | 1 line
Changed paths:
   M /trunk/configure.ac

* configure.ac: revert commit 12788 (check for wxWidgets > 2.6.0).
------------------------------------------------------------------------
r12796 | gbazin | 2005-10-09 18:36:17 +0200 (Sun, 09 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs.cpp
   M /trunk/modules/gui/wxwidgets/interface.cpp
   M /trunk/modules/gui/wxwidgets/open.cpp
   M /trunk/modules/gui/wxwidgets/wxwidgets.h

* modules/gui/wxwidgets: fixed build when wxWidgets isn't compiled with unicode support.
------------------------------------------------------------------------
r12795 | fkuehne | 2005-10-09 14:35:29 +0200 (Sun, 09 Oct 2005) | 1 line
Changed paths:
   M /trunk/THANKS

* forgot this one in [12794]
------------------------------------------------------------------------
r12794 | fkuehne | 2005-10-09 14:33:44 +0200 (Sun, 09 Oct 2005) | 4 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/About.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/About.nib/keyedobjects.nib
   R /trunk/extras/MacOSX/Resources/about_bg.png
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/modules/gui/macosx/about.m

* redesign of the about window
- thanks to Vincent van den Heuvel <heuvel@mac.com> for the artwork
- screenshots are available at www.aenneburghardt.de/fk/vlc/about1.jpg and *2.jpg
- feel free to revert or modify this commit if you don't like it this way
------------------------------------------------------------------------
r12793 | fkuehne | 2005-10-09 14:24:43 +0200 (Sun, 09 Oct 2005) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj

* added the 'mpc' file extension
------------------------------------------------------------------------
r12792 | fkuehne | 2005-10-09 14:19:45 +0200 (Sun, 09 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mpc.c

* removed unused variable
------------------------------------------------------------------------
r12791 | fkuehne | 2005-10-09 14:18:33 +0200 (Sun, 09 Oct 2005) | 1 line
Changed paths:
   M /trunk/AUTHORS
   M /trunk/NEWS
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak

* added Musepack support to extras/contrib, AUTHORS, NEWS (refs #32)
------------------------------------------------------------------------
r12790 | fenrir | 2005-10-09 13:14:41 +0200 (Sun, 09 Oct 2005) | 4 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/demux/Modules.am
   A /trunk/modules/demux/mpc.c

  * all: added Musepack support using libmpdec (1.2.1) from www.musepack.net.
   (It is done the ugly way : decoding take place at the demuxer but it works)


------------------------------------------------------------------------
r12789 | fenrir | 2005-10-09 13:09:06 +0200 (Sun, 09 Oct 2005) | 3 lines
Changed paths:
   M /trunk/modules/demux/mp4/mp4.c

 * mp4: use ES_OUT_SET_NEXT_DISPLAY_TIME when doing a seek (avoid late
 frame).

------------------------------------------------------------------------
r12788 | jpsaman | 2005-10-09 12:50:15 +0200 (Sun, 09 Oct 2005) | 1 line
Changed paths:
   M /trunk/configure.ac

Force a check on wxWidgets 2.6.0 for vlc-0.8.4-test1.
------------------------------------------------------------------------
r12787 | gbazin | 2005-10-09 11:48:03 +0200 (Sun, 09 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwidgets/interface.cpp

* modules/gui/wxwidgets/interface.cpp: restored call to SetupHotkeys(). Yes it really needs to be called twice (because of a bug in wxWidgets).
------------------------------------------------------------------------
r12786 | fenrir | 2005-10-09 01:06:34 +0200 (Sun, 09 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

 * input.c: fix invalid free.

------------------------------------------------------------------------
r12785 | courmisch | 2005-10-08 19:39:07 +0200 (Sat, 08 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/misc/network/ipv4.c

iface-addr -> miface-addr

------------------------------------------------------------------------
r12783 | dionoea | 2005-10-08 17:35:18 +0200 (Sat, 08 Oct 2005) | 3 lines
Changed paths:
   M /trunk/modules/misc/xml/libxml.c

 * handle CDATA (as if it were TEXT)
   fixes the rss sub-filter with rss feeds using CDATA

------------------------------------------------------------------------
r12781 | dionoea | 2005-10-07 17:07:54 +0200 (Fri, 07 Oct 2005) | 2 lines
Changed paths:
   M /trunk/vlc.win32.nsi

split desktop icon and start menu shortcut creation (untested)

------------------------------------------------------------------------
r12780 | courmisch | 2005-10-07 15:43:54 +0200 (Fri, 07 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/libvlc.h

Remove unused option

------------------------------------------------------------------------
r12779 | fkuehne | 2005-10-07 11:58:04 +0200 (Fri, 07 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/wizard.m

* don't use 'ps' as suffix but 'mpg' like most other apps do. 'ps' can be confused with PostScript files on the Mac. In fact, the Finder tries to open our ps-files with Preview by default.
------------------------------------------------------------------------
r12778 | fenrir | 2005-10-07 00:16:23 +0200 (Fri, 07 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/input/var.c

 * var: create "demux" and "access" (--demux/access module works too)

------------------------------------------------------------------------
r12777 | fenrir | 2005-10-07 00:09:24 +0200 (Fri, 07 Oct 2005) | 4 lines
Changed paths:
   M /trunk/modules/access/udp.c
   M /trunk/src/input/input.c

 * input: :demux=module really force module and bypass demuxer module given
by access.
 * udp: force ts demux on payload 33 (:demux=dump will work)

------------------------------------------------------------------------
r12776 | fenrir | 2005-10-06 22:24:55 +0200 (Thu, 06 Oct 2005) | 8 lines
Changed paths:
   M /trunk/modules/access/udp.c

 * udp: Patch by Marian Durkovic:
    "I've added a bit of code to the UDP/RTP input, which assures that old
 or duplicate RTP packets are trashed. When the network performs packet
 reordering, only one discontinuity happens instead of 3 before - since
 the old packet is trashed. If multiple copies of the same packet are
 received, only one is used and all the others are trashed."
 

------------------------------------------------------------------------
r12775 | zorglub | 2005-10-06 22:14:04 +0200 (Thu, 06 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/interface.cpp

Patch to zcot's patch by zcot :)

------------------------------------------------------------------------
r12774 | fkuehne | 2005-10-06 21:40:01 +0200 (Thu, 06 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/intf.m

* allocate o_extended only if requested by the user (that's dirty, but prevents the access of freed objects while terminating) and save the extended-prefs as early as possible in the termination-process (directly after the vout and playlist shut down)
------------------------------------------------------------------------
r12773 | fenrir | 2005-10-06 21:39:15 +0200 (Thu, 06 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/access/udp.c

 udp: support for RTP"header extension. Patch by Zohar Lorberbaum .

------------------------------------------------------------------------
r12772 | fenrir | 2005-10-06 21:19:55 +0200 (Thu, 06 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/access/http.c

 * http: update meta data only on title change.

------------------------------------------------------------------------
r12771 | fenrir | 2005-10-06 21:15:11 +0200 (Thu, 06 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/access_filter/record.c

 * record: correct i_update field.

------------------------------------------------------------------------
r12770 | fenrir | 2005-10-06 21:12:22 +0200 (Thu, 06 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/libmp4.c
   M /trunk/modules/demux/mp4/libmp4.h
   M /trunk/modules/demux/mp4/mp4.c

 * mp4: support for tx3g subtitle (close #332)

------------------------------------------------------------------------
r12769 | hartman | 2005-10-06 20:54:01 +0200 (Thu, 06 Oct 2005) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/About.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/About.nib/keyedobjects.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Bookmarks.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Bookmarks.nib/keyedobjects.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/keyedobjects.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Open.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Open.nib/keyedobjects.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Preferences.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Preferences.nib/keyedobjects.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Wizard.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Wizard.nib/keyedobjects.nib

* set autosave names

------------------------------------------------------------------------
r12768 | zorglub | 2005-10-06 19:45:57 +0200 (Thu, 06 Oct 2005) | 10 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/modules/gui/wxwidgets/interface.cpp
   M /trunk/modules/gui/wxwidgets/wxwidgets.cpp

Misc WX improvements - patches by zcot

* Option to have extended interface by default (Closes: #232)
* Fix "floating" volume bar with wxMSW 2.6.X (Closes:#289)
* Enforce minimum vertical size (Closes:#360)
* Fix a font size problem on WX

* Add him to THANKS, obviously :)


------------------------------------------------------------------------
r12767 | fkuehne | 2005-10-06 18:45:21 +0200 (Thu, 06 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/extended.m

* only save the affected modules (main, headphone, transform, adjust, invert, motionblur, distort, clone, crop, normvol, headphone_channel_mixer, macosx) -- thanks to zorglub for the help (closes #382)
------------------------------------------------------------------------
r12766 | damienf | 2005-10-06 18:00:42 +0200 (Thu, 06 Oct 2005) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/open.cpp


open.cpp: unicode fix for ProbeDVD, ProbeCDDA, ProbeVCD

------------------------------------------------------------------------
r12765 | fkuehne | 2005-10-06 18:00:01 +0200 (Thu, 06 Oct 2005) | 5 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/Extended.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Extended.nib/keyedobjects.nib
   M /trunk/modules/gui/macosx/extended.h
   M /trunk/modules/gui/macosx/extended.m
   M /trunk/modules/gui/macosx/intf.m

* intf.m: -make sure that objects like o_open, o_wizard, etc. get released in any case 
    -trigger the extended-panel to collapse completely before saving its position
    -save the prefs, if the extended-panel changed them previously (refs #382)
* extended.m: minor cleanups to make the stuff above possible (more cleanup needed, will follow later on)
* extended.nib & #.m: don't let the normvol-slider become zero, but use floats from 0.1 to 10.0 only
------------------------------------------------------------------------
r12764 | damienf | 2005-10-06 17:00:50 +0200 (Thu, 06 Oct 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/gui/wxwidgets/open.cpp

all: support for unicode version of wxwidgets for win32, needs testing for other platform

------------------------------------------------------------------------
r12763 | fkuehne | 2005-10-05 20:44:24 +0200 (Wed, 05 Oct 2005) | 1 line
Changed paths:
   M /trunk/NEWS

* added a note about the prefs-remove-script for OSX
------------------------------------------------------------------------
r12762 | courmisch | 2005-10-05 18:13:43 +0200 (Wed, 05 Oct 2005) | 2 lines
Changed paths:
   M /trunk/NEWS

Document wx requirements

------------------------------------------------------------------------
r12761 | fkuehne | 2005-10-05 15:12:34 +0200 (Wed, 05 Oct 2005) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* use the ffmpeg-cvs-trunk from 09/27 and not the current one. This snap compiles finely on 10.2 and is used in the win32-port as well.
------------------------------------------------------------------------
r12760 | jpsaman | 2005-10-04 21:20:21 +0200 (Tue, 04 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/access/rtsp/real.c
   M /trunk/modules/access/rtsp/real_sdpplin.h

Fix double free error.
------------------------------------------------------------------------
r12759 | hartman | 2005-10-04 16:13:50 +0200 (Tue, 04 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/demux/livedotcom.cpp

* Fix Kasenna RTSP VoD

------------------------------------------------------------------------
r12758 | courmisch | 2005-10-04 10:32:08 +0200 (Tue, 04 Oct 2005) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs.cpp
   M /trunk/modules/gui/wxwidgets/interface.cpp
   M /trunk/modules/gui/wxwidgets/open.cpp

#include "charset.h"
but it should not be necessary "thanks to" the vlc_symbols.h kludge

------------------------------------------------------------------------
r12757 | fkuehne | 2005-10-02 21:49:05 +0200 (Sun, 02 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/prefs.h
   M /trunk/modules/gui/macosx/prefs.m

* this was not to be committed
------------------------------------------------------------------------
r12756 | fkuehne | 2005-10-02 21:47:03 +0200 (Sun, 02 Oct 2005) | 1 line
Changed paths:
   M /trunk/Makefile.am
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/keyedobjects.nib
   D /trunk/extras/MacOSX/Resources/English.lproj/Update.nib
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/modules/gui/macosx/Modules.am
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/open.m
   M /trunk/modules/gui/macosx/prefs.h
   M /trunk/modules/gui/macosx/prefs.m
   D /trunk/modules/gui/macosx/update.h
   D /trunk/modules/gui/macosx/update.m

* remove/disable the update-checker on OSX until 0.8.4 is out
------------------------------------------------------------------------
r12754 | fkuehne | 2005-10-02 21:16:12 +0200 (Sun, 02 Oct 2005) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/Update.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Update.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Update.nib/keyedobjects.nib
   M /trunk/modules/gui/macosx/update.h
   M /trunk/modules/gui/macosx/update.m

Implemented the retrieval of the versions, files and mirrors. Both the size and the mirrors aren't displayed yet, but stored. The 'Released On'-stuff was removed, since it isn't present in the xml actually. More to come. (refs #310)
------------------------------------------------------------------------
r12753 | fkuehne | 2005-10-02 19:21:18 +0200 (Sun, 02 Oct 2005) | 1 line
Changed paths:
   M /trunk/NEWS

* marked Bonjour-service-discovery as linux only
------------------------------------------------------------------------
r12752 | fkuehne | 2005-10-02 19:20:47 +0200 (Sun, 02 Oct 2005) | 1 line
Changed paths:
   M /trunk/Makefile.am
   M /trunk/README.MacOSX.rtf
   A /trunk/extras/MacOSX/Delete Preferences.app
   A /trunk/extras/MacOSX/Delete Preferences.app/Contents
   A /trunk/extras/MacOSX/Delete Preferences.app/Contents/Info.plist
   A /trunk/extras/MacOSX/Delete Preferences.app/Contents/MacOS
   A /trunk/extras/MacOSX/Delete Preferences.app/Contents/MacOS/applet
   A /trunk/extras/MacOSX/Delete Preferences.app/Contents/PkgInfo
   A /trunk/extras/MacOSX/Delete Preferences.app/Contents/Resources
   A /trunk/extras/MacOSX/Delete Preferences.app/Contents/Resources/Scripts
   A /trunk/extras/MacOSX/Delete Preferences.app/Contents/Resources/Scripts/main.scpt
   A /trunk/extras/MacOSX/Delete Preferences.app/Contents/Resources/applet.icns
   A /trunk/extras/MacOSX/Delete Preferences.app/Contents/Resources/applet.rsrc
   A /trunk/extras/MacOSX/Delete Preferences.app/Contents/Resources/description.rtfd
   A /trunk/extras/MacOSX/Delete Preferences.app/Contents/Resources/description.rtfd/TXT.rtf

* small script to move the preferences to Trash. You can change it by editing 'Delete Preferences.app/Contents/Resources/Scripts/main.scpt' in Xcode or the Script Editor. It is copied on the dmg by default. (thanks to dionoea for the idea)
------------------------------------------------------------------------
r12751 | courmisch | 2005-10-02 18:52:52 +0200 (Sun, 02 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/misc/charset.c
   M /trunk/src/misc/unicode.c

Move UTF32 conversion to more appropriate file

------------------------------------------------------------------------
r12750 | jpsaman | 2005-10-02 18:34:56 +0200 (Sun, 02 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/services_discovery/sap.c

include charset.h is in the include path and not local
------------------------------------------------------------------------
r12749 | jpsaman | 2005-10-02 18:34:21 +0200 (Sun, 02 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mp4/drms.h
   M /trunk/modules/demux/mp4/libmp4.h

Protect agains multiple includes
------------------------------------------------------------------------
r12748 | jpsaman | 2005-10-02 18:33:40 +0200 (Sun, 02 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mp4/drms.c
   M /trunk/modules/demux/mp4/mp4.c

The include vlc_md5.h is in the include path and not local
------------------------------------------------------------------------
r12747 | jpsaman | 2005-10-02 18:33:02 +0200 (Sun, 02 Oct 2005) | 1 line
Changed paths:
   M /trunk/src/misc/md5.c

The include vlc_md5.h is in the include path and not local
------------------------------------------------------------------------
r12746 | dionoea | 2005-10-02 15:15:22 +0200 (Sun, 02 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/codec/subsdec.c

 * fix signedness gcc warning

------------------------------------------------------------------------
r12745 | dionoea | 2005-10-02 15:12:31 +0200 (Sun, 02 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/codec/speex.c

 * fix signedness gcc warnings

------------------------------------------------------------------------
r12744 | dionoea | 2005-10-02 15:04:25 +0200 (Sun, 02 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/audio_output/esd.c

 * fix signedness gcc warnings (and remove trailing spaces)

------------------------------------------------------------------------
r12743 | dionoea | 2005-10-02 15:01:47 +0200 (Sun, 02 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/audio_output/alsa.c

 * fix signedness gcc warning

------------------------------------------------------------------------
r12742 | jpsaman | 2005-10-02 14:47:49 +0200 (Sun, 02 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/misc/playlist/old.c

Add missing include <charset.h>
------------------------------------------------------------------------
r12741 | jpsaman | 2005-10-02 14:22:29 +0200 (Sun, 02 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/codec/araw.c

Fix compiler warning: 'araw.c:62: warning: static' but never defined'
------------------------------------------------------------------------
r12740 | courmisch | 2005-10-02 13:55:28 +0200 (Sun, 02 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/Modules.am
   A /trunk/modules/gui/wxwidgets/streamdata.cpp
   M /trunk/modules/gui/wxwidgets/streamdata.h

Fix long-standing compilation warning and unduplicate data

------------------------------------------------------------------------
r12739 | courmisch | 2005-10-02 13:36:30 +0200 (Sun, 02 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/wxwidgets.h

For wxWidgets into so-called Unicode (actually UTF-32) mode

------------------------------------------------------------------------
r12738 | courmisch | 2005-10-02 13:14:57 +0200 (Sun, 02 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/open.cpp

Remove some redundant casts

------------------------------------------------------------------------
r12737 | courmisch | 2005-10-02 13:14:42 +0200 (Sun, 02 Oct 2005) | 2 lines
Changed paths:
   M /trunk/include/vlc_symbols.h

Missed that file

------------------------------------------------------------------------
r12736 | courmisch | 2005-10-02 13:11:12 +0200 (Sun, 02 Oct 2005) | 2 lines
Changed paths:
   M /trunk/include/charset.h
   M /trunk/src/misc/charset.c

Add const qualifier

------------------------------------------------------------------------
r12735 | courmisch | 2005-10-02 13:05:45 +0200 (Sun, 02 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/open.cpp

Compile fix

------------------------------------------------------------------------
r12734 | robUx4 | 2005-10-02 12:36:06 +0200 (Sun, 02 Oct 2005) | 2 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: move back the SET_PCR to its previous location for the moment
add some debug for the UI hooks (for menu support)
------------------------------------------------------------------------
r12732 | courmisch | 2005-10-02 11:21:04 +0200 (Sun, 02 Oct 2005) | 5 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs.cpp
   M /trunk/modules/gui/wxwidgets/interface.cpp
   M /trunk/modules/gui/wxwidgets/open.cpp

mb_str() doesn't work as documented (or maybe it doesn't work at all)
so use wc_str() instead - closes #362

Now it looks almost like an exerpt from The Daily WTF :(

------------------------------------------------------------------------
r12731 | courmisch | 2005-10-02 11:10:49 +0200 (Sun, 02 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/misc/charset.c

Oups minor fix

------------------------------------------------------------------------
r12730 | courmisch | 2005-10-02 10:53:14 +0200 (Sun, 02 Oct 2005) | 4 lines
Changed paths:
   M /trunk/include/charset.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/misc/charset.c

UTF32 to UTF8 conversion
because the buggy GUI toolkit that sucks big time^W^W^W^W^W^W^WwxWidgets
needs it

------------------------------------------------------------------------
r12729 | courmisch | 2005-10-02 10:00:06 +0200 (Sun, 02 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/misc/messages.c

Fix compilation warning

------------------------------------------------------------------------
r12728 | zorglub | 2005-10-02 09:54:03 +0200 (Sun, 02 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/misc/messages.c

Don't reprint messages on quit

------------------------------------------------------------------------
r12727 | sam | 2005-10-02 01:32:39 +0200 (Sun, 02 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/misc/cpu.c

  * src/misc/cpu.c: oops.

------------------------------------------------------------------------
r12726 | sam | 2005-10-02 01:29:56 +0200 (Sun, 02 Oct 2005) | 2 lines
Changed paths:
   M /trunk/src/misc/cpu.c

  * src/misc/cpu.c: no need to push/pop %rbx before cpuid on x86_64.

------------------------------------------------------------------------
r12722 | fkuehne | 2005-10-01 15:47:58 +0200 (Sat, 01 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

* minor fix (capitalise string at the bottom of the pl, don't create temporary strings if you don't use stringWithFormat)
------------------------------------------------------------------------
r12721 | robUx4 | 2005-10-01 15:40:27 +0200 (Sat, 01 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: added option "mkv-preload-local-dir", disable when there are broken files in the same dir (eMule)
------------------------------------------------------------------------
r12720 | robUx4 | 2005-10-01 15:23:13 +0200 (Sat, 01 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: better timecode sent by the demuxer (doesn't seem right with native MPEG4.2)
------------------------------------------------------------------------
r12719 | xtophe | 2005-10-01 13:15:36 +0200 (Sat, 01 Oct 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Add Install.wince in the tar

------------------------------------------------------------------------
r12718 | xtophe | 2005-10-01 12:57:40 +0200 (Sat, 01 Oct 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Add some sed in the package-win32 rules (closes #372)

------------------------------------------------------------------------
r12717 | robUx4 | 2005-10-01 11:58:52 +0200 (Sat, 01 Oct 2005) | 1 line
Changed paths:
   M /trunk/modules/misc/network/ipv4.c

avoid declaration collision on MSVC
------------------------------------------------------------------------
r12716 | jpsaman | 2005-10-01 10:58:10 +0200 (Sat, 01 Oct 2005) | 1 line
Changed paths:
   M /trunk/configure.ac

Fix typo
------------------------------------------------------------------------
r12715 | gbazin | 2005-09-30 21:36:22 +0200 (Fri, 30 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/resampler/bandlimited.c

* modules/audio_filter/resampler/bandlimited.c: re-enabled the bandlimited resampler. Commit 12102 is actually bogus since the problem is in fact created by the audio output pipeline introducing more latency than what can be compensated by the default input caching.
------------------------------------------------------------------------
r12714 | bigben | 2005-09-30 19:18:45 +0200 (Fri, 30 Sep 2005) | 4 lines
Changed paths:
   M /trunk/modules/access/gnomevfs.c

* Cleaner url parsing



------------------------------------------------------------------------
r12713 | hartman | 2005-09-30 02:05:32 +0200 (Fri, 30 Sep 2005) | 4 lines
Changed paths:
   M /trunk/modules/misc/freetype.c

* Some freetype renderer hacks as suggested by Sigmund to improve the current outline.
  Sigmund says that YUVP rendering sucks and that he wants his 256 YUVA renderer back.
  Who exactly remembers why this one was removed ???

------------------------------------------------------------------------
r12712 | bigben | 2005-09-29 21:42:35 +0200 (Thu, 29 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/access/gnomevfs.c

Handle correctly some more error cases


------------------------------------------------------------------------
r12711 | hartman | 2005-09-29 17:21:40 +0200 (Thu, 29 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/demux/livedotcom.cpp

* The PTS/PCR repeats we test for should at least continue for 1s before we consider it to be the EOF of a QTSS VoD session.

------------------------------------------------------------------------
r12710 | jpsaman | 2005-09-29 16:33:21 +0200 (Thu, 29 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/video_filter/osdmenu.c

Remove trailing whitespace
------------------------------------------------------------------------
r12709 | jpsaman | 2005-09-29 16:32:54 +0200 (Thu, 29 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/access/udp.c

Remove trailing whitespace
------------------------------------------------------------------------
r12708 | jpsaman | 2005-09-29 16:31:26 +0200 (Thu, 29 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/codec/dvbsub.c

Remove trailing whitespace
------------------------------------------------------------------------
r12707 | jpsaman | 2005-09-29 16:30:53 +0200 (Thu, 29 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/services_discovery/upnp.cpp

Remove trailing whitespace
------------------------------------------------------------------------
r12706 | jpsaman | 2005-09-29 16:30:26 +0200 (Thu, 29 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/access/tcp.c

Remove trailing whitespace
------------------------------------------------------------------------
r12705 | jpsaman | 2005-09-29 16:29:59 +0200 (Thu, 29 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/nsc.c

Fix compiler warning, remove unused variables
------------------------------------------------------------------------
r12704 | jpsaman | 2005-09-29 16:28:51 +0200 (Thu, 29 Sep 2005) | 1 line
Changed paths:
   M /trunk/src/osd/osd.c

remove trailing whitespace
------------------------------------------------------------------------
r12703 | hartman | 2005-09-29 00:19:38 +0200 (Thu, 29 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/demux/livedotcom.cpp

* forgot to handle initial pcr == 0 case

------------------------------------------------------------------------
r12702 | hartman | 2005-09-28 23:30:19 +0200 (Wed, 28 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/demux/livedotcom.cpp

* if a PTS keeps repeating for a while we assume EOF. This fixes QTSS VoD which VLC kept open after it was finished.
  The limit i chose in Demux() is 5 loops of Demux() with the same pcr. It's based on nothing, but I assumed it was more safe then checking for a single repeat of a PTS value. That might be allowed in some cases????

------------------------------------------------------------------------
r12701 | xtophe | 2005-09-28 21:36:15 +0200 (Wed, 28 Sep 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Create some WinCE package target (Gibalou please review them)

------------------------------------------------------------------------
r12700 | dionoea | 2005-09-28 21:03:28 +0200 (Wed, 28 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/mux/mpeg/ts.c

 * trailing spaces removal (this commit is really useless)

------------------------------------------------------------------------
r12699 | dionoea | 2005-09-28 21:00:42 +0200 (Wed, 28 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/mux/ogg.c

 * warning fixes

------------------------------------------------------------------------
r12698 | dionoea | 2005-09-28 20:56:36 +0200 (Wed, 28 Sep 2005) | 4 lines
Changed paths:
   M /trunk/modules/mux/mp4.c

 * remove signedness gcc warnings (lots of cast from char * to uint8_t
   and the other way arround. Shouldn't change anything about how the
   thing is run)

------------------------------------------------------------------------
r12697 | xtophe | 2005-09-28 20:51:17 +0200 (Wed, 28 Sep 2005) | 2 lines
Changed paths:
   M /trunk/src/libvlc.h

Document the access/demux://MRL format

------------------------------------------------------------------------
r12696 | dionoea | 2005-09-28 20:49:52 +0200 (Wed, 28 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/mux/asf.c

 * fix signedness gcc warning

------------------------------------------------------------------------
r12695 | hartman | 2005-09-28 16:57:31 +0200 (Wed, 28 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/deinterlace.c

* Streamming -> Streaming

------------------------------------------------------------------------
r12694 | hartman | 2005-09-28 16:56:49 +0200 (Wed, 28 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/control/rc.c

* Now uses the fullscreen variable instead of setting i_changes |= FULLSCREEN_CHANGE since this is not handled by vout filters, and variables are.

------------------------------------------------------------------------
r12693 | bigben | 2005-09-27 18:18:11 +0200 (Tue, 27 Sep 2005) | 6 lines
Changed paths:
   M /trunk/modules/access/gnomevfs.c

* Fix a double free and the size of a memory allocation
* Only call gnome_vfs_escape_path_string on the path part of the uri, since the functions in gnomevfs that are supposed to make the host/user/path separation are broken (they will escape passwords too)
* Trying to open a file with http on a system with non latin1 encoding may still fail (testing welcomed).
* Don't call gnome_vfs_make_uri_from_input_with_dirs since this will fail on a path with special caracters, but gnome_vfs_expand_initial_tilde and gnome_vfs_make_uri_from_shell_arg


------------------------------------------------------------------------
r12692 | hartman | 2005-09-27 03:10:56 +0200 (Tue, 27 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/demux/ts.c

* ts.c: print Stream Identifier descriptor information

------------------------------------------------------------------------
r12691 | fkuehne | 2005-09-26 23:46:01 +0200 (Mon, 26 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/about.m

THANKS and AUTHORS were converted to UTF-8
------------------------------------------------------------------------
r12690 | gbazin | 2005-09-26 23:00:27 +0200 (Mon, 26 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/ogg.c

* modules/demux/ogg.c: discard subtitles header packets (not sure this is the right fix though).
------------------------------------------------------------------------
r12689 | dionoea | 2005-09-26 20:45:44 +0200 (Mon, 26 Sep 2005) | 2 lines
Changed paths:
   M /trunk/NEWS

 * forgot some stuff

------------------------------------------------------------------------
r12688 | dionoea | 2005-09-26 20:34:52 +0200 (Mon, 26 Sep 2005) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/configure.ac
   M /trunk/extras/MacOSX/Resources/English.lproj/InfoPlist.strings
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/po/ca.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/ko.po
   M /trunk/po/nl.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_TW.po

 * 0.8.4-test1

------------------------------------------------------------------------
r12687 | titer | 2005-09-26 17:03:39 +0200 (Mon, 26 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/InterfaceWindow.h
   M /trunk/modules/gui/beos/PlayListWindow.cpp

 beos/*: update the playlist properly

------------------------------------------------------------------------
r12686 | sam | 2005-09-26 12:42:11 +0200 (Mon, 26 Sep 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

  * extras/contrib/src/Makefile: additional fix for the livedotcom snapshot.

------------------------------------------------------------------------
r12685 | sam | 2005-09-26 12:15:44 +0200 (Mon, 26 Sep 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac

  * configure.ac: re-enabled i420_rgb_mmx on amd64.

------------------------------------------------------------------------
r12684 | sam | 2005-09-26 12:15:02 +0200 (Mon, 26 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/video_chroma/i420_rgb16.c

  * modules/video_chroma/i420_rgb16.c: fixed compiler warnings.

------------------------------------------------------------------------
r12683 | sam | 2005-09-26 12:14:46 +0200 (Mon, 26 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/video_chroma/i420_rgb_mmx.h

  * modules/video_chroma/i420_rgb_mmx.h: use RIP-related code on amd64.

------------------------------------------------------------------------
r12682 | sam | 2005-09-26 08:08:13 +0200 (Mon, 26 Sep 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

  * extras/contrib/src/packages.mak: updated livedotcom location.

------------------------------------------------------------------------
r12681 | sam | 2005-09-26 01:47:23 +0200 (Mon, 26 Sep 2005) | 2 lines
Changed paths:
   M /trunk/debian/rules

  * debian/rules: toup?\195?\169t?\195?\169?\195?\169?\195?\169

------------------------------------------------------------------------
r12680 | sam | 2005-09-26 01:10:50 +0200 (Mon, 26 Sep 2005) | 2 lines
Changed paths:
   M /trunk/debian/rules

  * debian/rules: build x264 in PIC mode whenever possible

------------------------------------------------------------------------
r12679 | jpsaman | 2005-09-25 20:25:57 +0200 (Sun, 25 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/access/rtsp/real.c
   M /trunk/modules/access/rtsp/real_rmff.c
   M /trunk/modules/access/rtsp/real_sdpplin.c

Undo coding style fixes to make syncing with Xine code easier
------------------------------------------------------------------------
r12678 | asmax | 2005-09-25 19:10:55 +0200 (Sun, 25 Sep 2005) | 1 line
Changed paths:
   A /trunk/msvc/libvlc.vcproj.in
   A /trunk/msvc/plugins.vcproj.in
   A /trunk/msvc/vlc.vcproj.in
   M /trunk/toolbox

* toolbox: added a --update-vc7 option to generate projects for Visual Studio .NET
------------------------------------------------------------------------
r12677 | jpsaman | 2005-09-25 19:06:08 +0200 (Sun, 25 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/access/rtsp/real_sdpplin.c

Another bunch of memory leaks in realrtsp plugin
------------------------------------------------------------------------
r12676 | babal | 2005-09-25 18:49:40 +0200 (Sun, 25 Sep 2005) | 10 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/LIST
   M /trunk/modules/audio_filter/channel_mixer/Modules.am
   A /trunk/modules/audio_filter/channel_mixer/dolby.c
   M /trunk/modules/audio_filter/channel_mixer/headphone.c
   M /trunk/modules/audio_filter/equalizer.c
   M /trunk/modules/audio_filter/normvol.c
   M /trunk/modules/gui/macosx/extended.m
   M /trunk/modules/gui/wxwidgets/extrapanel.cpp
   M /trunk/src/audio_output/filters.c
   M /trunk/src/audio_output/input.c
   M /trunk/src/audio_output/output.c
   M /trunk/src/input/decoder.c
   M /trunk/src/libvlc.h
   M /trunk/vlc.spec.mdk

- the creation of the audio filter pipeline when specifying user audio
  channel mixers was broken (again) in 0.8.1 and 0.8.2; hopefully this
  will fix it for good, by allowing audio filters to request a specific
  format rather than imposing them an arbitrary one
- various other small fixes in the audio output core
- option to force detection of Dolby Surround
- simple module to decode Dolby Surround
- increase spatialization with two center speakers and fix channel
  order for 7.1 streams in the headphone channel mixer

------------------------------------------------------------------------
r12671 | jpsaman | 2005-09-25 13:16:43 +0200 (Sun, 25 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/access/rtsp/access.c
   M /trunk/modules/access/rtsp/real.c
   M /trunk/modules/access/rtsp/rtsp.c

Fix compiler warnings
------------------------------------------------------------------------
r12669 | jpsaman | 2005-09-25 13:09:54 +0200 (Sun, 25 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/access/rtsp/real_rmff.c
   M /trunk/modules/access/rtsp/real_sdpplin.c

Compile fixes and another memory leak fix
------------------------------------------------------------------------
r12666 | zorglub | 2005-09-25 12:14:39 +0200 (Sun, 25 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/video_output/x11/xcommon.c

Allow setting video output title under X
Patch by Oscar Perez

------------------------------------------------------------------------
r12665 | zorglub | 2005-09-25 12:10:24 +0200 (Sun, 25 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c

Handle multicast like unicast in SAP
I'm really sorry, I couldn't find who sent this patch. Just drop me a mail, I'll add you to the THANKS list.

------------------------------------------------------------------------
r12664 | jpsaman | 2005-09-25 11:52:28 +0200 (Sun, 25 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/access/rtsp/real.c
   M /trunk/modules/access/rtsp/real_rmff.c
   M /trunk/modules/access/rtsp/real_rmff.h
   M /trunk/modules/access/rtsp/real_sdpplin.c
   M /trunk/modules/access/rtsp/rtsp.c

Fix several memory leaks and do a bit of coding style cleanup.
------------------------------------------------------------------------
r12663 | jpsaman | 2005-09-24 18:41:23 +0200 (Sat, 24 Sep 2005) | 1 line
Changed paths:
   M /trunk/AUTHORS

Update my entry
------------------------------------------------------------------------
r12662 | hartman | 2005-09-23 16:01:20 +0200 (Fri, 23 Sep 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* Update ffmpeg configure line

------------------------------------------------------------------------
r12661 | sam | 2005-09-23 15:39:26 +0200 (Fri, 23 Sep 2005) | 2 lines
Changed paths:
   M /trunk/debian/rules

  * debian/rules: removed useless magic in the faad2/x264 build.

------------------------------------------------------------------------
r12660 | sam | 2005-09-23 14:09:46 +0200 (Fri, 23 Sep 2005) | 2 lines
Changed paths:
   M /trunk/bootstrap
   M /trunk/configure.ac

  * HA! HA! I ARE USING TEH AM_MAINTAINER_MODE!!!1!

------------------------------------------------------------------------
r12659 | sam | 2005-09-23 13:54:46 +0200 (Fri, 23 Sep 2005) | 2 lines
Changed paths:
   M /trunk/bootstrap

  * bravo sam.

------------------------------------------------------------------------
r12658 | sam | 2005-09-23 13:47:52 +0200 (Fri, 23 Sep 2005) | 2 lines
Changed paths:
   M /trunk/bootstrap

  * bootstrap: issue an error if gettextize is not present.

------------------------------------------------------------------------
r12657 | gbazin | 2005-09-22 23:23:35 +0200 (Thu, 22 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/control/netsync.c

* modules/control/netsync.c: compilation fix.
------------------------------------------------------------------------
r12656 | gbazin | 2005-09-22 23:19:33 +0200 (Thu, 22 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/misc/network/ipv6.c

* modules/misc/network/ipv6.c: EVC compilation fixes.
------------------------------------------------------------------------
r12655 | titer | 2005-09-22 23:17:14 +0200 (Thu, 22 Sep 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/extras/contrib/bootstrap

 Fixed build on BeOS R5/BONE and Zeta

------------------------------------------------------------------------
r12654 | gbazin | 2005-09-22 23:11:38 +0200 (Thu, 22 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/wince/dialogs.cpp

* modules/gui/wince/dialogs.cpp: EVC compilation fix.
------------------------------------------------------------------------
r12653 | gbazin | 2005-09-22 22:56:57 +0200 (Thu, 22 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/audio_filter/resampler/ugly.c

* modules/audio_filter/resampler/ugly.c: compilation fix.
------------------------------------------------------------------------
r12652 | gbazin | 2005-09-22 22:49:37 +0200 (Thu, 22 Sep 2005) | 1 line
Changed paths:
   M /trunk/src/stream_output/sap.c

* src/stream_output/sap.c: net_Write() returns an int, not an unsigned.
------------------------------------------------------------------------
r12651 | gbazin | 2005-09-22 22:48:59 +0200 (Thu, 22 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/access/mms/mmstu.c

* modules/access/mms/mmstu.c: use net_Write() instead of send().
------------------------------------------------------------------------
r12650 | gbazin | 2005-09-22 22:31:16 +0200 (Thu, 22 Sep 2005) | 1 line
Changed paths:
   M /trunk/src/misc/getaddrinfo.c

* src/misc/getaddrinfo.c: WinCE implementation + ipv6 support (not tested).
------------------------------------------------------------------------
r12649 | gbazin | 2005-09-22 22:14:20 +0200 (Thu, 22 Sep 2005) | 1 line
Changed paths:
   M /trunk/evc/config.h.in
   M /trunk/include/network.h
   M /trunk/include/vlc_common.h
   M /trunk/src/control/audio_video.c
   M /trunk/src/control/core.c
   M /trunk/src/control/util.c
   M /trunk/src/misc/getaddrinfo.c
   M /trunk/src/misc/net.c
   M /trunk/src/stream_output/acl.c
   M /trunk/src/stream_output/sap.c

* ALL: WinCE EVC compilation fixes.
------------------------------------------------------------------------
r12648 | sam | 2005-09-22 22:09:48 +0200 (Thu, 22 Sep 2005) | 3 lines
Changed paths:
   M /trunk/configure.ac

  * configure.ac: well well... until GCC is fixed, let's disable i420_rgb_mmx
    on AMD64.

------------------------------------------------------------------------
r12647 | gbazin | 2005-09-22 21:40:11 +0200 (Thu, 22 Sep 2005) | 1 line
Changed paths:
   M /trunk/evc/vlc.vcw

* evc/vlc.vcw: plugin_id3 doesn't exist anymore.
------------------------------------------------------------------------
r12646 | gbazin | 2005-09-22 21:39:38 +0200 (Thu, 22 Sep 2005) | 1 line
Changed paths:
   M /trunk/include/vlc_common.h

* include/vlc_common.h: why on earth was off_t not typedefed to int64 anymore under _MSC_VER ?
------------------------------------------------------------------------
r12644 | massiot | 2005-09-22 17:39:37 +0200 (Thu, 22 Sep 2005) | 2 lines
Changed paths:
   M /trunk/INSTALL.win32

 * INSTALL.win32: Added --with-sdl-config-path=/usr/win32/bin.

------------------------------------------------------------------------
r12643 | gbazin | 2005-09-22 00:08:00 +0200 (Thu, 22 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/codec/x264.c

* modules/codec/x264.c: renamed analyse "all" mode to "slow" and added X264_ANALYSE_I8x8 to "all" mode.

------------------------------------------------------------------------
r12638 | xtophe | 2005-09-21 19:11:02 +0200 (Wed, 21 Sep 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac

Don't use Hal elsewhere than Linux

------------------------------------------------------------------------
r12634 | sam | 2005-09-21 12:44:17 +0200 (Wed, 21 Sep 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac

  * configure.ac: fixed typo that prevented --disable-gnomevfs from working.

------------------------------------------------------------------------
r12633 | sam | 2005-09-21 11:53:14 +0200 (Wed, 21 Sep 2005) | 2 lines
Changed paths:
   M /trunk/src/libvlc.c

  * src/libvlc.c: cosmetic fix.

------------------------------------------------------------------------
r12632 | rocky | 2005-09-21 04:15:03 +0200 (Wed, 21 Sep 2005) | 18 lines
Changed paths:
   M /trunk/modules/access/cdda/cdda.h

In libcdio < 0.76

#include <cdio/cdda.h> /* Pulls in #include <cdio/paranoia.h> */

In libcdio >= 0.76

#include <cdio/paranoia.h> /* Pulls in #include <cdio/cdda.h> */

and

#include <cdio/cdda.h>     /* These lines can be | In either order    */
#include <cdio/paranoia.h> /* in either order    | these lines can be */

So that's what we go with. See the libcdio-devel@gnu.org mailing list
for more information on why the change in 0.76



------------------------------------------------------------------------
r12631 | hartman | 2005-09-21 03:24:48 +0200 (Wed, 21 Sep 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* Autodetect the liveMedia on 10.2 special case. Note that this might break current 'sed' patch lines on existing 10.2 installs, since the correct line will be patched by those as well. 

------------------------------------------------------------------------
r12630 | titer | 2005-09-21 00:48:30 +0200 (Wed, 21 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/visualization/visual/effects.c

 visual/effects.c: compile fix

------------------------------------------------------------------------
r12629 | titer | 2005-09-20 22:14:48 +0200 (Tue, 20 Sep 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

 Fixed ffmpeg BeOS cross compile on x86_64 (adapted from [12575])

------------------------------------------------------------------------
r12628 | titer | 2005-09-20 22:03:11 +0200 (Tue, 20 Sep 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/speex.patch

 speex.patch: fix build with gcc < 3

------------------------------------------------------------------------
r12624 | sam | 2005-09-20 19:21:42 +0200 (Tue, 20 Sep 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac

  * configuer.ac: grmbl, fixed an old typo breaking the build with gcc-4.x on ppc.

------------------------------------------------------------------------
r12623 | sam | 2005-09-20 15:06:26 +0200 (Tue, 20 Sep 2005) | 2 lines
Changed paths:
   M /trunk/debian/Makefile.am
   M /trunk/debian/changelog
   M /trunk/debian/control
   A /trunk/debian/gcc-snapshot
   M /trunk/debian/rules

  * New Debian upload. Uses newer x264 and faad snapshots.

------------------------------------------------------------------------
r12622 | sam | 2005-09-20 14:25:03 +0200 (Tue, 20 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/control/http/rpn.c

  * modules/control/http/rpn.c: don?\226?\128?\153t crash if stripslashed string ends with \

------------------------------------------------------------------------
r12620 | sam | 2005-09-20 11:55:29 +0200 (Tue, 20 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/video_chroma/i420_rgb_mmx.h

  * modules/video_chroma/i420_rgb_mmx.h: bypassed gcc-3.4's ICEs again.

------------------------------------------------------------------------
r12618 | sam | 2005-09-20 02:11:35 +0200 (Tue, 20 Sep 2005) | 5 lines
Changed paths:
   M /trunk/modules/video_chroma/i420_rgb16.c
   M /trunk/modules/video_chroma/i420_rgb_mmx.h

  * modules/video_chroma/i420_rgb_mmx.h: work around a GCC 3.4.x bug.
    /* Using i586-mingw32msvc-gcc 3.4.2: */
    uint32_t i; __m64 mm0 = (__m64)(uint64_t)i;           /* ICE */
    uint32_t i; uint64_t tmp = i; __m64 mm0 = (__m64)tmp; /* OK */

------------------------------------------------------------------------
r12617 | sam | 2005-09-19 23:49:27 +0200 (Mon, 19 Sep 2005) | 2 lines
Changed paths:
   M /trunk/debian/copyright

  * debian/copyright: fixed the FSF address and updated copyright.

------------------------------------------------------------------------
r12616 | sam | 2005-09-19 23:44:49 +0200 (Mon, 19 Sep 2005) | 4 lines
Changed paths:
   M /trunk/modules/video_chroma/i420_rgb16.c
   M /trunk/modules/video_chroma/i420_rgb_mmx.h

  * modules/video_chroma/i420_rgb_mmx.h: wrote an MMX intrinsics version of
    the conversion routines. Now that we no longer use inline asm, these
    modules do not generate non-PIC code with -fPIC.

------------------------------------------------------------------------
r12615 | gbazin | 2005-09-19 23:32:04 +0200 (Mon, 19 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/mux/ogg.c

* modules/mux/ogg.c: fixed potential buffer overflow.
------------------------------------------------------------------------
r12614 | gbazin | 2005-09-19 23:21:17 +0200 (Mon, 19 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/real.c

* modules/demux/real.c: avoid using null pts + removed debug message.
------------------------------------------------------------------------
r12613 | gbazin | 2005-09-19 23:16:23 +0200 (Mon, 19 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/access/rtsp/access.c
   M /trunk/modules/access/rtsp/real.c
   M /trunk/modules/access/rtsp/real.h

* modules/access/rtsp: fixed problem in BlockRead().
------------------------------------------------------------------------
r12612 | gbazin | 2005-09-19 22:20:07 +0200 (Mon, 19 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/access/mms/mmstu.c

* modules/access/mms/mmstu.c: reverted broken commit.
------------------------------------------------------------------------
r12611 | gbazin | 2005-09-19 22:07:04 +0200 (Mon, 19 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/codec/realaudio.c

* modules/codec/realaudio.c: split the audio output buffers in chunks of 1024 samples because the audio output can't deal with big chunks.
------------------------------------------------------------------------
r12610 | fkuehne | 2005-09-19 21:45:54 +0200 (Mon, 19 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/access/mms/mmstu.c

* fixed some other signedness-issue (thanks to Trax!)
------------------------------------------------------------------------
r12609 | fkuehne | 2005-09-19 20:30:36 +0200 (Mon, 19 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/demux.c
   M /trunk/modules/codec/ffmpeg/encoder.c

* fixed some 'comparison between signed and unsigned'-warnings
------------------------------------------------------------------------
r12608 | fkuehne | 2005-09-19 20:16:32 +0200 (Mon, 19 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/access/mms/mmstu.c

* fixed 2 minor compilation warnings
------------------------------------------------------------------------
r12606 | sam | 2005-09-19 18:06:04 +0200 (Mon, 19 Sep 2005) | 4 lines
Changed paths:
   M /trunk/configure.ac

  * configure.ac: more robust check for MMX intrinsics support. GCC 4.1.0
    works, but gcc 4.0.x doesn?\226?\128?\153t build some constructs properly.
    See http://gcc.gnu.org/bugzilla/show_bug.cgi?id=23963

------------------------------------------------------------------------
r12605 | massiot | 2005-09-19 14:59:58 +0200 (Mon, 19 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/demux/ts.c

 * modules/demux/ts.c: PID 8191 is padding.

------------------------------------------------------------------------
r12604 | massiot | 2005-09-19 14:32:57 +0200 (Mon, 19 Sep 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/doc/fortunes.txt
   M /trunk/modules/mux/mpeg/ts.c

 * modules/mux/mpeg/ts.c: Detect older versions of libdvbpsi.

------------------------------------------------------------------------
r12603 | sam | 2005-09-19 01:13:41 +0200 (Mon, 19 Sep 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac

  * configure.ac: check for MMX intrinsics.

------------------------------------------------------------------------
r12602 | sam | 2005-09-19 01:13:04 +0200 (Mon, 19 Sep 2005) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in

  * updated po/POTFILES.in.

------------------------------------------------------------------------
r12601 | gbazin | 2005-09-19 00:36:46 +0200 (Mon, 19 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/mux/mpeg/ts.c

* modules/mux/mpeg/ts.c: disabled some broken code.
------------------------------------------------------------------------
r12600 | sam | 2005-09-18 22:14:45 +0200 (Sun, 18 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/access/rtsp/Modules.am

  * modules/access/rtsp/Modules.am: removed nonexistent file from the sources.

------------------------------------------------------------------------
r12599 | fkuehne | 2005-09-18 21:29:35 +0200 (Sun, 18 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/output.m

* split up hostname and following path and insert the port after the hostname (fixes #351)
------------------------------------------------------------------------
r12598 | gbazin | 2005-09-18 20:44:04 +0200 (Sun, 18 Sep 2005) | 1 line
Changed paths:
   M /trunk/configure.ac

* configure.ac: compile the realaudio plugin with -DLOADER when --enable-loader is specified.
------------------------------------------------------------------------
r12597 | gbazin | 2005-09-18 19:50:43 +0200 (Sun, 18 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/access/rtsp/rtsp.c

* modules/access/rtsp/rtsp.c: win32 compilation fix.
------------------------------------------------------------------------
r12596 | gbazin | 2005-09-18 19:35:23 +0200 (Sun, 18 Sep 2005) | 1 line
Changed paths:
   M /trunk/configure.ac
   A /trunk/modules/access/rtsp
   A /trunk/modules/access/rtsp/Modules.am
   A /trunk/modules/access/rtsp/access.c
   A /trunk/modules/access/rtsp/real.c
   A /trunk/modules/access/rtsp/real.h
   A /trunk/modules/access/rtsp/real_asmrp.c
   A /trunk/modules/access/rtsp/real_rmff.c
   A /trunk/modules/access/rtsp/real_rmff.h
   A /trunk/modules/access/rtsp/real_sdpplin.c
   A /trunk/modules/access/rtsp/real_sdpplin.h
   A /trunk/modules/access/rtsp/rtsp.c
   A /trunk/modules/access/rtsp/rtsp.h

* modules/access/rtsp: real rtsp access module.
------------------------------------------------------------------------
r12595 | gbazin | 2005-09-18 19:23:13 +0200 (Sun, 18 Sep 2005) | 1 line
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/codec/Modules.am
   A /trunk/modules/codec/realaudio.c

* modules/codec/realaudio.c: real audio (cook) decoder using real's libraries.
------------------------------------------------------------------------
r12594 | gbazin | 2005-09-18 18:20:24 +0200 (Sun, 18 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/livedotcom.cpp

* modules/demux/livedotcom.cpp: fixed small leak.
------------------------------------------------------------------------
r12593 | gbazin | 2005-09-18 18:03:49 +0200 (Sun, 18 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/livedotcom.cpp

* modules/demux/livedotcom.cpp: do not modify p_demux->psz_path.
------------------------------------------------------------------------
r12592 | gbazin | 2005-09-18 16:42:02 +0200 (Sun, 18 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/real.c

* modules/demux/real.c: cleanup + added support for cook.
------------------------------------------------------------------------
r12591 | sam | 2005-09-18 15:18:55 +0200 (Sun, 18 Sep 2005) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/MAINTAINERS
   M /trunk/THANKS

  * UTF8ised files that get distributed with Debian.

------------------------------------------------------------------------
r12590 | robux4 | 2005-09-18 14:58:25 +0200 (Sun, 18 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/codec/ffmpeg/encoder.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/src/misc/threads.c
   M /trunk/src/playlist/view.c

misc possible buffer/resource misuse & tidy compilation
------------------------------------------------------------------------
r12589 | jpsaman | 2005-09-18 12:58:25 +0200 (Sun, 18 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/access/gnomevfs.c

Don't access unallocated memory
------------------------------------------------------------------------
r12588 | jpsaman | 2005-09-18 12:06:05 +0200 (Sun, 18 Sep 2005) | 1 line
Changed paths:
   M /trunk/src/stream_output/sap.c

Fix compiler warning about signed and unsigned comparisons
------------------------------------------------------------------------
r12587 | jpsaman | 2005-09-18 12:03:10 +0200 (Sun, 18 Sep 2005) | 1 line
Changed paths:
   M /trunk/include/vlc_osd.h
   M /trunk/src/osd/osd.c

Forward port of revision 12566: Ignore menu select|right|left|up|down when OSD Menu is not visible
------------------------------------------------------------------------
r12586 | robux4 | 2005-09-18 11:43:23 +0200 (Sun, 18 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs.cpp
   M /trunk/modules/gui/wxwidgets/interface.cpp

* wxwidgets: fix a memory leak (patch by Brian Robb)
------------------------------------------------------------------------
r12584 | courmisch | 2005-09-17 17:14:34 +0200 (Sat, 17 Sep 2005) | 2 lines
Changed paths:
   M /trunk/src/misc/net.c

Win32 compile fix

------------------------------------------------------------------------
r12583 | courmisch | 2005-09-17 17:00:58 +0200 (Sat, 17 Sep 2005) | 7 lines
Changed paths:
   M /trunk/src/misc/net.c

* print unreachable host as an error in net_OpenTCP (refs #320)
* don't print IPv6 unreachable warning when IPv4 works fine
* don't attempt SOCKS negociation when TCP connection failed
* use "%s port %d" rather than "%s:%d" because the latter is
  confusing with IPv6 adresses
* removed trailing spaces

------------------------------------------------------------------------
r12582 | zorglub | 2005-09-17 16:15:32 +0200 (Sat, 17 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/playlist.cpp

Don't crash on items with % in name (Closes:#312)

------------------------------------------------------------------------
r12581 | zorglub | 2005-09-17 15:29:37 +0200 (Sat, 17 Sep 2005) | 4 lines
Changed paths:
   M /trunk/modules/stream_out/display.c

Select the correct input in #display (Closes:#343)

The module used FIND_ANYWHERE. The proposed patch solved the bug as a side-effect as you get the latest created input, which is the current one with the proposed patch (wait for init to signal thread as ready)

------------------------------------------------------------------------
r12580 | zorglub | 2005-09-17 14:12:54 +0200 (Sat, 17 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/misc/screensaver.c
   M /trunk/src/libvlc.c
   M /trunk/src/libvlc.h

Default to disabling screensaver under X (Closes:#253)
Hide screensaver interface from the prefs

------------------------------------------------------------------------
r12579 | bigben | 2005-09-16 23:19:43 +0200 (Fri, 16 Sep 2005) | 3 lines
Changed paths:
   M /trunk/NEWS

added bonjour service discovery and gnomevfs access


------------------------------------------------------------------------
r12577 | titer | 2005-09-16 20:52:33 +0200 (Fri, 16 Sep 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

 contrib/src/Makefile: libvorbis now supports --host, so let's use it

------------------------------------------------------------------------
r12572 | damienf | 2005-09-16 18:13:07 +0200 (Fri, 16 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/access/dshow/dshow.cpp

dshow.cpp: make sure driver name is properly NULL terminated

------------------------------------------------------------------------
r12571 | damienf | 2005-09-16 18:10:42 +0200 (Fri, 16 Sep 2005) | 2 lines
Changed paths:
   M /trunk/activex/persistpropbag.cpp
   M /trunk/activex/persiststorage.cpp
   M /trunk/activex/persiststreaminit.cpp
   M /trunk/activex/plugin.cpp
   M /trunk/activex/plugin.h
   M /trunk/activex/utils.cpp
   M /trunk/activex/vlccontrol.cpp

all: bug fixing, clean-up

------------------------------------------------------------------------
r12570 | sigmunau | 2005-09-16 01:53:41 +0200 (Fri, 16 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/b4s.c

Coding style fixes and added comments

------------------------------------------------------------------------
r12568 | fkuehne | 2005-09-16 00:11:01 +0200 (Fri, 16 Sep 2005) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* added x264 and live to the linux target
------------------------------------------------------------------------
r12564 | zorglub | 2005-09-15 19:42:24 +0200 (Thu, 15 Sep 2005) | 2 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/include/vlc_playlist.h
   M /trunk/modules/gui/wxwidgets/playlist.cpp
   M /trunk/src/playlist/sort.c
   M /trunk/src/playlist/view.c

Sort-by-album patch by Pierre Marc Dumuid

------------------------------------------------------------------------
r12563 | massiot | 2005-09-15 18:41:26 +0200 (Thu, 15 Sep 2005) | 3 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/configure.ac
   M /trunk/modules/mux/mpeg/ts.c

 * modules/mux/mpeg/ts.c: Support for SDT and multiple PMTs, original
   patch courtesy of Wallace Wadge (thanks!).

------------------------------------------------------------------------
r12562 | hartman | 2005-09-15 17:36:36 +0200 (Thu, 15 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

* Add FMP4 FourCC. (FFMPEG MPEG-4 encoded)

------------------------------------------------------------------------
r12561 | jpsaman | 2005-09-15 16:50:47 +0200 (Thu, 15 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/avi/avi.c

Forward port of revision 12559: Fix division by zero crash
------------------------------------------------------------------------
r12560 | hartman | 2005-09-15 16:21:38 +0200 (Thu, 15 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlistinfo.m

* Missing object release

------------------------------------------------------------------------
r12558 | zorglub | 2005-09-15 08:17:33 +0200 (Thu, 15 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/demux/m3u.c
   M /trunk/modules/demux/playlist/m3u.c
   M /trunk/modules/misc/playlist/m3u.c

Hopefully "The Right Fix" patch for M3U parsing, by Daniel Straenger.

------------------------------------------------------------------------
r12557 | zorglub | 2005-09-15 08:11:07 +0200 (Thu, 15 Sep 2005) | 2 lines
Changed paths:
   M /trunk/src/playlist/playlist.c

Improve random behaviour - Patch by Daniel Straenger. Thanks !

------------------------------------------------------------------------
r12556 | hartman | 2005-09-15 02:02:31 +0200 (Thu, 15 Sep 2005) | 2 lines
Changed paths:
   M /trunk/src/playlist/playlist.c

* Fix yet another playlist corner case

------------------------------------------------------------------------
r12555 | massiot | 2005-09-14 19:24:32 +0200 (Wed, 14 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/misc/network/ipv4.c

 * mudules/misc/network/ipv4.c: Expand output buffer size as well to avoid
   send() delays.

------------------------------------------------------------------------
r12554 | massiot | 2005-09-14 19:22:48 +0200 (Wed, 14 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/access_output/udp.c

 * modules/access_output/udp.c: Check send() return value.

------------------------------------------------------------------------
r12553 | hartman | 2005-09-14 17:04:37 +0200 (Wed, 14 Sep 2005) | 2 lines
Changed paths:
   M /trunk/src/playlist/playlist.c

* Better fix for [12521]. Previous fix resulted in the playlist forgetting it's position if you did a play / stop / play sequence. This is the CORRECT fix.

------------------------------------------------------------------------
r12552 | hartman | 2005-09-14 13:56:08 +0200 (Wed, 14 Sep 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   D /trunk/extras/contrib/src/Patches/libcddb.patch

* remove CDDB patch that is now applied upstream in the new libcddb version that we use.

------------------------------------------------------------------------
r12551 | courmisch | 2005-09-14 10:44:26 +0200 (Wed, 14 Sep 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac

Check -mtune even when --with-tuning is used

------------------------------------------------------------------------
r12550 | courmisch | 2005-09-14 10:44:06 +0200 (Wed, 14 Sep 2005) | 2 lines
Changed paths:
   M /trunk/include/vlc_symbols.h

Clean up

------------------------------------------------------------------------
r12549 | yoann | 2005-09-14 02:43:57 +0200 (Wed, 14 Sep 2005) | 4 lines
Changed paths:
   M /trunk/modules/gui/ncurses.c

* modules/gui/ncurses.c: Filebrowser enhancements:
  - sorting
  - show/hide hidden files (with '.')

------------------------------------------------------------------------
r12548 | hartman | 2005-09-14 02:36:41 +0200 (Wed, 14 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/demux/subtitle.c

* Fix memleaks

------------------------------------------------------------------------
r12547 | massiot | 2005-09-14 01:55:44 +0200 (Wed, 14 Sep 2005) | 2 lines
Changed paths:
   M /trunk/doc/fortunes.txt

Fortuuuuune.

------------------------------------------------------------------------
r12546 | massiot | 2005-09-14 00:33:49 +0200 (Wed, 14 Sep 2005) | 2 lines
Changed paths:
   M /trunk/doc/fortunes.txt

Fortuuuuune.

------------------------------------------------------------------------
r12545 | yoann | 2005-09-14 00:15:00 +0200 (Wed, 14 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/ncurses.c

 * modules/gui/ncurses.c: use <space> in the filebrowser to add the selected directory to the playlist.

------------------------------------------------------------------------
r12544 | gbazin | 2005-09-14 00:01:20 +0200 (Wed, 14 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/packetizer/h264.c

* modules/packetizer/h264.c: small fix to annexe-b packetizer.
------------------------------------------------------------------------
r12543 | fkuehne | 2005-09-13 19:52:09 +0200 (Tue, 13 Sep 2005) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

* whoops, fixed invalid path for MASH introduced in the last commit
------------------------------------------------------------------------
r12542 | fkuehne | 2005-09-13 19:50:27 +0200 (Tue, 13 Sep 2005) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak

* updated libcddb to 1.2.1 from 0.9.6 (refs #292)
------------------------------------------------------------------------
r12541 | gbazin | 2005-09-13 19:48:32 +0200 (Tue, 13 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/packetizer/h264.c

* modules/packetizer/h264.c: date SPS and PPS blocks built from the codec extradata.
------------------------------------------------------------------------
r12538 | bigben | 2005-09-13 17:10:32 +0200 (Tue, 13 Sep 2005) | 5 lines
Changed paths:
   M /trunk/modules/access/gnomevfs.c

* Support URIs with non ascii characters
* Work around the fact reading from http never returns EOF
* Dirty hack to avoid segfault on exit if we don't open at least a valid file


------------------------------------------------------------------------
r12537 | massiot | 2005-09-13 16:45:46 +0200 (Tue, 13 Sep 2005) | 2 lines
Changed paths:
   M /trunk/doc/fortunes.txt

Fortuuuune

------------------------------------------------------------------------
r12536 | bigben | 2005-09-13 12:41:08 +0200 (Tue, 13 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/access/gnomevfs.c

Cosmetics


------------------------------------------------------------------------
r12535 | bigben | 2005-09-13 11:44:56 +0200 (Tue, 13 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/access/gnomevfs.c

Handle correctly the case when no access is explicitely given.


------------------------------------------------------------------------
r12534 | bigben | 2005-09-13 11:31:40 +0200 (Tue, 13 Sep 2005) | 4 lines
Changed paths:
   M /trunk/modules/access/gnomevfs.c

* Try the gnomevfs plugin last if we didn't find any other matching access
* Now MRLs such as ssh://user:pass@server work.


------------------------------------------------------------------------
r12533 | xtophe | 2005-09-13 10:38:25 +0200 (Tue, 13 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/access/gnomevfs.c

Properties + cosmetic

------------------------------------------------------------------------
r12532 | bigben | 2005-09-13 01:56:43 +0200 (Tue, 13 Sep 2005) | 5 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/access/Modules.am
   A /trunk/modules/access/gnomevfs.c

* New gnomevfs access module
* MRLS are of the form gnomevfs://ssh://user:pass@ (if anybody has something better)
* Still some issues with some accesses (smb for instance) where it seems it required to open the directory in which the file is before opening the file itself.


------------------------------------------------------------------------
r12531 | hartman | 2005-09-12 23:54:45 +0200 (Mon, 12 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

* adding arguments to printFormat, without a format that uses them is pretty useless.

------------------------------------------------------------------------
r12530 | hartman | 2005-09-12 23:41:39 +0200 (Mon, 12 Sep 2005) | 2 lines
Changed paths:
   M /trunk/src/playlist/playlist.c

* Prevent the autoplay function from playing the Shoutcast url for the xmllist. The SD modules already does this by itself. (fixes #8)

------------------------------------------------------------------------
r12529 | hartman | 2005-09-12 22:47:34 +0200 (Mon, 12 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.m

* Fix Mac autoplay behaviour for SD playlistitems. (refs #8)

------------------------------------------------------------------------
r12528 | fkuehne | 2005-09-12 21:42:53 +0200 (Mon, 12 Sep 2005) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/InfoPlist.strings
   M /trunk/modules/gui/macosx/about.m

* use the current copyright scheme in the about-box; removed a useless colon introduced in the last commit
------------------------------------------------------------------------
r12527 | fkuehne | 2005-09-12 21:11:43 +0200 (Mon, 12 Sep 2005) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/About.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/About.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/About.nib/keyedobjects.nib
   M /trunk/modules/gui/macosx/about.h
   M /trunk/modules/gui/macosx/about.m

* added compilation information
------------------------------------------------------------------------
r12526 | dionoea | 2005-09-12 20:49:42 +0200 (Mon, 12 Sep 2005) | 9 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/updatevlc.cpp

update system :
only take into account "stable" releases when release_type == stable
stable and testing when == testing
stable, testing and nighlty when == nightly
all when !=
(still need a way to change release_type in the intf ... i'm lazy. default
set to "testing")


------------------------------------------------------------------------
r12525 | dionoea | 2005-09-12 19:07:41 +0200 (Mon, 12 Sep 2005) | 3 lines
Changed paths:
   M /trunk/src/libvlc.c

fix daemon mode when HAVE_DAEMON is defined. fixes #347


------------------------------------------------------------------------
r12524 | hartman | 2005-09-12 15:00:05 +0200 (Mon, 12 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/misc.m

* Remove 10.3 only properties of the volumeSlider

------------------------------------------------------------------------
r12523 | hartman | 2005-09-12 14:46:17 +0200 (Mon, 12 Sep 2005) | 2 lines
Changed paths:
   M /trunk/src/playlist/playlist.c

* remove debug line

------------------------------------------------------------------------
r12522 | hartman | 2005-09-12 14:36:37 +0200 (Mon, 12 Sep 2005) | 3 lines
Changed paths:
   M /trunk/src/playlist/playlist.c

* Fix the issue with random always playing the first item in the playlist initially (closes #217)


------------------------------------------------------------------------
r12521 | hartman | 2005-09-12 14:02:58 +0200 (Mon, 12 Sep 2005) | 2 lines
Changed paths:
   M /trunk/src/playlist/playlist.c

* Fixes a problem where playlist_Play was playing items that were no longer in the playlist. (Play item, playlist_Stop, remove item, add new items (enqueue), playlist_Play, and you would get the old item). This fixes it, but i think it might be a problem that actually resides deeper in the playlist core.

------------------------------------------------------------------------
r12520 | hartman | 2005-09-12 12:36:36 +0200 (Mon, 12 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/access/mms/mms.c

* Up the mms caching from 3200 ms to 5000ms. (unfortunately this is needed for a large number of streams)

------------------------------------------------------------------------
r12519 | robux4 | 2005-09-12 11:56:32 +0200 (Mon, 12 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: avoid dependency problems with older libmatroska
------------------------------------------------------------------------
r12518 | bigben | 2005-09-11 23:14:17 +0200 (Sun, 11 Sep 2005) | 6 lines
Changed paths:
   M /trunk/src/playlist/playlist.c


* Loop at the beginning of the playlist instead of the beginning of the current node when loop is enabled

This should be the right fix, but testing is welcomed.


------------------------------------------------------------------------
r12517 | ipkiss | 2005-09-11 22:03:18 +0200 (Sun, 11 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/parser/skin_parser.cpp
   M /trunk/modules/gui/skins2/parser/skin_parser.hpp
   M /trunk/modules/gui/skins2/vars/playtree.cpp

 * skins2/parser/skin_parser.cpp: fixed a FIXME
 * skins2/vars/playtree.cpp: removed some debug lines

------------------------------------------------------------------------
r12516 | gbazin | 2005-09-11 18:57:10 +0200 (Sun, 11 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/video_filter/scale.c

* modules/video_filter/scale.c: Fixed bug reported by Wallace Wadge (wwadge at gmail).
------------------------------------------------------------------------
r12515 | robux4 | 2005-09-11 17:35:00 +0200 (Sun, 11 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: more memory leaks fixed
------------------------------------------------------------------------
r12514 | fkuehne | 2005-09-11 14:45:41 +0200 (Sun, 11 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/extended.m

* save the prefs only shortly before the app exits (makes the utilisation of the extended-panel much faster)
------------------------------------------------------------------------
r12513 | massiot | 2005-09-11 14:06:39 +0200 (Sun, 11 Sep 2005) | 2 lines
Changed paths:
   M /trunk/doc/fortunes.txt

fortuuuuune

------------------------------------------------------------------------
r12512 | robux4 | 2005-09-11 12:42:17 +0200 (Sun, 11 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: fix some memory leaks
------------------------------------------------------------------------
r12511 | robux4 | 2005-09-11 11:14:21 +0200 (Sun, 11 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: support segments with "unknown" size
------------------------------------------------------------------------
r12510 | robux4 | 2005-09-10 19:08:35 +0200 (Sat, 10 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

mkv.cpp: support playback of segments without a UID
------------------------------------------------------------------------
r12509 | robux4 | 2005-09-10 17:22:51 +0200 (Sat, 10 Sep 2005) | 1 line
Changed paths:
   M /trunk/src/misc/variables.c

variables.c: void the buffer after the memmove to avoid reusing previous values
------------------------------------------------------------------------
r12508 | robux4 | 2005-09-10 15:38:51 +0200 (Sat, 10 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/misc/network/ipv4.c

* ipv4.c: make MSVC happy
------------------------------------------------------------------------
r12507 | bigben | 2005-09-10 11:04:32 +0200 (Sat, 10 Sep 2005) | 3 lines
Changed paths:
   M /trunk/src/playlist/playlist.c

* Go back to the first item when hitting "next" on the last item. Go to the last item with "prev" on the 1st item.


------------------------------------------------------------------------
r12506 | courmisch | 2005-09-10 09:55:17 +0200 (Sat, 10 Sep 2005) | 3 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/src/libvlc.c

Fix psz_userdir memleak
(patch contributed by Brian Robb)

------------------------------------------------------------------------
r12505 | gbazin | 2005-09-10 00:10:57 +0200 (Sat, 10 Sep 2005) | 1 line
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/misc/network/ipv4.c
   M /trunk/src/extras/libc.c

* configure.ac, src/extras/libc.c, modules/misc/network/ipv4.c: fixed the WinCE build.
------------------------------------------------------------------------
r12504 | hartman | 2005-09-09 23:19:15 +0200 (Fri, 09 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/macosx.m
   M /trunk/modules/gui/macosx/vout.m

* Option for Desktop Background mode for VLC OSX.
  Does not work on the fly, because that requires recreating the window atm.

------------------------------------------------------------------------
r12503 | gbazin | 2005-09-09 21:42:55 +0200 (Fri, 09 Sep 2005) | 1 line
Changed paths:
   M /trunk/src/misc/win32_specific.c

* src/misc/win32_specific.c: fixed minor memory leak on win32. Patch courtesy of Brian Robb (vascy at hotmail).
------------------------------------------------------------------------
r12502 | gbazin | 2005-09-09 21:38:01 +0200 (Fri, 09 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwidgets/wizard.cpp
   M /trunk/modules/gui/wxwidgets/wxwidgets.h

* modules/gui/wxwidgets/*: bug fix + msvc fixes. Patch courtesy of Brian Robb (vascy at hotmail).
------------------------------------------------------------------------
r12501 | gbazin | 2005-09-09 21:20:34 +0200 (Fri, 09 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/skins2/src/bitmap_font.cpp
   M /trunk/modules/gui/skins2/src/skin_common.hpp

* modules/gui/skins2/*: a couple of msvc build fixes. Patch courtesy of Brian Robb (vascy at hotmail).
------------------------------------------------------------------------
r12500 | xtophe | 2005-09-09 19:34:32 +0200 (Fri, 09 Sep 2005) | 3 lines
Changed paths:
   M /trunk/src/extras/libc.c

I shall compile before commiting * 100 for monday.
In fact it seems there is some missing __VLC__ in the msvc makefile. Flikky migth investigate

------------------------------------------------------------------------
r12499 | xtophe | 2005-09-09 18:55:37 +0200 (Fri, 09 Sep 2005) | 2 lines
Changed paths:
   M /trunk/src/extras/libc.c

Fix a possible segfault patch by Brian Robb

------------------------------------------------------------------------
r12498 | jlj | 2005-09-09 16:31:22 +0200 (Fri, 09 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/access_output/bonjour.c
   M /trunk/modules/access_output/bonjour.h
   M /trunk/modules/services_discovery/bonjour.c

  * bonjour: set svn:keywords property.


------------------------------------------------------------------------
r12497 | jlj | 2005-09-09 16:06:38 +0200 (Fri, 09 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/services_discovery/bonjour.c

  * bonjour.c: Fixed memory leaks. Fixed IPv6 support.


------------------------------------------------------------------------
r12496 | jlj | 2005-09-09 04:42:40 +0200 (Fri, 09 Sep 2005) | 3 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/access_output/Modules.am
   A /trunk/modules/access_output/bonjour.c
   A /trunk/modules/access_output/bonjour.h
   M /trunk/modules/access_output/http.c
   M /trunk/modules/services_discovery/Modules.am
   A /trunk/modules/services_discovery/bonjour.c

  * Bonjour services discovery module using avahi.


------------------------------------------------------------------------
r12495 | fkuehne | 2005-09-08 23:00:48 +0200 (Thu, 08 Sep 2005) | 5 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/keyedobjects.nib
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m

* fixed some intf-strings and connected a few menu-items properly
* changed wizard-shortcut to shift-cmd-w
* re-ordered the file-menu slightly

Thanks to thedj for pointing most of that out.
------------------------------------------------------------------------
r12493 | bigben | 2005-09-08 20:18:54 +0200 (Thu, 08 Sep 2005) | 6 lines
Changed paths:
   M /trunk/src/playlist/item-ext.c

* Take the position parametter into account in playlist_NodeAddItem
* This fixes the drag'n'drop from items from the finder in OSX
* Not sure PLAYLIST_END is handled correctly in every case (don't know enough about adding modes to judge)



------------------------------------------------------------------------
r12487 | hartman | 2005-09-08 15:55:25 +0200 (Thu, 08 Sep 2005) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_widgets.c

* Fix a refcount issue in the OSD core

------------------------------------------------------------------------
r12486 | fkuehne | 2005-09-07 20:11:22 +0200 (Wed, 07 Sep 2005) | 1 line
Changed paths:
   M /trunk/po/ko.po

* converted to UTF-8
------------------------------------------------------------------------
r12485 | fkuehne | 2005-09-07 19:44:36 +0200 (Wed, 07 Sep 2005) | 1 line
Changed paths:
   M /trunk/NEWS
   M /trunk/THANKS
   M /trunk/configure.ac
   A /trunk/po/ko.po
   M /trunk/src/libvlc.h
   M /trunk/src/misc/darwin_specific.m

* new Korean translation by Han HoJoong <0demon0@paran.com>
------------------------------------------------------------------------
r12484 | hartman | 2005-09-07 16:05:44 +0200 (Wed, 07 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/libmp4.c

 * lengh -> length

------------------------------------------------------------------------
r12483 | hartman | 2005-09-07 15:47:46 +0200 (Wed, 07 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp

* AVC in mkv should already be packetized.
  (btw. this makes a certain sample work that didn't work when it was fed trough our h264 packetizer. before it would crash. This indicates there is an error in our h.264 packetizer)

------------------------------------------------------------------------
r12482 | hartman | 2005-09-07 00:03:45 +0200 (Wed, 07 Sep 2005) | 4 lines
Changed paths:
   M /trunk/modules/demux/livedotcom.cpp

* Fix a large issue with VLC RTSP client.
  We were setting play/pause and seek commands non-aggregate, while we should set them aggregate.
  Fixes #340

------------------------------------------------------------------------
r12481 | dionoea | 2005-09-06 23:15:18 +0200 (Tue, 06 Sep 2005) | 2 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/modules/gui/wxwidgets/open.cpp

CD/DVD detection patch by Brian Robb

------------------------------------------------------------------------
r12480 | massiot | 2005-09-06 01:33:14 +0200 (Tue, 06 Sep 2005) | 3 lines
Changed paths:
   M /trunk/src/libvlc.c

 * src/libvlc.c: When the user dir is not available, fall back onto the
   application data directory.

------------------------------------------------------------------------
r12479 | gbazin | 2005-09-05 21:23:29 +0200 (Mon, 05 Sep 2005) | 1 line
Changed paths:
   M /trunk/src/libvlc.c

* src/libvlc.c: on win32, redirect stdout to vlc-help.txt when printing the help.
------------------------------------------------------------------------
r12478 | zorglub | 2005-09-05 11:13:52 +0200 (Mon, 05 Sep 2005) | 2 lines
Changed paths:
   M /trunk/config.in

Remove a few legacy entries in config.in

------------------------------------------------------------------------
r12477 | robux4 | 2005-09-05 10:53:54 +0200 (Mon, 05 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

* mkv.cpp: should fix the compilation error with gcc
------------------------------------------------------------------------
r12476 | ipkiss | 2005-09-04 23:50:18 +0200 (Sun, 04 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/theme_repository.cpp

 * skins2/src/theme_repository.cpp: do not use pointers on temporary strings.
   Fixes #337.

------------------------------------------------------------------------
r12475 | robux4 | 2005-09-04 20:12:57 +0200 (Sun, 04 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

* mkv.cpp: fix chapter sorting by timecode, apply the right PTS/DTS timecodes from the container
------------------------------------------------------------------------
r12474 | massiot | 2005-09-04 14:47:53 +0200 (Sun, 04 Sep 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

 * extras/contrib/src/Makefile: Really fixed the libtool target.

------------------------------------------------------------------------
r12473 | massiot | 2005-09-04 12:58:59 +0200 (Sun, 04 Sep 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

 * extras/contrib/src/Makefile: Really fixed the libtool target.

------------------------------------------------------------------------
r12472 | massiot | 2005-09-04 11:52:54 +0200 (Sun, 04 Sep 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

 * extras/contrib/src/Makefile: Build libtool after automake.

------------------------------------------------------------------------
r12471 | gbazin | 2005-09-04 01:44:25 +0200 (Sun, 04 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/access_filter/timeshift.c

* modules/access_filter/timeshift.c: complete rewrite. Configurable granularity so it doesn't waste as much disk space + deals with full disk by overwritting oldest data.
------------------------------------------------------------------------
r12470 | gbazin | 2005-09-04 00:55:56 +0200 (Sun, 04 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwidgets/playlist.cpp

* modules/gui/wxwidgets/playlist.cpp: Fixed segfault. Patch by Brian Robb (vascy at hotmail).
------------------------------------------------------------------------
r12469 | ipkiss | 2005-09-04 00:25:36 +0200 (Sun, 04 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/generic_layout.cpp

 * skins/src/generic_layout.cpp: Fixed a typo in a comment

------------------------------------------------------------------------
r12468 | robux4 | 2005-09-03 22:56:32 +0200 (Sat, 03 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

* fix a timecode/stuttering problem with VFW tracks
------------------------------------------------------------------------
r12467 | ipkiss | 2005-09-03 21:22:47 +0200 (Sat, 03 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_tree.cpp

 * skins2/controls/ctrl_tree.cpp: Fixed a nasty bug. The tree playlist should
   now be much more stable.

------------------------------------------------------------------------
r12466 | asmax | 2005-09-03 19:11:23 +0200 (Sat, 03 Sep 2005) | 2 lines
Changed paths:
   M /trunk/config.in

* config.in: fixed typos

------------------------------------------------------------------------
r12465 | robux4 | 2005-09-03 17:55:52 +0200 (Sat, 03 Sep 2005) | 1 line
Changed paths:
   M /trunk/include/vlc_stream.h
   M /trunk/modules/demux/mkv.cpp

* prevent crashes when a stream is not opened correctly
------------------------------------------------------------------------
r12464 | ipkiss | 2005-09-03 17:17:57 +0200 (Sat, 03 Sep 2005) | 5 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_tree.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_tree.hpp
   M /trunk/modules/gui/skins2/utils/var_tree.cpp
   M /trunk/modules/gui/skins2/utils/var_tree.hpp

 * skins2 (tree playlist):
     - Fixed a selection bug in CtrlTree
     - Simplified some algorithms using helper methods
     - A few coding style fixes

------------------------------------------------------------------------
r12463 | jpsaman | 2005-09-03 17:06:39 +0200 (Sat, 03 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/ts.c

silence random access indicator
------------------------------------------------------------------------
r12462 | robux4 | 2005-09-03 16:49:58 +0200 (Sat, 03 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/mkv.cpp

* fix an uninitialized buffer use
------------------------------------------------------------------------
r12461 | gbazin | 2005-09-03 15:56:53 +0200 (Sat, 03 Sep 2005) | 1 line
Changed paths:
   M /trunk/configure.ac

* configure.ac: allow building vlc's mozilla plugin against gecko-sdk. Patch by Diego Petteno (flameeyes at gentoo) + modifications by me.
------------------------------------------------------------------------
r12460 | gbazin | 2005-09-03 15:27:01 +0200 (Sat, 03 Sep 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwidgets/preferences.cpp

* modules/gui/wxwidgets/preferences.cpp: unicode build fix (bugzilla #2117). Patch by Diego Petteno (flameeyes at gentoo).
------------------------------------------------------------------------
r12459 | bigben | 2005-09-03 14:06:57 +0200 (Sat, 03 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

Remove some useless code


------------------------------------------------------------------------
r12458 | bigben | 2005-09-03 13:24:00 +0200 (Sat, 03 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

Fixes item ordering on drag'n'drop


------------------------------------------------------------------------
r12457 | massiot | 2005-09-03 12:22:03 +0200 (Sat, 03 Sep 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

 * extras/contrib/src/Makefile: Fixed libdvdcss compilation.

------------------------------------------------------------------------
r12456 | gbazin | 2005-09-03 11:32:17 +0200 (Sat, 03 Sep 2005) | 1 line
Changed paths:
   M /trunk/src/control/audio_video.c

* src/control/audio_video.c: forgot this file in last commit.
------------------------------------------------------------------------
r12455 | gbazin | 2005-09-03 11:16:11 +0200 (Sat, 03 Sep 2005) | 1 line
Changed paths:
   M /trunk/include/vlc/control.h
   M /trunk/include/vlc/vlc.h
   M /trunk/src/control/util.c

* include/vlc/vlc.h, include/vlc/control.h, src/control/util.c: introduced vlc_int64_t in the libvlc headers instead of using long long which isn't portable + fixed a function prototype in control.h. Thanks to Brian Robb (vascy at hotmail) for pointing out the problem.
------------------------------------------------------------------------
r12454 | asmax | 2005-09-03 01:47:19 +0200 (Sat, 03 Sep 2005) | 2 lines
Changed paths:
   M /trunk/src/misc/httpd.c

* httpd.c: added missing dummy functions

------------------------------------------------------------------------
r12453 | bigben | 2005-09-02 20:57:11 +0200 (Fri, 02 Sep 2005) | 4 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m


Remove some useless code


------------------------------------------------------------------------
r12452 | bigben | 2005-09-02 20:33:46 +0200 (Fri, 02 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

Allow to drop an item *on* a node.


------------------------------------------------------------------------
r12451 | gbazin | 2005-09-02 20:18:03 +0200 (Fri, 02 Sep 2005) | 1 line
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/access/smb.c

* configure.ac, modules/access/smb.c: compilation fix for new libsmbclient versions. Patch by Diego Petteno (flameeyes at gentoo dot org).
------------------------------------------------------------------------
r12450 | bigben | 2005-09-02 20:00:41 +0200 (Fri, 02 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

Some small cleaning


------------------------------------------------------------------------
r12449 | massiot | 2005-09-02 19:11:23 +0200 (Fri, 02 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/control/http/http.c

 * modules/control/http/http.c: Added a small hack, when multiple http
   control interfaces are specified, to automatically increment the port.

------------------------------------------------------------------------
r12448 | massiot | 2005-09-02 19:10:06 +0200 (Fri, 02 Sep 2005) | 3 lines
Changed paths:
   M /trunk/src/misc/httpd.c

 * src/misc/httpd.c: Fixed HTTPd closing when several HTTPd instances are
   running.

------------------------------------------------------------------------
r12447 | massiot | 2005-09-02 18:01:23 +0200 (Fri, 02 Sep 2005) | 2 lines
Changed paths:
   M /trunk/modules/codec/fake.c

 * modules/codec/fake.c: Added missing ToLocale().

------------------------------------------------------------------------
r12446 | massiot | 2005-09-02 17:16:08 +0200 (Fri, 02 Sep 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/Patches/x264_svn.patch

 * extras/contrib: Fixed theora and x264-svn compilation.

------------------------------------------------------------------------
r12445 | bigben | 2005-09-02 16:00:20 +0200 (Fri, 02 Sep 2005) | 4 lines
Changed paths:
   M /trunk/src/video_output/video_widgets.c

* Don't try to release NULL
* Fixes the "vlc would crash when hitting play" bug


------------------------------------------------------------------------
r12444 | massiot | 2005-09-01 19:41:01 +0200 (Thu, 01 Sep 2005) | 2 lines
Changed paths:
   M /trunk/INSTALL.win32

 * INSTALL.win32: Added SDL.

------------------------------------------------------------------------
r12443 | massiot | 2005-09-01 17:05:26 +0200 (Thu, 01 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/control/http/http.c

 * modules/control/http/http.c: Fixed PATH environment variable, and
   under Win32 set SYSTEMROOT variable.

------------------------------------------------------------------------
r12442 | massiot | 2005-09-01 15:02:38 +0200 (Thu, 01 Sep 2005) | 3 lines
Changed paths:
   M /trunk/modules/control/http/http.c

 * modules/control/http/http.c: Added a SERVER_PATH environment variable
   for CGIs.

------------------------------------------------------------------------
r12441 | massiot | 2005-09-01 15:02:11 +0200 (Thu, 01 Sep 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

 * extras/contrib/src/Makefile: Fixed opendaap installation.

------------------------------------------------------------------------
r12440 | massiot | 2005-09-01 00:41:58 +0200 (Thu, 01 Sep 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

 * extras/contrib/src/Makefile: Added missing $(INSTALL_NAME) for opendaap.

------------------------------------------------------------------------
r12439 | gbazin | 2005-08-31 23:19:54 +0200 (Wed, 31 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwidgets/streamout.cpp
   M /trunk/modules/gui/wxwidgets/wxwidgets.h

* modules/gui/wxwidgets/streamout.cpp: stream output dialog re-arrangement patch by CUTMAN ~CW~ (cutmancw at hotmail) + changes by me to remove the SLP announce options.
------------------------------------------------------------------------
r12438 | gbazin | 2005-08-31 22:37:23 +0200 (Wed, 31 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/stream_out/transcode.c
   M /trunk/src/input/control.c
   M /trunk/src/input/decoder.c

* modules/stream_out/transcode.c, src/input/decoder.c, src/input/control.c: fixed a bunch of memory leaks. Patch courtesy of Wallace Wadge (wwadge at gmail) + modifications by me.
------------------------------------------------------------------------
r12437 | massiot | 2005-08-31 21:09:50 +0200 (Wed, 31 Aug 2005) | 6 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/dvdnav.patch
   M /trunk/extras/contrib/src/Patches/libdvdread.patch
   M /trunk/include/vlc_config.h
   M /trunk/modules/access/dvdnav.c
   M /trunk/modules/access/dvdread.c
   M /trunk/src/libvlc.h

 * ALL: Do no longer assume a default DVD drive. If no DVD drive is
   specified (an empty string), forward the empty string to libdvdcss
   and let it do autodetection.
 * extras/contrib/src/Patches: Patched libdvdread to accept an empty
   string as a device path.

------------------------------------------------------------------------
r12436 | hartman | 2005-08-31 21:00:21 +0200 (Wed, 31 Aug 2005) | 3 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/demux/Modules.am
   A /trunk/modules/demux/nsc.c

* NSC demuxer and decoder based on jlj's nscdec: http://nanocrew.net/?p=128
  Be AWARE that this currently doesn't do anything. It just reads the file and prints the values to debug. I'll see if I can get a stream running tomorrow.

------------------------------------------------------------------------
r12435 | massiot | 2005-08-30 19:06:25 +0200 (Tue, 30 Aug 2005) | 3 lines
Changed paths:
   M /trunk/modules/access/dvdnav.c

 * modules/access/dvdnav.c: When no path is specified, use libdvdcss
   autodetection.

------------------------------------------------------------------------
r12434 | hartman | 2005-08-30 17:26:25 +0200 (Tue, 30 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c

* When we read the IPv6 address from the SDP, it is not bracketed (unless the SDP is broken). If not []'ed then add them before we create out playlist entry.

------------------------------------------------------------------------
r12433 | massiot | 2005-08-30 14:01:26 +0200 (Tue, 30 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/control/http/http.c

 * modules/control/http/http.c: Fixed argv[1] in CGI mode.

------------------------------------------------------------------------
r12432 | massiot | 2005-08-30 13:59:24 +0200 (Tue, 30 Aug 2005) | 2 lines
Changed paths:
   M /trunk/src/extras/libc.c

 * src/extras/libc.c:vlc_execve() : Do not open a new window under Win32.

------------------------------------------------------------------------
r12431 | massiot | 2005-08-30 11:54:52 +0200 (Tue, 30 Aug 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

 * extras/contrib/src/Makefile: Fixed libogg dependancies.

------------------------------------------------------------------------
r12430 | hartman | 2005-08-29 22:10:59 +0200 (Mon, 29 Aug 2005) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m

* loadNibNamed:withOwner calls awakeFromNib on owner. Therefore opening panels resulted in reinitializing some of VLCMain's stuff. This included evalutation of p_intf->b_play, which triggered an unintended call to playlist_Play().
  this fixes #323

------------------------------------------------------------------------
r12429 | hartman | 2005-08-29 21:04:05 +0200 (Mon, 29 Aug 2005) | 3 lines
Changed paths:
   M /trunk/modules/codec/libmpeg2.c

* Add the hdv2 fourcc which is simply HD MPEG2
  See: http://forum.videolan.org/viewtopic.php?t=11842

------------------------------------------------------------------------
r12428 | massiot | 2005-08-29 18:34:32 +0200 (Mon, 29 Aug 2005) | 7 lines
Changed paths:
   M /trunk/include/configuration.h
   M /trunk/include/main.h
   M /trunk/include/vlc_symbols.h
   M /trunk/modules/control/http/util.c
   M /trunk/src/libvlc.c
   M /trunk/src/misc/configuration.c

 * ALL: New p_vlc->psz_userdir. This is different from psz_homedir in
   that under Win32 psz_homedir points to Application Data directory
   whereas psz_homedir points to the user's directory.
 * modules/control/http/util.c: When the target charset isn't UTF-8,
   manually convert Unicode quotes to ASCII quotes (yes this is ugly
   but libiconv doesn't handle it).

------------------------------------------------------------------------
r12427 | massiot | 2005-08-29 18:30:38 +0200 (Mon, 29 Aug 2005) | 4 lines
Changed paths:
   M /trunk/modules/control/http/http.c
   M /trunk/src/extras/libc.c

 * src/extras/libc.c: Implemented vlc_execve() for the Win32 platform.
 * modules/control/http/http.c: Enabled --http-handlers under Win32.
   Beware to espace backslashes as in --http-handlers="php=C:\\php\\php.exe".

------------------------------------------------------------------------
r12426 | gbazin | 2005-08-29 18:27:53 +0200 (Mon, 29 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/livedotcom.cpp

* modules/demux/livedotcom.cpp: fixed segfaults.
------------------------------------------------------------------------
r12425 | massiot | 2005-08-29 18:27:30 +0200 (Mon, 29 Aug 2005) | 3 lines
Changed paths:
   M /trunk/modules/control/http/mvar.c

 * modules/control/http/mvar.c: Under Windows do not call stat() on
   drive letters because it seems to cause problems with removable devices.

------------------------------------------------------------------------
r12424 | massiot | 2005-08-29 18:25:01 +0200 (Mon, 29 Aug 2005) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/interface.cpp

 * modules/gui/wxwidgets/interface.cpp: Missing FromLocale() for the drag'n
   drop code.

------------------------------------------------------------------------
r12423 | robux4 | 2005-08-29 14:12:40 +0200 (Mon, 29 Aug 2005) | 1 line
Changed paths:
   M /trunk/msvc/config.h.in

* new paramaters added to the MSVC build
------------------------------------------------------------------------
r12422 | sam | 2005-08-29 10:48:27 +0200 (Mon, 29 Aug 2005) | 2 lines
Changed paths:
   M /trunk/toolbox

  * fixed breakage of MSVC files in commit 12161.

------------------------------------------------------------------------
r12421 | robux4 | 2005-08-29 10:39:02 +0200 (Mon, 29 Aug 2005) | 1 line
Changed paths:
   M /trunk/msvc/libvlc.dsp.in
   M /trunk/msvc/plugins.dsp.in
   M /trunk/msvc/vlc.dsp.in
   M /trunk/msvc/vlc.dsw

Force the EOL to the native Windows one
------------------------------------------------------------------------
r12420 | hartman | 2005-08-28 23:50:32 +0200 (Sun, 28 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/m3u.c

* Fix the case of duration == -1 in M3U playlists. closes #331

------------------------------------------------------------------------
r12419 | hartman | 2005-08-28 22:57:48 +0200 (Sun, 28 Aug 2005) | 4 lines
Changed paths:
   M /trunk/include/codecs.h

* Define a couple of dummy 4cc's for vorbis in avi streams (vor1,vo1+,vor2,vo2+,vor3,vo3+).
  We cannot handle these formats but at least we will be able to recognize bugreports from this now. refs #224
  B.T.W. the ticket DOES contain some info on these formats. Someone who know ogg/vorbis can probably implement support for this with this information.

------------------------------------------------------------------------
r12418 | hartman | 2005-08-28 22:38:07 +0200 (Sun, 28 Aug 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/packages.mak

* Add glib, libIDL and gecko-sdk to OSX contrib. Now we just need a way to find how to let configure.ac recognize it.

------------------------------------------------------------------------
r12417 | hartman | 2005-08-28 22:08:26 +0200 (Sun, 28 Aug 2005) | 2 lines
Changed paths:
   M /trunk/NEWS

* Add some NEWS

------------------------------------------------------------------------
r12416 | hartman | 2005-08-28 21:22:36 +0200 (Sun, 28 Aug 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac

* Add the shout (services discovery) module again

------------------------------------------------------------------------
r12415 | hartman | 2005-08-28 20:59:53 +0200 (Sun, 28 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/access_output/shout.c

* Update some comments

------------------------------------------------------------------------
r12414 | zorglub | 2005-08-28 12:52:00 +0200 (Sun, 28 Aug 2005) | 3 lines
Changed paths:
   M /trunk/debian/patches/00list
   A /trunk/debian/patches/20_osdmenu-paths.dpatch
   M /trunk/share/Makefile.am

* Export unselect.png
* Fix paths when installed in Debian package

------------------------------------------------------------------------
r12413 | courmisch | 2005-08-28 12:34:24 +0200 (Sun, 28 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

Fix typo

------------------------------------------------------------------------
r12412 | jpsaman | 2005-08-27 18:40:23 +0200 (Sat, 27 Aug 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   D /trunk/include/osd.h
   M /trunk/include/vlc_osd.h
   M /trunk/include/vlc_symbols.h
   M /trunk/include/vlc_video.h
   M /trunk/modules/access_filter/record.c
   M /trunk/modules/codec/cmml/cmml.c
   M /trunk/modules/codec/cmml/intf.c
   M /trunk/modules/codec/subsdec.c
   M /trunk/modules/control/corba/mediacontrol-core.c
   M /trunk/modules/control/hotkeys.c
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/playlist.m
   M /trunk/modules/misc/freetype.c
   M /trunk/modules/misc/svg.c
   M /trunk/modules/misc/win32text.c
   M /trunk/modules/stream_out/transcode.c
   M /trunk/modules/video_filter/logo.c
   M /trunk/modules/video_filter/marq.c
   M /trunk/modules/video_filter/osdmenu.c
   M /trunk/modules/video_filter/rss.c
   M /trunk/modules/video_filter/time.c
   M /trunk/src/control/audio_video.c
   M /trunk/src/control/core.c
   M /trunk/src/control/util.c
   M /trunk/src/misc/modules.c
   A /trunk/src/osd/osd_text.c (from /trunk/src/video_output/video_text.c:12379)
   A /trunk/src/osd/osd_widgets.c (from /trunk/src/video_output/video_widgets.c:12379)
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/video_widgets.c

Merged OSD functionality on the same core functions. All OSD functionality is described in include/vlc_osd.h now, which entirely replace include/osd.h. The file src/video_output/video_widgets.c uses functionality from src/osd/osd_widgets.c now.

------------------------------------------------------------------------
r12411 | jpsaman | 2005-08-27 15:51:53 +0200 (Sat, 27 Aug 2005) | 1 line
Changed paths:
   M /trunk/share/osdmenu/default.cfg

cosmetics
------------------------------------------------------------------------
r12410 | massiot | 2005-08-27 15:38:26 +0200 (Sat, 27 Aug 2005) | 2 lines
Changed paths:
   M /trunk/toolbox

 * toolbox: Removed a bash-ism.

------------------------------------------------------------------------
r12409 | massiot | 2005-08-26 21:05:04 +0200 (Fri, 26 Aug 2005) | 3 lines
Changed paths:
   M /trunk/modules/control/http/http.c
   M /trunk/src/extras/libc.c

 * src/extras/libc.c: Fixed Win32 compilation.
 * modules/control/http/http.c: Fixed a memory leak with the CGI environment.

------------------------------------------------------------------------
r12408 | massiot | 2005-08-26 20:15:21 +0200 (Fri, 26 Aug 2005) | 9 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_httpd.h
   M /trunk/include/vlc_symbols.h
   M /trunk/modules/control/http/http.c
   M /trunk/modules/control/http/http.h
   M /trunk/modules/control/http/util.c
   M /trunk/src/extras/libc.c
   M /trunk/src/misc/httpd.c

 * src/extras/libc.c: Implemented a wrapper around fork() and execve()
   to spawn an external process and get its output. Only implemented for
   UNIX-style systems at present.
 * src/misc/httpd.c: New "handler" node type which bypasses the internal
   HTTPD behaviour.
 * modules/control/http: New --http-handlers option to dedicate
   particular extensions to external programs (PHP or Perl for instance).
   This is in accordance with the CGI/1.1 specification.

------------------------------------------------------------------------
r12407 | hartman | 2005-08-26 19:01:48 +0200 (Fri, 26 Aug 2005) | 6 lines
Changed paths:
   M /trunk/modules/access_output/shout.c

* added --sout-shout-name to set a stream name
* added --sout-shout-description to set a channel description
* added --sout-shout-mp3 to allow you to upload mp3 streams instead of ogg. (BEWARE, no autodetection)
* fixed the free of a string
* some general coding style cleanup

------------------------------------------------------------------------
r12406 | hartman | 2005-08-26 16:02:46 +0200 (Fri, 26 Aug 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* Fix liveMedia 

------------------------------------------------------------------------
r12405 | hartman | 2005-08-26 14:55:36 +0200 (Fri, 26 Aug 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/speex.patch

* The same getopt problem that theora has, exists in speex as well.

------------------------------------------------------------------------
r12404 | zorglub | 2005-08-25 21:57:12 +0200 (Thu, 25 Aug 2005) | 3 lines
Changed paths:
   M /trunk/modules/visualization/visual/effects.c
   M /trunk/modules/visualization/visual/visual.c
   M /trunk/modules/visualization/visual/visual.h
   M /trunk/src/audio_output/input.c

Add new spectrum analyzer effect, patch from zcot.
Remove the "random" effect

------------------------------------------------------------------------
r12403 | hartman | 2005-08-25 21:10:21 +0200 (Thu, 25 Aug 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   M /trunk/extras/contrib/src/Patches/theora.patch

* libtheora examples don't compile on 10.2 Remove from Makefiles. This issue is now fixed upstream thanks to rillian from #theora

------------------------------------------------------------------------
r12402 | xtophe | 2005-08-25 20:35:09 +0200 (Thu, 25 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/interface.cpp

Compile fix tentative

------------------------------------------------------------------------
r12401 | xtophe | 2005-08-25 19:39:21 +0200 (Thu, 25 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/interface.cpp

Add the compile information

------------------------------------------------------------------------
r12400 | fkuehne | 2005-08-25 19:39:17 +0200 (Thu, 25 Aug 2005) | 2 lines
Changed paths:
   M /trunk/share/http/info.html

* link the headline to the http-intf-main-page instead of videolan.org
* don't print a space in front of a colon, since this is a French style only
------------------------------------------------------------------------
r12399 | hartman | 2005-08-25 19:28:04 +0200 (Thu, 25 Aug 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* disable all theora test programs. they use getopt which is not present in default OSX 10.2 

------------------------------------------------------------------------
r12398 | xtophe | 2005-08-25 18:59:42 +0200 (Thu, 25 Aug 2005) | 2 lines
Changed paths:
   D /trunk/src/osd/osd_widgets.c

Grrr, i should have checked previous commit

------------------------------------------------------------------------
r12397 | xtophe | 2005-08-25 18:57:01 +0200 (Thu, 25 Aug 2005) | 2 lines
Changed paths:
   M /trunk/src/libvlc.c
   A /trunk/src/osd/osd_widgets.c (from /trunk/src/osd/osd_widgets.c:12391)

Typo

------------------------------------------------------------------------
r12396 | hartman | 2005-08-25 18:46:52 +0200 (Thu, 25 Aug 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/ogg.patch

* patch ogg because it's broken (userdefined defines in public headers are WAY evil)

------------------------------------------------------------------------
r12395 | massiot | 2005-08-25 18:42:36 +0200 (Thu, 25 Aug 2005) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

 * extras/contrib/src/Makefile: Do not try and compile theora SDL test
   programs.

------------------------------------------------------------------------
r12394 | massiot | 2005-08-25 18:36:39 +0200 (Thu, 25 Aug 2005) | 3 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/dialogs.cpp
   M /trunk/modules/gui/wxwidgets/open.cpp
   M /trunk/modules/gui/wxwidgets/updatevlc.cpp
   M /trunk/modules/gui/wxwidgets/wizard.cpp

 * modules/gui/wxwidgets: Fix charset when getting file names from the
   filesystem.

------------------------------------------------------------------------
r12393 | jpsaman | 2005-08-25 18:33:08 +0200 (Thu, 25 Aug 2005) | 1 line
Changed paths:
   M /trunk/include/vlc_osd.h
   M /trunk/include/vlc_symbols.h

Fix build breakage of revision12392
------------------------------------------------------------------------
r12392 | jpsaman | 2005-08-25 17:02:30 +0200 (Thu, 25 Aug 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   D /trunk/src/osd/osd_widgets.c

Removing osd_widgets.c.

------------------------------------------------------------------------
r12391 | jpsaman | 2005-08-25 16:58:27 +0200 (Thu, 25 Aug 2005) | 1 line
Changed paths:
   M /trunk/src/osd/osd_parser.c

Removal of dead code
------------------------------------------------------------------------
r12390 | hartman | 2005-08-25 16:09:50 +0200 (Thu, 25 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/codec/vorbis.c

* vorbis comments can be mixed case. strstr -> strcasestr

------------------------------------------------------------------------
r12389 | jpsaman | 2005-08-25 11:48:33 +0200 (Thu, 25 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwidgets/interface.cpp

Reverting to revision 12383 to 12340. This make wxwidgets 2.6.1 work but breaks older versions. 
------------------------------------------------------------------------
r12388 | jpsaman | 2005-08-25 10:47:56 +0200 (Thu, 25 Aug 2005) | 2 lines
Changed paths:
   M /trunk/share/Makefile.am
   D /trunk/share/familiar-forwardb16x16.xpm
   D /trunk/share/familiar-openb16x16.xpm
   D /trunk/share/familiar-pauseb16x16.xpm
   D /trunk/share/familiar-playb16x16.xpm
   D /trunk/share/familiar-playlistb16x16.xpm
   D /trunk/share/familiar-preferencesb16x16.xpm
   D /trunk/share/familiar-rewindb16x16.xpm
   D /trunk/share/familiar-stopb16x16.xpm

Removing old familiar images, these are exactly the same images as the one prefixed with pda-.

------------------------------------------------------------------------
r12387 | titer | 2005-08-25 00:27:28 +0200 (Thu, 25 Aug 2005) | 2 lines
Changed paths:
   M /trunk/include/vlc_keys.h

 vlc_keys.h: fixed ACTIONID_JUMP_BACKWARD_1MIN

------------------------------------------------------------------------
r12386 | hartman | 2005-08-24 22:56:14 +0200 (Wed, 24 Aug 2005) | 4 lines
Changed paths:
   M /trunk/extras/contrib/bootstrap
   M /trunk/extras/contrib/src/Makefile
   D /trunk/extras/contrib/src/Patches/speex.patch
   M /trunk/extras/contrib/src/packages.mak

* Updated speex to 1.1.10
* Updated theora to alpha5
* Added libshout

------------------------------------------------------------------------
r12385 | fkuehne | 2005-08-24 22:01:33 +0200 (Wed, 24 Aug 2005) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile
   A /trunk/extras/contrib/src/Patches/x264_svn.patch

* build libx264 from svn, if available. Since we need to patch it slightly different, I added a separate patch-file.
------------------------------------------------------------------------
r12384 | gbazin | 2005-08-24 21:49:47 +0200 (Wed, 24 Aug 2005) | 1 line
Changed paths:
   M /trunk/include/network.h

* include/network.h: fixed compilation with c++ files.
------------------------------------------------------------------------
r12383 | jpsaman | 2005-08-24 21:02:59 +0200 (Wed, 24 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/wxwidgets/interface.cpp

Properly update the right ToolTip on the volumebar.
------------------------------------------------------------------------
r12382 | massiot | 2005-08-24 20:01:18 +0200 (Wed, 24 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/codec/fake.c

 * modules/codec/fake.c: Fixed compilation.

------------------------------------------------------------------------
r12381 | jpsaman | 2005-08-24 19:52:41 +0200 (Wed, 24 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/video_filter/osdmenu.c

Shorten the short description of --osdmenu-update
------------------------------------------------------------------------
r12380 | massiot | 2005-08-24 19:33:57 +0200 (Wed, 24 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/codec/fake.c

 * modules/codec/fake.c: Fixed a segfault when outputting images locally.

------------------------------------------------------------------------
r12379 | sam | 2005-08-24 18:21:49 +0200 (Wed, 24 Aug 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac

  * configure.ac: fixed thinko in the AltiVec detection with gcc 3.x.

------------------------------------------------------------------------
r12378 | massiot | 2005-08-24 16:42:15 +0200 (Wed, 24 Aug 2005) | 3 lines
Changed paths:
   M /trunk/modules/access/udp.c

 * modules/access/udp.c: Disabled ts forcing on streamtype 33 because it
   is autodetected (refs http://forum.videolan.org/viewtopic.php?t=10257).

------------------------------------------------------------------------
r12377 | hartman | 2005-08-24 16:19:48 +0200 (Wed, 24 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/access_output/shout.c

* sync up the outgoing shoutcast stream.

------------------------------------------------------------------------
r12376 | hartman | 2005-08-24 15:30:27 +0200 (Wed, 24 Aug 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac

* Fix access_output_shout and add RTSP to the description of live.com module. (so ppl know what it's for)

------------------------------------------------------------------------
r12375 | massiot | 2005-08-24 12:16:03 +0200 (Wed, 24 Aug 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac

 * configure.ac: Fixed libavformat detection.

------------------------------------------------------------------------
r12374 | titer | 2005-08-24 02:52:56 +0200 (Wed, 24 Aug 2005) | 2 lines
Changed paths:
   M /trunk/extras/contrib/src/Patches/libiconv.patch

libiconv.patch: BeOS compile fix

------------------------------------------------------------------------
r12373 | sam | 2005-08-24 00:57:07 +0200 (Wed, 24 Aug 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac

  * configure.ac: reworked the AltiVec checks.

------------------------------------------------------------------------
r12372 | sam | 2005-08-23 22:50:56 +0200 (Tue, 23 Aug 2005) | 3 lines
Changed paths:
   M /trunk/THANKS
   M /trunk/configure.ac
   M /trunk/modules/access_output/Modules.am
   A /trunk/modules/access_output/shout.c

  * modules/access_output/shout.c: Shoutcast output support, courtesy of
    Daniel Fischer <dan at subsignal dot org>.

------------------------------------------------------------------------
r12371 | sam | 2005-08-23 20:23:20 +0200 (Tue, 23 Aug 2005) | 3 lines
Changed paths:
   M /trunk/modules/video_chroma/i420_yuy2.c

  * modules/video_chroma/i420_yuy2.c: only include <altivec.h> when building
    the AltiVec version of this module.

------------------------------------------------------------------------
r12370 | jpsaman | 2005-08-23 20:03:28 +0200 (Tue, 23 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/video_filter/osdmenu.c

Reworked revision 12361. Added a new option --osdmenu-update <n> in ms [range is 0:1000 ms] that regulates how often the OSD menu subpicture is updated. This is especially important when streaming using UDP in a noisy networking environment.
------------------------------------------------------------------------
r12369 | jpsaman | 2005-08-23 19:59:49 +0200 (Tue, 23 Aug 2005) | 1 line
Changed paths:
   M /trunk/src/osd/osd.c

Fix segmentation fault
------------------------------------------------------------------------
r12368 | jpsaman | 2005-08-23 19:58:55 +0200 (Tue, 23 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/video_filter/scale.c

sanity checking
------------------------------------------------------------------------
r12367 | sam | 2005-08-23 19:57:08 +0200 (Tue, 23 Aug 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac

  * configure.ac: on OS X ppc, prefer -maltivec to -faltivec if possible.

------------------------------------------------------------------------
r12366 | xtophe | 2005-08-23 18:30:28 +0200 (Tue, 23 Aug 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac

configure.ac: Add a --without-contrib option

------------------------------------------------------------------------
r12365 | sam | 2005-08-23 17:29:18 +0200 (Tue, 23 Aug 2005) | 2 lines
Changed paths:
   M /trunk/debian/Makefile.am
   M /trunk/debian/changelog
   M /trunk/debian/control
   M /trunk/debian/gnome-vlc.dirs
   M /trunk/debian/gvlc.dirs
   M /trunk/debian/patches/00list
   D /trunk/debian/patches/20_interfaces.dpatch
   A /trunk/debian/patches/20_no-wx-updates.dpatch
   M /trunk/debian/rules
   M /trunk/debian/vlc.dirs
   M /trunk/debian/wxvlc.dirs

  * Synchronised Debian build files with 0.8.4-svn20050823-1 upload.

------------------------------------------------------------------------
r12364 | sam | 2005-08-23 17:25:00 +0200 (Tue, 23 Aug 2005) | 2 lines
Changed paths:
   M /trunk/src
   M /trunk/src/osd

  * Added missing svn:ignore properties.

------------------------------------------------------------------------
r12363 | fkuehne | 2005-08-23 17:03:22 +0200 (Tue, 23 Aug 2005) | 1 line
Changed paths:
   M /trunk/README.MacOSX.rtf

* updated questions 11 (the setting is at a different location now) and 12 (the setting is hidden by default)
------------------------------------------------------------------------
r12362 | massiot | 2005-08-23 16:24:35 +0200 (Tue, 23 Aug 2005) | 7 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_symbols.h
   M /trunk/modules/control/http/http.c
   M /trunk/src/libvlc.c
   M /trunk/toolbox

 * toolbox: Removed compilation information from version.c to reduce the
   compilation time.
 * configure.ac: Compilation information are now determined at
   configure-time. Fixed libSDL_image static linking.
 * src/libvlc.c: Removed VLC_CompileTime() since this is not possible
   without increasing the compilation time.

------------------------------------------------------------------------
r12361 | jpsaman | 2005-08-23 14:27:59 +0200 (Tue, 23 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/video_filter/osdmenu.c

Forward port of revision 12360.
------------------------------------------------------------------------
r12359 | massiot | 2005-08-23 12:07:06 +0200 (Tue, 23 Aug 2005) | 3 lines
Changed paths:
   M /trunk/extras/contrib/src/Makefile

 * extras/contrib/src/Makefile: Fixed installation of ffmpeg. Added libtiff
   in libSDL_image.

------------------------------------------------------------------------
r12358 | sam | 2005-08-23 11:44:45 +0200 (Tue, 23 Aug 2005) | 3 lines
Changed paths:
   M /trunk/configure.ac

  * configure.ac: on Linux PPC and gcc 4.x, we need to check for the -maltivec
    flag before trying to use <altivec.h>.

------------------------------------------------------------------------
r12355 | gbazin | 2005-08-22 23:31:51 +0200 (Mon, 22 Aug 2005) | 1 line
Changed paths:
   M /trunk/src/misc/net.c

* src/misc/net.c: fixed segfault.
------------------------------------------------------------------------
r12354 | gbazin | 2005-08-22 22:24:20 +0200 (Mon, 22 Aug 2005) | 1 line
Changed paths:
   M /trunk/src/input/es_out.c

* src/input/es_out.c: when removing an active track, re-run the track selection algo.
------------------------------------------------------------------------
r12350 | gbazin | 2005-08-22 21:30:52 +0200 (Mon, 22 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/codec/dvbsub.c

* modules/codec/dvbsub.c: fixed segfault.
------------------------------------------------------------------------
r12349 | courmisch | 2005-08-22 21:00:19 +0200 (Mon, 22 Aug 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Work-around automake being a bit too clever

------------------------------------------------------------------------
r12348 | fkuehne | 2005-08-22 20:51:23 +0200 (Mon, 22 Aug 2005) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/Makefile

* use latest ffmpeg-cvs again (gibalou fixed our module some weeks ago)
------------------------------------------------------------------------
r12347 | sam | 2005-08-22 20:37:43 +0200 (Mon, 22 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/control/hotkeys.c

  * modules/control/hotkeys.c: replaced pow(2,x) constructs with (1<<x). (P.S.: mouahahaha)

------------------------------------------------------------------------
r12346 | massiot | 2005-08-22 20:22:55 +0200 (Mon, 22 Aug 2005) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/src/extras/libc.c

 * src/extras/libc.c: Compilation fix for non-Win32 platforms.

------------------------------------------------------------------------
r12345 | gbazin | 2005-08-22 20:12:50 +0200 (Mon, 22 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/codec/dvbsub.c

* modules/codec/dvbsub.c: fixed recent breakage of subtitles positionning.
------------------------------------------------------------------------
r12344 | massiot | 2005-08-22 19:58:20 +0200 (Mon, 22 Aug 2005) | 8 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_symbols.h
   M /trunk/modules/control/http/http.c
   M /trunk/modules/control/http/http.h
   M /trunk/modules/control/http/macro.c
   M /trunk/modules/control/http/mvar.c
   M /trunk/modules/control/http/rpn.c
   M /trunk/modules/control/http/util.c
   M /trunk/po/POTFILES.in
   M /trunk/po/ca.po
   M /trunk/po/da.po
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/es.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/pt_BR.po
   M /trunk/po/ro.po
   M /trunk/po/ru.po
   M /trunk/po/tr.po
   M /trunk/po/vlc.pot
   M /trunk/po/zh_TW.po
   M /trunk/src
   M /trunk/src/extras/libc.c

 * src/extras/libc.c: Implemented a vlc_readdir_wrapper under Win32. This
   allows to call vlc_readdir_wrapper("\\") and get a list of Windows drives.
   This is a bit kludgy but so convenient to change drives under Windows.
 * modules/control/http: Adapted to use vlc_readdir_wrapper in foreach
   directory. Thou shalt escape all exported functions with E_() to avoid
   potential namespace collisions !
 * po: Re-run make update-po since POTFILES.in has changed.

------------------------------------------------------------------------
r12343 | sam | 2005-08-22 19:44:19 +0200 (Mon, 22 Aug 2005) | 3 lines
Changed paths:
   M /trunk/modules/control/http/Modules.am

  * modules/control/http/Modules.am: added missing headers to the SOURCES
    variable.

------------------------------------------------------------------------
r12342 | sam | 2005-08-22 19:42:53 +0200 (Mon, 22 Aug 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am

  * Fixed the build dependencies.

------------------------------------------------------------------------
r12341 | massiot | 2005-08-22 16:22:41 +0200 (Mon, 22 Aug 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am

 * Modules.am: (Hopefully) fixed make update-po.

------------------------------------------------------------------------
r12340 | hartman | 2005-08-22 16:22:05 +0200 (Mon, 22 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/interface.cpp

* revert previous patch

------------------------------------------------------------------------
r12339 | hartman | 2005-08-22 15:48:33 +0200 (Mon, 22 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/interface.cpp

* Show the true volume range (0-400%) instead of 0-200%. The wxwidgets volume control goes only halfway i believe. This shouldn't change any behaviour, it should just change the value that is represented to the USER. refs #250

------------------------------------------------------------------------
r12338 | hartman | 2005-08-22 15:44:11 +0200 (Mon, 22 Aug 2005) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/keyedobjects.nib
   M /trunk/modules/gui/macosx/misc.h
   M /trunk/modules/gui/macosx/misc.m

* finally use the iTunes volumeslider knob that we have had since 0.7.0 but which I never cared to enable. closes #209

------------------------------------------------------------------------
r12337 | courmisch | 2005-08-22 15:09:25 +0200 (Mon, 22 Aug 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Fix build in a subdirectory after make clean

------------------------------------------------------------------------
r12333 | jpsaman | 2005-08-22 10:29:37 +0200 (Mon, 22 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/control/rc.c

Forward port of rev 12332
------------------------------------------------------------------------
r12331 | jpsaman | 2005-08-22 10:10:37 +0200 (Mon, 22 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/video_filter/osdmenu.c

Forward port of revision 12329 and cosmetic cleanup
------------------------------------------------------------------------
r12330 | jpsaman | 2005-08-22 10:08:35 +0200 (Mon, 22 Aug 2005) | 1 line
Changed paths:
   M /trunk/src/osd/osd.c

Cosmetics
------------------------------------------------------------------------
r12327 | hartman | 2005-08-22 02:59:12 +0200 (Mon, 22 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/prefs.m

* remove debug line

------------------------------------------------------------------------
r12326 | hartman | 2005-08-22 02:47:34 +0200 (Mon, 22 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

* Use insert instead of append. Does not yet work for inserting into nodes. refs #150

------------------------------------------------------------------------
r12325 | hartman | 2005-08-22 01:33:58 +0200 (Mon, 22 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.h
   M /trunk/modules/gui/macosx/playlist.m

* Nicer playlist reordering for OSX. cosmetic changes. refs #150

------------------------------------------------------------------------
r12322 | fkuehne | 2005-08-21 22:02:03 +0200 (Sun, 21 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/bookmarks.m
   M /trunk/modules/gui/macosx/wizard.m

* implement the extract-button of the bookmarks-window correctly (refs #22)
------------------------------------------------------------------------
r12321 | courmisch | 2005-08-21 20:52:10 +0200 (Sun, 21 Aug 2005) | 2 lines
Changed paths:
   M /trunk/vlc-api.pl

Typo in comment pointed out by dionoea

------------------------------------------------------------------------
r12320 | damienf | 2005-08-21 20:49:07 +0200 (Sun, 21 Aug 2005) | 2 lines
Changed paths:
   M /trunk/activex/plugin.cpp

all: make sure that the plugin use that registry for plugin path

------------------------------------------------------------------------
r12319 | courmisch | 2005-08-21 20:48:05 +0200 (Sun, 21 Aug 2005) | 3 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/include/modules.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/misc/modules.c
   M /trunk/vlc-api.pl

Get rid of the symbols structure and use the OS linker
with --enable-shared-libvlc

------------------------------------------------------------------------
r12318 | damienf | 2005-08-21 19:46:48 +0200 (Sun, 21 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

- support for specific WIN32 file URL such as file:/C:/ and file:///C:/

------------------------------------------------------------------------
r12317 | fkuehne | 2005-08-21 19:45:32 +0200 (Sun, 21 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m

* forgot these 2 files
------------------------------------------------------------------------
r12316 | fkuehne | 2005-08-21 19:45:05 +0200 (Sun, 21 Aug 2005) | 1 line
Changed paths:
   M /trunk/Makefile.am
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/keyedobjects.nib
   A /trunk/extras/MacOSX/Resources/English.lproj/Update.nib
   A /trunk/extras/MacOSX/Resources/English.lproj/Update.nib/classes.nib
   A /trunk/extras/MacOSX/Resources/English.lproj/Update.nib/info.nib
   A /trunk/extras/MacOSX/Resources/English.lproj/Update.nib/keyedobjects.nib
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/modules/gui/macosx/Modules.am
   A /trunk/modules/gui/macosx/update.h
   A /trunk/modules/gui/macosx/update.m

* port of the wx-update-panel to OSX (GUI works, updating itself is not yet implemented, refs #310)
------------------------------------------------------------------------
r12315 | damienf | 2005-08-21 19:43:38 +0200 (Sun, 21 Aug 2005) | 2 lines
Changed paths:
   M /trunk/src/libvlc.c

- pre-create 'width' and 'height' in libvlc so that the ActiveX plugin can set them before a vout is created. this prevents the initial viewport resizing when playing the first target

------------------------------------------------------------------------
r12314 | damienf | 2005-08-21 19:40:32 +0200 (Sun, 21 Aug 2005) | 4 lines
Changed paths:
   M /trunk/activex/axvlc.idl
   M /trunk/activex/axvlc.tlb
   M /trunk/activex/axvlc_idl.c
   M /trunk/activex/axvlc_idl.h
   M /trunk/activex/dataobject.cpp
   M /trunk/activex/main.cpp
   M /trunk/activex/olecontrol.cpp
   M /trunk/activex/oleinplaceactiveobject.cpp
   M /trunk/activex/oleinplaceobject.cpp
   M /trunk/activex/oleobject.cpp
   M /trunk/activex/persistpropbag.cpp
   M /trunk/activex/persiststorage.cpp
   M /trunk/activex/persiststreaminit.cpp
   M /trunk/activex/persiststreaminit.h
   M /trunk/activex/plugin.cpp
   M /trunk/activex/plugin.h
   M /trunk/activex/test.html
   M /trunk/activex/utils.cpp
   M /trunk/activex/utils.h
   M /trunk/activex/viewobject.cpp
   M /trunk/activex/vlccontrol.cpp
   M /trunk/activex/vlccontrol.h

all: reworked ActiveX plugin, which now works properly  with .NET (tested with Visual Basic Express 2005)
     added persistent properties such as MRL, AutoPlay, AutoLoop which allows a user to play a default target
     without programming.

------------------------------------------------------------------------
r12313 | fkuehne | 2005-08-21 19:17:43 +0200 (Sun, 21 Aug 2005) | 1 line
Changed paths:
   M /trunk/extras/contrib/src/packages.mak

* use autoconf 2.59 instead of 2.57, since bootstrap needs it now -- this breaks the compilation on BeOS, but there is no way to prevent that except making bootstrap autoconf 2.57 - compatible again
------------------------------------------------------------------------
r12311 | sam | 2005-08-21 18:38:17 +0200 (Sun, 21 Aug 2005) | 2 lines
Changed paths:
   M /trunk
   M /trunk/debian/changelog
   M /trunk/debian/control
   M /trunk/debian/patches/00list
   M /trunk/debian/rules

  * updated Debian build files

------------------------------------------------------------------------
r12310 | hartman | 2005-08-21 16:33:06 +0200 (Sun, 21 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/video_output/opengl.c

* Fix mouse down event forwarding from opengl (closes #325)

------------------------------------------------------------------------
r12309 | courmisch | 2005-08-21 14:57:10 +0200 (Sun, 21 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/misc/network/ipv6.c

Compile fix

------------------------------------------------------------------------
r12308 | courmisch | 2005-08-21 13:27:15 +0200 (Sun, 21 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/misc/network/ipv6.c
   M /trunk/src/misc/net.c

Define IPV6_PROTECTION_LEVEL manually - closes #96

------------------------------------------------------------------------
r12307 | dionoea | 2005-08-20 21:14:58 +0200 (Sat, 20 Aug 2005) | 2 lines
Changed paths:
   M /trunk/include/vlc_es.h

remove 2 evil tabs

------------------------------------------------------------------------
r12306 | gbazin | 2005-08-20 20:10:24 +0200 (Sat, 20 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/playlist/dvb.c

* modules/demux/playlist/dvb.c: win32 build fix.
------------------------------------------------------------------------
r12305 | gbazin | 2005-08-20 19:18:41 +0200 (Sat, 20 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/demux/playlist/Modules.am
   A /trunk/modules/demux/playlist/dvb.c
   M /trunk/modules/demux/playlist/playlist.c
   M /trunk/modules/demux/playlist/playlist.h

* modules/demux/playlist/dvb.c: playlist import for szap/tzap/czap compatible DVB channel lists.

------------------------------------------------------------------------
r12304 | courmisch | 2005-08-20 17:08:45 +0200 (Sat, 20 Aug 2005) | 2 lines
Changed paths:
   M /trunk/THANKS

Due credits

------------------------------------------------------------------------
r12303 | courmisch | 2005-08-20 17:06:17 +0200 (Sat, 20 Aug 2005) | 3 lines
Changed paths:
   M /trunk/modules/control/http/util.c

Fix url converter on win32
(patch contributed by Marco Munderloh)

------------------------------------------------------------------------
r12302 | dionoea | 2005-08-20 15:57:15 +0200 (Sat, 20 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/commands/cmd_minimize.cpp
   M /trunk/modules/gui/skins2/commands/cmd_minimize.hpp
   M /trunk/modules/gui/skins2/commands/cmd_playtree.cpp
   M /trunk/modules/gui/skins2/commands/cmd_playtree.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_tree.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_tree.hpp

propset

------------------------------------------------------------------------
r12301 | courmisch | 2005-08-20 15:42:33 +0200 (Sat, 20 Aug 2005) | 2 lines
Changed paths:
   M /trunk/lxdialog

Prop change

------------------------------------------------------------------------
r12300 | dionoea | 2005-08-20 15:28:35 +0200 (Sat, 20 Aug 2005) | 2 lines
Changed paths:
   M /trunk/include/vlc_keys.h

change file name in comment

------------------------------------------------------------------------
r12299 | dionoea | 2005-08-20 15:22:16 +0200 (Sat, 20 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_tree.cpp

add KEY_ENTER and KEY_SPACE to launch action()

------------------------------------------------------------------------
r12298 | courmisch | 2005-08-20 15:15:26 +0200 (Sat, 20 Aug 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am

(Un)Install shared libvlc if enabled

------------------------------------------------------------------------
r12297 | dionoea | 2005-08-20 15:04:53 +0200 (Sat, 20 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_tree.cpp

 * keyboard (arrows) navigation

------------------------------------------------------------------------
r12296 | courmisch | 2005-08-20 14:52:45 +0200 (Sat, 20 Aug 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Link fix

------------------------------------------------------------------------
r12295 | dionoea | 2005-08-20 14:50:16 +0200 (Sat, 20 Aug 2005) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_tree.cpp

code CtrlTree::autoScoll . Its still mostly buggy and give you a headache if
you watch the playlist when it is called but i can't find what's wrong.

------------------------------------------------------------------------
r12294 | courmisch | 2005-08-20 14:30:12 +0200 (Sat, 20 Aug 2005) | 7 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/bootstrap
   M /trunk/configure.ac
   M /trunk/mozilla/Makefile.am

- experimental disabled-by-default shared libvlc build.
  I said "experimental". I meant it.
  Developers might try --enable-shared-libvlc
- remove autom4te*.cache on bootstrap
  (some customized autoconf add their version number)
- some clean up

------------------------------------------------------------------------
r12293 | damienf | 2005-08-20 14:04:13 +0200 (Sat, 20 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/theme_loader.cpp

missing const to non-const cast

------------------------------------------------------------------------
r12292 | courmisch | 2005-08-20 13:29:33 +0200 (Sat, 20 Aug 2005) | 2 lines
Changed paths:
   M /trunk/m4

minor svn:ignore fix

------------------------------------------------------------------------
r12291 | zorglub | 2005-08-20 13:26:48 +0200 (Sat, 20 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/theme_loader.cpp

Sanity check

------------------------------------------------------------------------
r12290 | dionoea | 2005-08-20 13:10:30 +0200 (Sat, 20 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_tree.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_tree.hpp
   M /trunk/modules/gui/skins2/vars/playtree.cpp

some more mouse control on playtree display/selection

------------------------------------------------------------------------
r12289 | dionoea | 2005-08-20 12:17:20 +0200 (Sat, 20 Aug 2005) | 3 lines
Changed paths:
   M /trunk/include/vlc_playlist.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/playlist/playlist.c

add new playlist_PreparseEnqueueItem function which preparses a playlist_item
and all its children.

------------------------------------------------------------------------
r12288 | zorglub | 2005-08-20 11:48:31 +0200 (Sat, 20 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/visualization/xosd.c

Fix Xosd interface (Debian #324039)

------------------------------------------------------------------------
r12287 | courmisch | 2005-08-20 11:37:02 +0200 (Sat, 20 Aug 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Cosmetic fix

------------------------------------------------------------------------
r12286 | zorglub | 2005-08-20 11:29:38 +0200 (Sat, 20 Aug 2005) | 4 lines
Changed paths:
   M /trunk/modules/gui/skins2/src/theme_loader.cpp

Wrap all gz functions to avoid void* -> int casts.

Fix 64 bits build (Debian #324031)

------------------------------------------------------------------------
r12285 | dionoea | 2005-08-20 11:26:46 +0200 (Sat, 20 Aug 2005) | 4 lines
Changed paths:
   M /trunk/modules/gui/skins2/controls/ctrl_list.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_tree.cpp
   M /trunk/modules/gui/skins2/parser/skin_parser.cpp

 * ctrl_*.cpp : mouse scrolling behavior change
 * skin_parser.cpp : add comment so people know where to look to fix the
                     Playlist slider breakage.

------------------------------------------------------------------------
r12284 | courmisch | 2005-08-20 10:41:50 +0200 (Sat, 20 Aug 2005) | 5 lines
Changed paths:
   M /trunk/bootstrap

Use most recent automake version

Slower maybe, but safer
and arguably more suited for automatically issued tarballs

------------------------------------------------------------------------
r12283 | courmisch | 2005-08-20 10:37:45 +0200 (Sat, 20 Aug 2005) | 3 lines
Changed paths:
   M /trunk/bootstrap

Undo erroneous previous commit
(wanted to cancel, but I pressed the wrong key)

------------------------------------------------------------------------
r12282 | courmisch | 2005-08-20 10:36:37 +0200 (Sat, 20 Aug 2005) | 6 lines
Changed paths:
   M /trunk/bootstrap

Don't fallback to automake 1.6

bootstrap might be a little slower,
but that'll ensure more recent build-system in tarballs.
Besides, 

------------------------------------------------------------------------
r12281 | dionoea | 2005-08-20 02:31:27 +0200 (Sat, 20 Aug 2005) | 3 lines
Changed paths:
   M /trunk/modules/gui/skins2/Modules.am
   M /trunk/modules/gui/skins2/commands/cmd_dialogs.hpp
   A /trunk/modules/gui/skins2/commands/cmd_playtree.cpp
   A /trunk/modules/gui/skins2/commands/cmd_playtree.hpp
   M /trunk/modules/gui/skins2/commands/cmd_vars.cpp
   M /trunk/modules/gui/skins2/commands/cmd_vars.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_list.cpp
   A /trunk/modules/gui/skins2/controls/ctrl_tree.cpp
   A /trunk/modules/gui/skins2/controls/ctrl_tree.hpp
   M /trunk/modules/gui/skins2/parser/builder.cpp
   M /trunk/modules/gui/skins2/parser/builder.hpp
   M /trunk/modules/gui/skins2/parser/builder_data.def
   M /trunk/modules/gui/skins2/parser/builder_data.hpp
   M /trunk/modules/gui/skins2/parser/gen_builder.py
   M /trunk/modules/gui/skins2/parser/interpreter.cpp
   M /trunk/modules/gui/skins2/parser/interpreter.hpp
   M /trunk/modules/gui/skins2/parser/skin_parser.cpp
   M /trunk/modules/gui/skins2/src/dialogs.cpp
   M /trunk/modules/gui/skins2/src/vlcproc.cpp
   M /trunk/modules/gui/skins2/src/vlcproc.hpp
   A /trunk/modules/gui/skins2/utils/var_tree.cpp
   A /trunk/modules/gui/skins2/utils/var_tree.hpp
   A /trunk/modules/gui/skins2/vars/playtree.cpp
   A /trunk/modules/gui/skins2/vars/playtree.hpp

 * Playtree start. Basic functionalities work. Still needs a lot of
   work, cleaning and fixing. I'll continue this weekend.

------------------------------------------------------------------------
r12280 | dionoea | 2005-08-20 02:20:53 +0200 (Sat, 20 Aug 2005) | 4 lines
Changed paths:
   A /trunk/share/skins2/playtree.vlt
   M /trunk/share/skins2/skin.dtd

 * skin.dtd : add Playtree stuff
 * playtree.vlt : default.vlt modified to use a Playtree instead of a
                  Playlist

------------------------------------------------------------------------
r12279 | courmisch | 2005-08-19 19:52:53 +0200 (Fri, 19 Aug 2005) | 2 lines
Changed paths:
   M /trunk/m4/vlc.m4

Fix (hopefully -again-) new build system on Win32

------------------------------------------------------------------------
r12278 | massiot | 2005-08-19 19:08:32 +0200 (Fri, 19 Aug 2005) | 4 lines
Changed paths:
   M /trunk/modules/demux/playlist/m3u.c

 * modules/demux/playlist/m3u.c: If name is empty, assume that the author
   is in reality the name of the file (compatibility with existing
   m3u files).

------------------------------------------------------------------------
r12277 | massiot | 2005-08-19 19:07:27 +0200 (Fri, 19 Aug 2005) | 6 lines
Changed paths:
   M /trunk/modules/control/http/http.h
   M /trunk/modules/control/http/macro.c
   M /trunk/modules/control/http/mvar.c
   M /trunk/modules/control/http/rpn.c
   M /trunk/modules/control/http/util.c

 * modules/control/http/rpn.c: vlc_var_* now take an extra argument to
   indicate which object we are playing with (for instance 'VLC_OBJECT_INPUT'
   or 'VLC_OBJECT_PLAYLIST'). Espace \ in addslashes.
 * modules/control/http: Factorized and simplified the RealPath() stuff.
   Fixed a few hardcoded '/' as a path separator.

------------------------------------------------------------------------
r12274 | hartman | 2005-08-19 18:16:34 +0200 (Fri, 19 Aug 2005) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/Preferences.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Preferences.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Preferences.nib/keyedobjects.nib
   M /trunk/modules/gui/macosx/prefs.h
   M /trunk/modules/gui/macosx/prefs.m
   M /trunk/modules/gui/macosx/prefs_widgets.h
   M /trunk/modules/gui/macosx/prefs_widgets.m

* Section titles for the OSX Preferences.

------------------------------------------------------------------------
r12273 | courmisch | 2005-08-19 18:09:41 +0200 (Fri, 19 Aug 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac

Fix clean tree build

------------------------------------------------------------------------
r12272 | courmisch | 2005-08-19 18:06:54 +0200 (Fri, 19 Aug 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/src
   D /trunk/src/Makefile.am

Clean up

------------------------------------------------------------------------
r12271 | courmisch | 2005-08-19 17:45:52 +0200 (Fri, 19 Aug 2005) | 2 lines
Changed paths:
   M /trunk/toolbox

Attempt to fix problem with dnsdomain name on some OSes

------------------------------------------------------------------------
r12270 | courmisch | 2005-08-19 17:42:49 +0200 (Fri, 19 Aug 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac

Another typo. Links now.

------------------------------------------------------------------------
r12269 | courmisch | 2005-08-19 17:32:17 +0200 (Fri, 19 Aug 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac

Rah typo again

------------------------------------------------------------------------
r12268 | courmisch | 2005-08-19 17:31:20 +0200 (Fri, 19 Aug 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac

Forgot this file

------------------------------------------------------------------------
r12267 | courmisch | 2005-08-19 17:28:03 +0200 (Fri, 19 Aug 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Remove unnecessary dependencies

------------------------------------------------------------------------
r12266 | courmisch | 2005-08-19 17:21:25 +0200 (Fri, 19 Aug 2005) | 2 lines
Changed paths:
   M /trunk/src/misc/net.c

Don't print EAFNOSUPPORT error - refs #320

------------------------------------------------------------------------
r12265 | courmisch | 2005-08-19 17:18:24 +0200 (Fri, 19 Aug 2005) | 2 lines
Changed paths:
   M /trunk/bootstrap

Fix typos in static libraries installation

------------------------------------------------------------------------
r12264 | courmisch | 2005-08-19 16:27:52 +0200 (Fri, 19 Aug 2005) | 2 lines
Changed paths:
   M /trunk/bootstrap

Some old automake versions seem not to know about mkdir_p

------------------------------------------------------------------------
r12263 | jpsaman | 2005-08-19 16:00:06 +0200 (Fri, 19 Aug 2005) | 1 line
Changed paths:
   M /trunk/NEWS

Added new OSD support
------------------------------------------------------------------------
r12259 | jpsaman | 2005-08-19 11:02:20 +0200 (Fri, 19 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/codec/dvbsub.c

Fix region width/height encoding bug. Dvbsub never tested for a change in region widht/height that made a region smaller then the previous one that was encoded. The encoded region size would always been the largest size encountered, this is now fixed. Removed some superflous whitespace/
------------------------------------------------------------------------
r12258 | jpsaman | 2005-08-19 09:23:40 +0200 (Fri, 19 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/control/rc.c

Cleanup of status reporting.
------------------------------------------------------------------------
r12257 | zorglub | 2005-08-19 01:25:16 +0200 (Fri, 19 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/control/http/macro.c
   M /trunk/modules/control/http/rpn.c

If passed ?control=play without any item, just ask playlist to play

------------------------------------------------------------------------
r12256 | zorglub | 2005-08-19 01:05:36 +0200 (Fri, 19 Aug 2005) | 4 lines
Changed paths:
   M /trunk/doc/Doxyfile
   M /trunk/modules/control/http/http.h
   M /trunk/modules/control/http/macro.c
   M /trunk/modules/control/http/util.c

Fix consistency of some function names
Improve documentation
Enable build of modules documentation

------------------------------------------------------------------------
r12255 | hartman | 2005-08-18 23:38:32 +0200 (Thu, 18 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/extended.m

* Change only the frontmost window opaqueness

------------------------------------------------------------------------
r12254 | hartman | 2005-08-18 23:26:23 +0200 (Thu, 18 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/extended.m

* Fix on the fly Opaqueness changing

------------------------------------------------------------------------
r12253 | zorglub | 2005-08-18 21:38:01 +0200 (Thu, 18 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/control/http/util.c

Die !

------------------------------------------------------------------------
r12252 | zorglub | 2005-08-18 21:32:02 +0200 (Thu, 18 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/control/http/Modules.am

wtf ?

------------------------------------------------------------------------
r12251 | zorglub | 2005-08-18 21:20:25 +0200 (Thu, 18 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/control/http

propset

------------------------------------------------------------------------
r12250 | zorglub | 2005-08-18 21:18:56 +0200 (Thu, 18 Aug 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/control/Modules.am
   A /trunk/modules/control/http
   A /trunk/modules/control/http/Modules.am
   A /trunk/modules/control/http/http.c (from /trunk/modules/control/http.c:12247)
   A /trunk/modules/control/http/http.h
   A /trunk/modules/control/http/macro.c
   A /trunk/modules/control/http/macros.h
   A /trunk/modules/control/http/mvar.c
   A /trunk/modules/control/http/rpn.c
   A /trunk/modules/control/http/util.c
   D /trunk/modules/control/http.c

Split the HTTP interface and begin to document it

------------------------------------------------------------------------
r12249 | jpsaman | 2005-08-18 20:00:31 +0200 (Thu, 18 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/control/rc.c

Fix an issue with the state option (behaves differently then in 0.8.1) and removed useless white space.
------------------------------------------------------------------------
r12248 | fkuehne | 2005-08-18 19:50:41 +0200 (Thu, 18 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/macosx/extended.m

* get the correct vout, when using the opengl-output-module - on-the-fly changing still not possible
------------------------------------------------------------------------
r12247 | courmisch | 2005-08-18 19:00:20 +0200 (Thu, 18 Aug 2005) | 3 lines
Changed paths:
   M /trunk/bootstrap
   M /trunk/configure.ac
   M /trunk/m4/vlc.m4
   M /trunk/modules/gui/wince/Modules.am

Redo 12234; this time with (hopefully) Mac OS X support
It was probably too easy that building to Windows and Linux worked the same

------------------------------------------------------------------------
r12246 | dionoea | 2005-08-18 18:52:45 +0200 (Thu, 18 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/playlist.cpp

remove tabs/trailing spaces

------------------------------------------------------------------------
r12245 | zorglub | 2005-08-18 18:50:38 +0200 (Thu, 18 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/access/directory.c

Remove debug

------------------------------------------------------------------------
r12244 | courmisch | 2005-08-18 18:49:19 +0200 (Thu, 18 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/wince/Modules.am

Revert the other half

------------------------------------------------------------------------
r12243 | jpsaman | 2005-08-18 18:41:10 +0200 (Thu, 18 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/control/rc.c
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/src/audio_output/intf.c
   M /trunk/src/libvlc.h
   M /trunk/src/osd/osd.c

Added --volume-step to override AOUT_VOLUME_DEFAULT. This will give an OSD menu (or skins2) designer to freedom to decide how many steps he wants for turning up the volume from 0 to 1024. It is an advanced option so most users will never see it. Can someone check the MacOSX changes for this? I made them but cannot compiler and test it (I don't have a Mac).
------------------------------------------------------------------------
r12242 | fkuehne | 2005-08-18 18:39:23 +0200 (Thu, 18 Aug 2005) | 1 line
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/Bookmarks.nib/keyedobjects.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Extended.nib/keyedobjects.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/keyedobjects.nib

* set the 'auto save name' for the equalizer, extended and bookmarks panels to automatically save their positions (closes #316)
------------------------------------------------------------------------
r12241 | courmisch | 2005-08-18 18:27:00 +0200 (Thu, 18 Aug 2005) | 2 lines
Changed paths:
   M /trunk/bootstrap

Grrr damn Mac OS X linker

------------------------------------------------------------------------
r12240 | massiot | 2005-08-18 18:23:30 +0200 (Thu, 18 Aug 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac

 * configure.ac: Print a warning when DVB headers aren't found.

------------------------------------------------------------------------
r12239 | zorglub | 2005-08-18 18:20:43 +0200 (Thu, 18 Aug 2005) | 2 lines
Changed paths:
   M /trunk/NEWS

improve 

------------------------------------------------------------------------
r12238 | fkuehne | 2005-08-18 18:12:29 +0200 (Thu, 18 Aug 2005) | 4 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/Extended.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Extended.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/Extended.nib/keyedobjects.nib
   M /trunk/modules/gui/macosx/extended.h
   M /trunk/modules/gui/macosx/extended.m

* added the opaqueness-slider to the extended panel (refs #318)
    - on-the-fly changing is not yet possible, since I don't know the correct pointer (the current one gives "dereferencing pointer to incomplete type"); see FIXME.
* VLCExtended is the delegate for o_extended_window now, to save the prefs automatically, once VLC is going to be terminated
* "awakeFromNib" was partially moved to "showPanel" to retrieve the slider values before showing the window, in case they were saved in the prefs-window
------------------------------------------------------------------------
r12237 | massiot | 2005-08-18 18:08:55 +0200 (Thu, 18 Aug 2005) | 2 lines
Changed paths:
   M /trunk/NEWS

 * NEWS: Updated with my work since 0.8.2.

------------------------------------------------------------------------
r12236 | massiot | 2005-08-18 17:58:05 +0200 (Thu, 18 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/demux/demuxdump.c

 * modules/demux/demuxdump.c: Better error detection (disk full for instance).

------------------------------------------------------------------------
r12235 | courmisch | 2005-08-18 17:50:58 +0200 (Thu, 18 Aug 2005) | 1 line
Changed paths:
   M /trunk/toolbox


------------------------------------------------------------------------
r12234 | courmisch | 2005-08-18 17:38:09 +0200 (Thu, 18 Aug 2005) | 4 lines
Changed paths:
   M /trunk/bootstrap
   M /trunk/modules/gui/wince/Modules.am

- Use a common rule to build plugins (refs #297)
  (tested on Mingw32 and native Linux, might need some tweaks)
- Remove some legacy code

------------------------------------------------------------------------
r12233 | courmisch | 2005-08-18 17:36:12 +0200 (Thu, 18 Aug 2005) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/bootstrap

- (Un)install plugins from their directory (refs #297)
- Fix mostlyclean target

------------------------------------------------------------------------
r12232 | courmisch | 2005-08-18 17:27:57 +0200 (Thu, 18 Aug 2005) | 6 lines
Changed paths:
   M /trunk/modules/misc/network/ipv6.c

Don't print EAFNOSUPPORT error when the given name/address does not
even resolve to IPv6 - though cosmetic that seemed to confuse a guy on
the mailing list - refs #320.

A cleaner more clever solution would be better.

------------------------------------------------------------------------
r12231 | courmisch | 2005-08-18 17:25:33 +0200 (Thu, 18 Aug 2005) | 2 lines
Changed paths:
   M /trunk/activex/axvlc.inf.in
   M /trunk/configure.ac

Replace the specific VERSION32 kludge with a clean more reusable solution

------------------------------------------------------------------------
r12230 | courmisch | 2005-08-18 17:24:38 +0200 (Thu, 18 Aug 2005) | 2 lines
Changed paths:
   M /trunk/include/network.h
   M /trunk/include/vlc_symbols.h
   M /trunk/src/misc/net.c

Add const

------------------------------------------------------------------------
r12229 | jpsaman | 2005-08-18 17:14:02 +0200 (Thu, 18 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/demux/sgimb.c

Fix compiler warning. Removed unused variable
------------------------------------------------------------------------
r12228 | jpsaman | 2005-08-18 15:53:45 +0200 (Thu, 18 Aug 2005) | 1 line
Changed paths:
   M /trunk/src/misc/net.c

Eliminate false errors of which errno said it was a success.
------------------------------------------------------------------------
r12227 | jpsaman | 2005-08-18 14:55:46 +0200 (Thu, 18 Aug 2005) | 1 line
Changed paths:
   M /trunk/toolbox

Added a message about the purpose of this file and a DO NOT EDIT NOTICE - THIS FILE IS AUTOMATICALLY GENERATED -
------------------------------------------------------------------------
r12226 | massiot | 2005-08-18 14:41:16 +0200 (Thu, 18 Aug 2005) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in

 * po/POTFILES.in: Removed two non-existing files.

------------------------------------------------------------------------
r12225 | massiot | 2005-08-18 12:01:30 +0200 (Thu, 18 Aug 2005) | 3 lines
Changed paths:
   M /trunk/modules/control/http.c

 * modules/control/http.c: Implemented RPN functions playlist_move and
   playlist_delete.

------------------------------------------------------------------------
r12224 | jpsaman | 2005-08-18 11:50:18 +0200 (Thu, 18 Aug 2005) | 1 line
Changed paths:
   M /trunk/vlc.win32.nsi

Include OSD menu files in installer
------------------------------------------------------------------------
r12223 | hartman | 2005-08-18 00:44:08 +0200 (Thu, 18 Aug 2005) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in

* not yet added plugins can break POTFILES.in as well mr. courmish :D

------------------------------------------------------------------------
r12222 | dionoea | 2005-08-17 22:53:38 +0200 (Wed, 17 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/logo.c

remove tabs and trailing spaces

------------------------------------------------------------------------
r12221 | dionoea | 2005-08-17 22:43:15 +0200 (Wed, 17 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/rss.c

if ttl==0, don't update the feeds

------------------------------------------------------------------------
r12220 | dionoea | 2005-08-17 22:24:15 +0200 (Wed, 17 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/video_filter/rss.c

remove debug stuff

------------------------------------------------------------------------
r12219 | dionoea | 2005-08-17 22:17:11 +0200 (Wed, 17 Aug 2005) | 4 lines
Changed paths:
   M /trunk/modules/video_filter/rss.c

 * add --rss-ttl parmeter so the feeds can be updated
 * URL list seperator now is | (pipe)
 * fixes

------------------------------------------------------------------------
r12218 | dionoea | 2005-08-17 18:14:32 +0200 (Wed, 17 Aug 2005) | 2 lines
Changed paths:
   M /trunk/vlc.win32.nsi

wxwin -> wx

------------------------------------------------------------------------
r12217 | massiot | 2005-08-17 18:00:30 +0200 (Wed, 17 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

 * modules/access/file.c: Expansion of '~/' in filenames.

------------------------------------------------------------------------
r12216 | massiot | 2005-08-17 17:12:51 +0200 (Wed, 17 Aug 2005) | 5 lines
Changed paths:
   M /trunk/modules/control/http.c
   M /trunk/src/libvlc.c
   M /trunk/src/misc/configuration.c

 * src/libvlc.c: Expand ~/ in --config-file.
 * modules/control/http.c: New RPN functions :
   - 'module' vlc_config_save ('module' can be an empty string) returns status
   - vlc_config_reset

------------------------------------------------------------------------
r12215 | massiot | 2005-08-17 16:39:07 +0200 (Wed, 17 Aug 2005) | 8 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/include/vlc/vlc.h
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_symbols.h
   M /trunk/modules/control/http.c
   M /trunk/src/libvlc.c
   M /trunk/src/misc
   M /trunk/toolbox

 * Makefile.am: New file version.c, generated at each 'make' command.
 * toolbox: New --update-version switch, which builds the version.c file
   from current date, user/hostname/domainname, compiler version and
   svn changeset.
 * src/libvlc.c: Exported API to access data from version.c.
 * modules/control/http.c: New variables vlc_compile_time, vlc_compile_by,
   vlc_compile_host, vlc_compile_domain, vlc_compiler and vlc_changeset.

------------------------------------------------------------------------
r12214 | massiot | 2005-08-17 14:00:44 +0200 (Wed, 17 Aug 2005) | 8 lines
Changed paths:
   M /trunk/modules/control/http.c

 * modules/control/http.c: New RPN functions :
   - 'variable' vlc_var_type
   - 'variable' vlc_config_type
   - value 'variable' vlc_var_set (renamed from vlc_set_var for consistency)
   - 'variable' vlc_var_get
   - value 'variable' vlc_config_set
   - 'variable' vlc_config_get

------------------------------------------------------------------------
r12213 | massiot | 2005-08-17 13:58:44 +0200 (Wed, 17 Aug 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am

 * Makefile.am: MacOS X fix when srcdir != builddir.

------------------------------------------------------------------------
r12212 | hartman | 2005-08-16 16:21:38 +0200 (Tue, 16 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/demux/sgimb.c

* Fix an issue with sgi announce files and adding the new items to the playlist

------------------------------------------------------------------------
r12211 | courmisch | 2005-08-15 20:10:06 +0200 (Mon, 15 Aug 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Fix distclean

------------------------------------------------------------------------
r12210 | zorglub | 2005-08-15 18:54:13 +0200 (Mon, 15 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/access/http.c

Compile fix

------------------------------------------------------------------------
r12209 | zorglub | 2005-08-15 18:53:51 +0200 (Mon, 15 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/access/http.c

Test commit. This commit breaks the build, don't use it

------------------------------------------------------------------------
r12208 | asmax | 2005-08-15 17:58:39 +0200 (Mon, 15 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/skins2/x11/x11_timer.hpp

 * compilation fix

------------------------------------------------------------------------
r12207 | asmax | 2005-08-15 17:54:32 +0200 (Mon, 15 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/gui/skins2/commands/async_queue.cpp
   M /trunk/modules/gui/skins2/commands/async_queue.hpp
   M /trunk/modules/gui/skins2/commands/cmd_generic.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_button.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_checkbox.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_generic.hpp
   M /trunk/modules/gui/skins2/controls/ctrl_move.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_radialslider.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_resize.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_slider.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_text.cpp
   M /trunk/modules/gui/skins2/controls/ctrl_text.hpp
   M /trunk/modules/gui/skins2/src/os_factory.hpp
   M /trunk/modules/gui/skins2/src/skin_common.hpp
   M /trunk/modules/gui/skins2/src/tooltip.cpp
   M /trunk/modules/gui/skins2/src/tooltip.hpp
   M /trunk/modules/gui/skins2/src/vlcproc.cpp
   M /trunk/modules/gui/skins2/src/vlcproc.hpp
   M /trunk/modules/gui/skins2/win32/win32_factory.cpp
   M /trunk/modules/gui/skins2/win32/win32_factory.hpp
   M /trunk/modules/gui/skins2/win32/win32_timer.cpp
   M /trunk/modules/gui/skins2/win32/win32_timer.hpp
   M /trunk/modules/gui/skins2/x11/x11_factory.cpp
   M /trunk/modules/gui/skins2/x11/x11_factory.hpp
   M /trunk/modules/gui/skins2/x11/x11_timer.cpp
   M /trunk/modules/gui/skins2/x11/x11_timer.hpp

 * all: replaced remaining C callbacks by commands
------------------------------------------------------------------------
r12206 | courmisch | 2005-08-15 17:21:11 +0200 (Mon, 15 Aug 2005) | 2 lines
Changed paths:
   M /trunk/src/libvlc.c

Use Latin-9 rather than US-ASCII when there is no local charset

------------------------------------------------------------------------
r12205 | jpsaman | 2005-08-15 17:06:42 +0200 (Mon, 15 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/video_filter/osdmenu.c

Use an empty palette to get the colors of the picture right.
------------------------------------------------------------------------
r12204 | jpsaman | 2005-08-15 17:02:08 +0200 (Mon, 15 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/codec/dvbsub.c

Oops, Disable debugging.
------------------------------------------------------------------------
r12203 | jpsaman | 2005-08-15 17:01:31 +0200 (Mon, 15 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/codec/dvbsub.c

Also allow an empty palette marked with palette.i_entries = 0
------------------------------------------------------------------------
r12202 | zorglub | 2005-08-15 16:57:02 +0200 (Mon, 15 Aug 2005) | 2 lines
Changed paths:
   M /trunk/include/vlc_access.h
   M /trunk/include/vlc_demux.h
   M /trunk/include/vlc_es_out.h
   M /trunk/include/vlc_input.h
   M /trunk/include/vlc_stream.h
   M /trunk/src/stream_output/sap.c

Fix a few warnings

------------------------------------------------------------------------
r12201 | courmisch | 2005-08-15 16:51:42 +0200 (Mon, 15 Aug 2005) | 3 lines
Changed paths:
   M /trunk/src/libvlc.c

- Fix, clean up locale settings
- Fix local charset detection that broke (From|To)Locale

------------------------------------------------------------------------
r12200 | courmisch | 2005-08-15 16:50:24 +0200 (Mon, 15 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/access/directory.c

Fix playlist item insertion when local charset is not UTF-8

------------------------------------------------------------------------
r12199 | courmisch | 2005-08-15 16:50:06 +0200 (Mon, 15 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Fix stat() when local charset is not UTF-8

------------------------------------------------------------------------
r12198 | jpsaman | 2005-08-15 16:41:28 +0200 (Mon, 15 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/codec/dvbsub.c
   M /trunk/modules/video_filter/osdmenu.c

Found a simpler way to send an empty picture to the client. It fixes also memleaks introduced in 12196.
------------------------------------------------------------------------
r12197 | massiot | 2005-08-15 15:37:59 +0200 (Mon, 15 Aug 2005) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

 * src/input/input.c: Really fixed :programs= this time.

------------------------------------------------------------------------
r12196 | jpsaman | 2005-08-15 14:35:35 +0200 (Mon, 15 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/video_filter/osdmenu.c

Send an empty subpicture to remove the OSD menu on the client application when "menu off" commands is given on the rc interface.
------------------------------------------------------------------------
r12195 | jpsaman | 2005-08-15 14:32:44 +0200 (Mon, 15 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/codec/dvbsub.c

Replaced // comments with /* .. */ and added some sanity checking.
------------------------------------------------------------------------
r12194 | jpsaman | 2005-08-15 14:21:16 +0200 (Mon, 15 Aug 2005) | 1 line
Changed paths:
   M /trunk/src/video_output/vout_subpictures.c

Use NULL for initializing pointers iso 0.
------------------------------------------------------------------------
r12193 | courmisch | 2005-08-14 19:28:28 +0200 (Sun, 14 Aug 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac

Link ipv4 with iphlpapi - closes #315

------------------------------------------------------------------------
r12192 | courmisch | 2005-08-14 18:56:35 +0200 (Sun, 14 Aug 2005) | 4 lines
Changed paths:
   M /trunk/src/stream_output/sap.c

Fix SAP announce destination address - closes #314

Bug reported by Thomas Knauer

------------------------------------------------------------------------
r12191 | courmisch | 2005-08-14 18:46:48 +0200 (Sun, 14 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/services_discovery/sap.c

Fix compiler warnings

------------------------------------------------------------------------
r12190 | courmisch | 2005-08-14 18:28:59 +0200 (Sun, 14 Aug 2005) | 15 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/wxwidgets.cpp

Don't set LC_NUMERIC in the wxWidgets plugin.

It's already set to C globally because there are a bunch of things that
assume US-style float numbers formatting (config file, RTSP VoD server
to name a few) -- see SetLanguage() in libvlc.

If you want to get a float from the user, you can look for the comma
and replace it with a dot before parsing. However keep in mind that the
stream output parser already uses the comma to separate options; that's
yet another reason to use the dot in any case.

Also, I don't know if some remote locales use neither dot nor comma as
their decimal point.


------------------------------------------------------------------------
r12189 | zorglub | 2005-08-14 18:15:50 +0200 (Sun, 14 Aug 2005) | 2 lines
Changed paths:
   M /trunk/bootstrap

Don't use m4 comments in Makefile. Should fix win32 build

------------------------------------------------------------------------
r12188 | titer | 2005-08-14 15:15:38 +0200 (Sun, 14 Aug 2005) | 2 lines
Changed paths:
   M /trunk/include/network.h
   M /trunk/modules/demux/playlist/m3u.c
   M /trunk/src/misc/net.c
   M /trunk/src/stream_output/sap.c

 ALL: compile fixes

------------------------------------------------------------------------
r12187 | massiot | 2005-08-14 15:04:57 +0200 (Sun, 14 Aug 2005) | 4 lines
Changed paths:
   M /trunk/modules/demux/ts.c

 * modules/demux/ts.c: Fixed a side-effect when p_sys->b_dvb_control has
   not been set to VLC_FALSE yet, the program number is not specified,
   and we're reading a PMT.

------------------------------------------------------------------------
r12186 | sam | 2005-08-14 14:43:30 +0200 (Sun, 14 Aug 2005) | 2 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/audio_output/Modules.am
   A /trunk/modules/audio_output/arts.c

  * reverted commit 12177 (aRts removal).

------------------------------------------------------------------------
r12185 | courmisch | 2005-08-14 14:24:33 +0200 (Sun, 14 Aug 2005) | 2 lines
Changed paths:
   M /trunk/src/libvlc.c
   M /trunk/src/misc/configuration.c

Set LC_NUMERIC to C once and for all.

------------------------------------------------------------------------
r12184 | courmisch | 2005-08-14 14:22:25 +0200 (Sun, 14 Aug 2005) | 5 lines
Changed paths:
   M /trunk/modules/misc/network/ipv6.c
   M /trunk/src/misc/net.c

got the value for PROTECTION_LEVEL_* hard-coded
, but still miss the other one.

Anyone with Visual Studio here ?

------------------------------------------------------------------------
r12183 | dionoea | 2005-08-14 00:15:37 +0200 (Sun, 14 Aug 2005) | 8 lines
Changed paths:
   M /trunk/src/libvlc.c
   M /trunk/src/misc/configuration.c

 * setlocale( LC_NUMERIC, "C" ). There still might be some place where its
   missing. Beware that this change configuration saving output (it used
   to be saved in users locale).

   this should fix float config options save/load rounding issues. If someone
   has a better fix, feel free to do so (but please dont revert a commit and
   provide no alternative fix)

------------------------------------------------------------------------
r12182 | jpsaman | 2005-08-13 21:38:34 +0200 (Sat, 13 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/control/rc.c

Fix breakage of revision 12164 when a non-socket connection to the rc interface is active.
------------------------------------------------------------------------
r12181 | jpsaman | 2005-08-13 21:28:49 +0200 (Sat, 13 Aug 2005) | 1 line
Changed paths:
   M /trunk/include/vlc_symbols.h

API changed
------------------------------------------------------------------------
r12180 | jpsaman | 2005-08-13 21:26:27 +0200 (Sat, 13 Aug 2005) | 1 line
Changed paths:
   M /trunk/include/vlc_osd.h
   M /trunk/modules/control/rc.c
   M /trunk/src/osd/osd.c

Reworked OSD Volume handling and display of volumebar. Run make stamp-api to update include/vlc_symbols.h.
------------------------------------------------------------------------
r12179 | courmisch | 2005-08-13 21:15:17 +0200 (Sat, 13 Aug 2005) | 3 lines
Changed paths:
   M /trunk/modules/misc/network/ipv4.c

[Win32] Attempt to guess best interface for multicast
may close #163

------------------------------------------------------------------------
r12178 | zorglub | 2005-08-13 20:44:31 +0200 (Sat, 13 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/LIST
   M /trunk/modules/list.sh

Update modules list

------------------------------------------------------------------------
r12177 | courmisch | 2005-08-13 19:49:38 +0200 (Sat, 13 Aug 2005) | 4 lines
Changed paths:
   M /trunk/configure.ac
   M /trunk/modules/audio_output/Modules.am
   D /trunk/modules/audio_output/arts.c

Remove severely broken unmaintained aRts plugin

Use ALSA or tell aRts to use ESD and use ESD in VLC, or fix it.

------------------------------------------------------------------------
r12176 | courmisch | 2005-08-13 19:43:47 +0200 (Sat, 13 Aug 2005) | 2 lines
Changed paths:
   M /trunk/bootstrap

Add missing slashes

------------------------------------------------------------------------
r12175 | jpsaman | 2005-08-13 18:56:14 +0200 (Sat, 13 Aug 2005) | 1 line
Changed paths:
   M /trunk/src/osd/osd_parser.c

Remove unused comments
------------------------------------------------------------------------
r12174 | jpsaman | 2005-08-13 18:55:28 +0200 (Sat, 13 Aug 2005) | 1 line
Changed paths:
   M /trunk/modules/control/rc.c

Print status change message when volume is changed with volume command on the rc interface.
------------------------------------------------------------------------
r12173 | courmisch | 2005-08-13 18:23:19 +0200 (Sat, 13 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/demux/mkv.cpp

- convert UTF16/UTF32 to UTF8 rather than Latin1 - closes #287

------------------------------------------------------------------------
r12172 | courmisch | 2005-08-13 18:08:29 +0200 (Sat, 13 Aug 2005) | 2 lines
Changed paths:
   M /trunk/src/misc/tls.c

Reuse TLS module/object when already present - closes #288

------------------------------------------------------------------------
r12171 | courmisch | 2005-08-13 17:33:22 +0200 (Sat, 13 Aug 2005) | 2 lines
Changed paths:
   M /trunk/modules/gui/wxwidgets/wxwidgets.cpp
   M /trunk/src/libvlc.c

Undo LC_NUMERIC change

------------------------------------------------------------------------
r12170 | courmisch | 2005-08-13 17:20:45 +0200 (Sat, 13 Aug 2005) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Remove useless debug stuff

------------------------------------------------------------------------
r12169 | fkuehne | 2005-08-13 17:19:57 +0200 (Sat, 13 Aug 2005) | 1 line
Changed paths:
   M /trunk/THANKS
